"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Actionsheet", {
  enumerable: true,
  get: function () {
    return _themed.Actionsheet;
  }
});
Object.defineProperty(exports, "Box", {
  enumerable: true,
  get: function () {
    return _themed.Box;
  }
});
Object.defineProperty(exports, "Button", {
  enumerable: true,
  get: function () {
    return _themed.Button;
  }
});
Object.defineProperty(exports, "FormControl", {
  enumerable: true,
  get: function () {
    return _themed.FormControl;
  }
});
Object.defineProperty(exports, "FormControlLabel", {
  enumerable: true,
  get: function () {
    return _themed.FormControlLabel;
  }
});
Object.defineProperty(exports, "FormControlLabelText", {
  enumerable: true,
  get: function () {
    return _themed.FormControlLabelText;
  }
});
Object.defineProperty(exports, "HStack", {
  enumerable: true,
  get: function () {
    return _themed.HStack;
  }
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function () {
    return _themed.Icon;
  }
});
exports.IconRoot = void 0;
Object.defineProperty(exports, "Image", {
  enumerable: true,
  get: function () {
    return _themed.Image;
  }
});
Object.defineProperty(exports, "Input", {
  enumerable: true,
  get: function () {
    return _themed.Input;
  }
});
Object.defineProperty(exports, "InputField", {
  enumerable: true,
  get: function () {
    return _themed.InputField;
  }
});
Object.defineProperty(exports, "InputIcon", {
  enumerable: true,
  get: function () {
    return _themed.InputIcon;
  }
});
Object.defineProperty(exports, "InputSlot", {
  enumerable: true,
  get: function () {
    return _themed.InputSlot;
  }
});
Object.defineProperty(exports, "KeyboardAvoidingView", {
  enumerable: true,
  get: function () {
    return _reactNative.KeyboardAvoidingView;
  }
});
exports.LeadingIcon = void 0;
Object.defineProperty(exports, "Platform", {
  enumerable: true,
  get: function () {
    return _reactNative.Platform;
  }
});
Object.defineProperty(exports, "Text", {
  enumerable: true,
  get: function () {
    return _themed.Text;
  }
});
Object.defineProperty(exports, "VStack", {
  enumerable: true,
  get: function () {
    return _themed.VStack;
  }
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _themed = require("@gluestack-ui/themed");
var _reactNative = require("react-native");
var _icon = require("@gluestack-ui/icon");
var _reactNativeSvg = require("react-native-svg");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const IconRoot = exports.IconRoot = (0, _themed.styled)(_themed.AsForwarder, {}, {
  ancestorStyle: ['_icon']
}, {
  propertyTokenMap: {
    stroke: 'colors'
  }
});
const LeadingIcon = exports.LeadingIcon = (0, _icon.createIcon)({
  Root: IconRoot,
  viewBox: '0 0 18 18',
  path: /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, {
    fill: "none"
  }, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
    d: "M15 3.75H3C2.17157 3.75 1.5 4.42157 1.5 5.25V12.75C1.5 13.5784 2.17157 14.25 3 14.25H15C15.8284 14.25 16.5 13.5784 16.5 12.75V5.25C16.5 4.42157 15.8284 3.75 15 3.75Z",
    stroke: "#A3A3A3",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
    d: "M1.5 7.5H16.5",
    stroke: "#A3A3A3",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }))
});
const ActionsheetWithKeyboardAvoidingView = ({
  showActionsheet: showActionsheetProp = true,
  ...props
}) => {
  const [showActionsheet, setShowActionsheet] = _react.default.useState(props.showActionsheet);
  (0, _react.useEffect)(() => {
    setShowActionsheet(props.showActionsheet);
  }, [props.showActionsheet]);
  const handleClose = () => setShowActionsheet(false);
  return (
    /*#__PURE__*/
    // @ts-ignore
    _react.default.createElement(_reactNative.KeyboardAvoidingView, {
      behavior: _reactNative.Platform.OS === 'ios' ? 'padding' : undefined
    }, /*#__PURE__*/_react.default.createElement(_themed.Actionsheet, _extends({
      isOpen: showActionsheet || showActionsheetProp,
      onClose: handleClose
    }, props), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetBackdrop, null), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetContent, null, /*#__PURE__*/_react.default.createElement(_themed.ActionsheetDragIndicatorWrapper, null, /*#__PURE__*/_react.default.createElement(_themed.ActionsheetDragIndicator, null)), /*#__PURE__*/_react.default.createElement(_themed.VStack, {
      w: "$full",
      p: 20
    }, /*#__PURE__*/_react.default.createElement(_themed.HStack, {
      justifyContent: "center",
      alignItems: "center",
      space: "md"
    }, /*#__PURE__*/_react.default.createElement(_themed.Box, {
      w: 50,
      h: "$full",
      px: "$2",
      borderWidth: 1,
      borderStyle: "solid",
      borderColor: "$borderLight300",
      rounded: "$sm"
    }, /*#__PURE__*/_react.default.createElement(_themed.Image, {
      source: {
        uri: 'https://i.imgur.com/UwTLr26.png'
      },
      flex: 1,
      resizeMode: "contain"
    })), /*#__PURE__*/_react.default.createElement(_themed.VStack, {
      flex: 1
    }, /*#__PURE__*/_react.default.createElement(_themed.Text, {
      fontWeight: "$bold"
    }, "Mastercard"), /*#__PURE__*/_react.default.createElement(_themed.Text, null, "Card ending in 2345"))), /*#__PURE__*/_react.default.createElement(_themed.FormControl, {
      mt: 36
    }, /*#__PURE__*/_react.default.createElement(_themed.FormControlLabel, null, /*#__PURE__*/_react.default.createElement(_themed.FormControlLabelText, null, "Confirm security code")), /*#__PURE__*/_react.default.createElement(_themed.Input, _extends({
      isFullWidth: true
    }, props), /*#__PURE__*/_react.default.createElement(_themed.InputSlot, null, /*#__PURE__*/_react.default.createElement(_themed.InputIcon, {
      as: LeadingIcon,
      ml: "$3"
    })), /*#__PURE__*/_react.default.createElement(_themed.InputField, {
      placeholder: "CVC/CVV"
    })), /*#__PURE__*/_react.default.createElement(_themed.Button, {
      onPress: handleClose,
      mt: 20
    }, /*#__PURE__*/_react.default.createElement(_themed.ButtonText, null, "Pay $1000")))))))
  );
};
ActionsheetWithKeyboardAvoidingView.description = 'This is an example of an Actionsheet component with KeyboardAvoidingView. This is used to avoid the keyboard when it is opened.';
var _default = exports.default = ActionsheetWithKeyboardAvoidingView;
//# sourceMappingURL=ActionsheetAvoidKeyboard.js.map