"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Actionsheet", {
  enumerable: true,
  get: function () {
    return _themed.Actionsheet;
  }
});
Object.defineProperty(exports, "Button", {
  enumerable: true,
  get: function () {
    return _themed.Button;
  }
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _themed = require("@gluestack-ui/themed");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const ActionsheetWithFlatList = ({
  showActionsheet: showActionsheetProp = true,
  ...props
}) => {
  const [showActionsheet, setShowActionsheet] = _react.default.useState(props.showActionsheet);
  (0, _react.useEffect)(() => {
    setShowActionsheet(props.showActionsheet);
  }, [props.showActionsheet]);
  const handleClose = (0, _react.useCallback)(() => setShowActionsheet(false), [setShowActionsheet]);
  const DATA = [{
    id: 'bd7acbea-c1b1-46c2-aed5-3ad53abb28ba',
    title: 'First Item'
  }, {
    id: '3ac68afc-c605-48d3-a4f8-fbd91aa97f63',
    title: 'Second Item'
  }, {
    id: '58694a0f-3da1-471f-bd96-145571e29d72',
    title: 'Third Item'
  }];
  const Item = (0, _react.useCallback)(({
    title
  }) => /*#__PURE__*/_react.default.createElement(_themed.ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/_react.default.createElement(_themed.ActionsheetItemText, null, title)), [handleClose]);
  return /*#__PURE__*/_react.default.createElement(_themed.Actionsheet, _extends({
    isOpen: showActionsheet || showActionsheetProp,
    onClose: handleClose
  }, props), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetBackdrop, null), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetContent, null, /*#__PURE__*/_react.default.createElement(_themed.ActionsheetDragIndicatorWrapper, null, /*#__PURE__*/_react.default.createElement(_themed.ActionsheetDragIndicator, null)), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetFlatList, {
    data: DATA,
    renderItem: ({
      item
    }) => /*#__PURE__*/_react.default.createElement(Item, {
      title: item.title
    }),
    keyExtractor: item => item.id
  })));
};
ActionsheetWithFlatList.description = 'This is an example of actionsheet with items rendered using FlatList';
var _default = exports.default = ActionsheetWithFlatList;
//# sourceMappingURL=ActionsheetFlatList.js.map