"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Actionsheet", {
  enumerable: true,
  get: function () {
    return _themed.Actionsheet;
  }
});
Object.defineProperty(exports, "Button", {
  enumerable: true,
  get: function () {
    return _themed.Button;
  }
});
Object.defineProperty(exports, "CloseIcon", {
  enumerable: true,
  get: function () {
    return _themed.CloseIcon;
  }
});
Object.defineProperty(exports, "FavouriteIcon", {
  enumerable: true,
  get: function () {
    return _themed.FavouriteIcon;
  }
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function () {
    return _themed.Icon;
  }
});
Object.defineProperty(exports, "PlayIcon", {
  enumerable: true,
  get: function () {
    return _themed.PlayIcon;
  }
});
Object.defineProperty(exports, "ShareIcon", {
  enumerable: true,
  get: function () {
    return _themed.ShareIcon;
  }
});
Object.defineProperty(exports, "TrashIcon", {
  enumerable: true,
  get: function () {
    return _themed.TrashIcon;
  }
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _themed = require("@gluestack-ui/themed");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const ActionsheetWithIcon = ({
  showActionsheet: showActionsheetProp = true,
  ...props
}) => {
  const [showActionsheet, setShowActionsheet] = _react.default.useState(props.showActionsheet);
  (0, _react.useEffect)(() => {
    setShowActionsheet(props.showActionsheet);
  }, [props.showActionsheet]);
  const handleClose = () => setShowActionsheet(false);
  return /*#__PURE__*/_react.default.createElement(_themed.Actionsheet, _extends({
    isOpen: showActionsheet || showActionsheetProp,
    onClose: handleClose
  }, props), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetBackdrop, null), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetContent, null, /*#__PURE__*/_react.default.createElement(_themed.ActionsheetDragIndicatorWrapper, null, /*#__PURE__*/_react.default.createElement(_themed.ActionsheetDragIndicator, null)), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/_react.default.createElement(_themed.ActionsheetIcon, {
    as: _themed.TrashIcon
  }), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetItemText, null, "Delete")), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/_react.default.createElement(_themed.ActionsheetIcon, {
    as: _themed.ShareIcon
  }), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetItemText, null, "Share")), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/_react.default.createElement(_themed.ActionsheetIcon, {
    as: _themed.PlayIcon
  }), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetItemText, null, "Play")), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/_react.default.createElement(_themed.ActionsheetIcon, {
    as: _themed.FavouriteIcon
  }), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetItemText, null, "Favourite")), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/_react.default.createElement(_themed.ActionsheetIcon, {
    as: _themed.CloseIcon
  }), /*#__PURE__*/_react.default.createElement(_themed.ActionsheetItemText, null, "Cancel"))));
};
ActionsheetWithIcon.description = `This is an example of an Actionsheet component with Icons. This is to represent how to use icons in Actionsheet.`;
var _default = exports.default = ActionsheetWithIcon;
//# sourceMappingURL=ActionsheetIcon.js.map