"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "AlertCircleIcon", {
  enumerable: true,
  get: function () {
    return _themed.AlertCircleIcon;
  }
});
Object.defineProperty(exports, "AlertDialog", {
  enumerable: true,
  get: function () {
    return _AlertDialog.AlertDialog;
  }
});
Object.defineProperty(exports, "AlertDialogBackdrop", {
  enumerable: true,
  get: function () {
    return _AlertDialog.AlertDialogBackdrop;
  }
});
Object.defineProperty(exports, "AlertDialogBody", {
  enumerable: true,
  get: function () {
    return _AlertDialog.AlertDialogBody;
  }
});
Object.defineProperty(exports, "AlertDialogCloseButton", {
  enumerable: true,
  get: function () {
    return _AlertDialog.AlertDialogCloseButton;
  }
});
Object.defineProperty(exports, "AlertDialogContent", {
  enumerable: true,
  get: function () {
    return _AlertDialog.AlertDialogContent;
  }
});
Object.defineProperty(exports, "AlertDialogFooter", {
  enumerable: true,
  get: function () {
    return _AlertDialog.AlertDialogFooter;
  }
});
Object.defineProperty(exports, "AlertDialogHeader", {
  enumerable: true,
  get: function () {
    return _AlertDialog.AlertDialogHeader;
  }
});
Object.defineProperty(exports, "AlertTriangleIcon", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.AlertTriangleIcon;
  }
});
Object.defineProperty(exports, "Button", {
  enumerable: true,
  get: function () {
    return _themed.Button;
  }
});
Object.defineProperty(exports, "ButtonGroup", {
  enumerable: true,
  get: function () {
    return _themed.ButtonGroup;
  }
});
Object.defineProperty(exports, "ButtonText", {
  enumerable: true,
  get: function () {
    return _themed.ButtonText;
  }
});
Object.defineProperty(exports, "Center", {
  enumerable: true,
  get: function () {
    return _themed.Center;
  }
});
Object.defineProperty(exports, "CheckCircleIcon", {
  enumerable: true,
  get: function () {
    return _themed.CheckCircleIcon;
  }
});
Object.defineProperty(exports, "CloseIcon", {
  enumerable: true,
  get: function () {
    return _themed.CloseIcon;
  }
});
exports.FigmaAlertDialogStory = void 0;
Object.defineProperty(exports, "HStack", {
  enumerable: true,
  get: function () {
    return _themed.HStack;
  }
});
Object.defineProperty(exports, "Heading", {
  enumerable: true,
  get: function () {
    return _themed.Heading;
  }
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function () {
    return _themed.Icon;
  }
});
Object.defineProperty(exports, "Text", {
  enumerable: true,
  get: function () {
    return _themed.Text;
  }
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _themed = require("@gluestack-ui/themed");
var _AlertDialog = require("@/components/ui/AlertDialog");
var _lucideReactNative = require("lucide-react-native");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const AlertDialogBasic = ({
  showAlertDialog: showAlertDialogProp = true,
  ...props
}) => {
  const [showAlertDialog, setShowAlertDialog] = (0, _react.useState)(false);
  const handleClose = () => setShowAlertDialog(!showAlertDialog);
  return /*#__PURE__*/_react.default.createElement(_AlertDialog.AlertDialog, _extends({
    isOpen: showAlertDialog || showAlertDialogProp,
    onClose: handleClose
  }, props), /*#__PURE__*/_react.default.createElement(_AlertDialog.AlertDialogBackdrop, null), /*#__PURE__*/_react.default.createElement(_AlertDialog.AlertDialogContent, null, /*#__PURE__*/_react.default.createElement(_AlertDialog.AlertDialogHeader, null, /*#__PURE__*/_react.default.createElement(_themed.Heading, null, "Return Policy"), /*#__PURE__*/_react.default.createElement(_AlertDialog.AlertDialogCloseButton, null, /*#__PURE__*/_react.default.createElement(_themed.Icon, {
    as: _themed.CloseIcon
  }))), /*#__PURE__*/_react.default.createElement(_AlertDialog.AlertDialogBody, null, /*#__PURE__*/_react.default.createElement(_themed.Text, null, "Whoa, slow down there! This modal is like a red light at an intersection, reminding you to stop and think before you proceed. Is deleting this folder the right choice?")), /*#__PURE__*/_react.default.createElement(_AlertDialog.AlertDialogFooter, {
    gap: "$3"
  }, /*#__PURE__*/_react.default.createElement(_themed.Button, {
    variant: "outline",
    action: "secondary",
    onPress: handleClose
  }, /*#__PURE__*/_react.default.createElement(_themed.ButtonText, null, "Cancel")), /*#__PURE__*/_react.default.createElement(_themed.Button, {
    action: "negative",
    onPress: handleClose
  }, /*#__PURE__*/_react.default.createElement(_themed.ButtonText, null, "Delete")))));
};
const FigmaAlertDialogStory = ({
  showAlertDialog: _showAlertDialogProp = true,
  //@ts-ignore
  _colorMode,
  ...props
}) => {
  return /*#__PURE__*/_react.default.createElement(_AlertDialog.AlertDialog, _extends({
    isOpen: true,
    py: "$16",
    w: 1230,
    bg: "#00000080",
    sx: {
      _dark: {
        bg: "#ffffff80"
      }
    }
    //@ts-ignore
    ,
    _experimentalOverlay: true
  }, props), /*#__PURE__*/_react.default.createElement(_AlertDialog.AlertDialogContent, null, /*#__PURE__*/_react.default.createElement(_AlertDialog.AlertDialogHeader, null, /*#__PURE__*/_react.default.createElement(_themed.Heading, null, "Return Policy"), /*#__PURE__*/_react.default.createElement(_AlertDialog.AlertDialogCloseButton, null, /*#__PURE__*/_react.default.createElement(_themed.Icon, {
    as: _themed.CloseIcon
  }))), /*#__PURE__*/_react.default.createElement(_AlertDialog.AlertDialogBody, null, /*#__PURE__*/_react.default.createElement(_themed.Text, null, "Whoa, slow down there! This modal is like a red light at an intersection, reminding you to stop and think before you proceed. Is deleting this folder the right choice?")), /*#__PURE__*/_react.default.createElement(_AlertDialog.AlertDialogFooter, {
    gap: "$3"
  }, /*#__PURE__*/_react.default.createElement(_themed.Button, {
    variant: "outline",
    action: "secondary"
  }, /*#__PURE__*/_react.default.createElement(_themed.ButtonText, null, "Cancel")), /*#__PURE__*/_react.default.createElement(_themed.Button, {
    action: "negative"
  }, /*#__PURE__*/_react.default.createElement(_themed.ButtonText, null, "Delete")))));
};
exports.FigmaAlertDialogStory = FigmaAlertDialogStory;
AlertDialogBasic.description = "This is a basic AlertDialog component example. Alerts are used to communicate a state that affects a system, feature or page";
var _default = exports.default = AlertDialogBasic;
//# sourceMappingURL=AlertDialog.js.map