"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "AlertDialog", {
  enumerable: true,
  get: function () {
    return _AlertDialog.default;
  }
});
exports.default = void 0;
var _AlertDialog = _interopRequireDefault(require("./AlertDialog"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const AlertDialogMeta = {
  title: 'stories/AlertDialog',
  component: _AlertDialog.default,
  // metaInfo is required for figma generation
  // @ts-ignore
  metaInfo: {
    componentDescription: `AlertDialog effectively interrupts a user's flow and prompts them to take a specific action. It's commonly used for mandatory confirmations or call-to-actions.`
  },
  argTypes: {
    size: {
      control: 'select',
      options: ['xs', 'sm', 'md', 'lg', 'full'],
      description: 'The size of the button.',
      table: {
        defaultValue: {
          summary: 'md'
        }
      }
    },
    showAlertDialog: {
      control: 'boolean'
    }
  },
  args: {
    size: 'md',
    showAlertDialog: true
  }
};
var _default = exports.default = AlertDialogMeta;
//# sourceMappingURL=AlertDialog.stories.js.map