"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Avatar", {
  enumerable: true,
  get: function () {
    return _Avatar.Avatar;
  }
});
Object.defineProperty(exports, "AvatarBadge", {
  enumerable: true,
  get: function () {
    return _Avatar.AvatarBadge;
  }
});
Object.defineProperty(exports, "AvatarFallbackText", {
  enumerable: true,
  get: function () {
    return _Avatar.AvatarFallbackText;
  }
});
Object.defineProperty(exports, "AvatarGroup", {
  enumerable: true,
  get: function () {
    return _Avatar.AvatarGroup;
  }
});
Object.defineProperty(exports, "AvatarImage", {
  enumerable: true,
  get: function () {
    return _Avatar.AvatarImage;
  }
});
Object.defineProperty(exports, "HStack", {
  enumerable: true,
  get: function () {
    return _themed.HStack;
  }
});
Object.defineProperty(exports, "Heading", {
  enumerable: true,
  get: function () {
    return _themed.Heading;
  }
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function () {
    return _themed.Icon;
  }
});
Object.defineProperty(exports, "Text", {
  enumerable: true,
  get: function () {
    return _themed.Text;
  }
});
Object.defineProperty(exports, "User", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.User;
  }
});
Object.defineProperty(exports, "VStack", {
  enumerable: true,
  get: function () {
    return _themed.VStack;
  }
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _themed = require("@gluestack-ui/themed");
var _Avatar = require("@/components/ui/Avatar");
var _lucideReactNative = require("lucide-react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const AvatarBasic = ({
  size = 'md',
  uri = 'https://images.unsplash.com/photo-1494790108377-be9c29b29330?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=687&q=80',
  badge = true,
  fallbackText = 'John Doe',
  ...props
}) => {
  return /*#__PURE__*/_react.default.createElement(_Avatar.Avatar, _extends({
    size: size
  }, props, {
    bg: "$red400"
  }), /*#__PURE__*/_react.default.createElement(_Avatar.AvatarFallbackText, null, fallbackText), /*#__PURE__*/_react.default.createElement(_Avatar.AvatarImage, {
    source: {
      uri: uri
    }
  }), badge && /*#__PURE__*/_react.default.createElement(_Avatar.AvatarBadge, null));
};
AvatarBasic.description = 'This is a basic Avatar component example. An avatar is a graphical representation of a user.';
var _default = exports.default = AvatarBasic;
//# sourceMappingURL=Avatar.js.map