"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Avatar", {
  enumerable: true,
  get: function () {
    return _Avatar.default;
  }
});
Object.defineProperty(exports, "AvatarGroup", {
  enumerable: true,
  get: function () {
    return _AvatarGroup.default;
  }
});
Object.defineProperty(exports, "AvatarSizes", {
  enumerable: true,
  get: function () {
    return _AvatarSizes.default;
  }
});
exports.default = void 0;
var _Avatar = _interopRequireDefault(require("./Avatar"));
var _AvatarGroup = _interopRequireDefault(require("./AvatarGroup"));
var _AvatarSizes = _interopRequireDefault(require("./AvatarSizes"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const AvatarMeta = {
  title: 'stories/Avatar',
  component: _Avatar.default,
  // metaInfo is required for figma generation
  // @ts-ignore
  metaInfo: {
    componentDescription: `The Avatar component is a versatile UI element representing a user with profile pictures, initials, or a fallback icon. It adds a personal touch to the user interface, making it more engaging.`
  },
  args: {
    size: 'md',
    uri: 'https://images.unsplash.com/photo-1494790108377-be9c29b29330?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=687&q=80',
    fallbackText: 'John Doe',
    badge: true
  },
  argTypes: {
    size: {
      control: 'select',
      options: ['xs', 'sm', 'md', 'lg', 'xl', '2xl']
    },
    badge: {
      control: 'boolean',
      options: [true, false]
    },
    uri: {
      control: 'select',
      options: ['https://images.unsplash.com/photo-1494790108377-be9c29b29330?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=687&q=80', 'https://broken.link']
    }
  }
};
var _default = exports.default = AvatarMeta;
//# sourceMappingURL=Avatar.stories.js.map