"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "AddIcon", {
  enumerable: true,
  get: function () {
    return _themed.AddIcon;
  }
});
Object.defineProperty(exports, "Avatar", {
  enumerable: true,
  get: function () {
    return _themed.Avatar;
  }
});
Object.defineProperty(exports, "AvatarImage", {
  enumerable: true,
  get: function () {
    return _themed.AvatarImage;
  }
});
Object.defineProperty(exports, "Box", {
  enumerable: true,
  get: function () {
    return _themed.Box;
  }
});
Object.defineProperty(exports, "CheckIcon", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.CheckIcon;
  }
});
Object.defineProperty(exports, "Checkbox", {
  enumerable: true,
  get: function () {
    return _themed.Checkbox;
  }
});
Object.defineProperty(exports, "CheckboxIcon", {
  enumerable: true,
  get: function () {
    return _themed.CheckboxIcon;
  }
});
Object.defineProperty(exports, "CheckboxIndicator", {
  enumerable: true,
  get: function () {
    return _themed.CheckboxIndicator;
  }
});
Object.defineProperty(exports, "CheckboxLabel", {
  enumerable: true,
  get: function () {
    return _themed.CheckboxLabel;
  }
});
Object.defineProperty(exports, "Divider", {
  enumerable: true,
  get: function () {
    return _themed.Divider;
  }
});
Object.defineProperty(exports, "EditIcon", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.EditIcon;
  }
});
Object.defineProperty(exports, "Fab", {
  enumerable: true,
  get: function () {
    return _Fab.Fab;
  }
});
Object.defineProperty(exports, "FabIcon", {
  enumerable: true,
  get: function () {
    return _Fab.FabIcon;
  }
});
Object.defineProperty(exports, "FabLabel", {
  enumerable: true,
  get: function () {
    return _Fab.FabLabel;
  }
});
exports.FigmaFabStory = void 0;
Object.defineProperty(exports, "HStack", {
  enumerable: true,
  get: function () {
    return _themed.HStack;
  }
});
Object.defineProperty(exports, "Heading", {
  enumerable: true,
  get: function () {
    return _themed.Heading;
  }
});
Object.defineProperty(exports, "Image", {
  enumerable: true,
  get: function () {
    return _themed.Image;
  }
});
Object.defineProperty(exports, "Link", {
  enumerable: true,
  get: function () {
    return _themed.Link;
  }
});
Object.defineProperty(exports, "SearchIcon", {
  enumerable: true,
  get: function () {
    return _themed.SearchIcon;
  }
});
Object.defineProperty(exports, "ShoppingCartIcon", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.ShoppingCartIcon;
  }
});
Object.defineProperty(exports, "Text", {
  enumerable: true,
  get: function () {
    return _themed.Text;
  }
});
Object.defineProperty(exports, "VStack", {
  enumerable: true,
  get: function () {
    return _themed.VStack;
  }
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _themed = require("@gluestack-ui/themed");
var _Fab = require("@/components/ui/Fab");
var _lucideReactNative = require("lucide-react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const FabBasic = ({
  placement = 'bottom right',
  showLabel = true,
  showIcon = true,
  ...props
}) => {
  return /*#__PURE__*/_react.default.createElement(_themed.Box, {
    position: "relative",
    bg: "$trueGray200",
    h: "$full",
    w: "$full",
    sx: {
      _web: {
        w: 300,
        h: 300
      }
    }
  }, /*#__PURE__*/_react.default.createElement(_Fab.Fab, _extends({
    placement: placement,
    gap: "$1"
  }, props), showIcon && /*#__PURE__*/_react.default.createElement(_Fab.FabIcon, {
    as: _themed.MenuIcon
  }), showLabel && /*#__PURE__*/_react.default.createElement(_Fab.FabLabel, null, "Menu")));
};
const FigmaFabStory = ({
  placement = 'bottom right',
  showLabel = true,
  _showIcon = true,
  ...props
}) => {
  return /*#__PURE__*/_react.default.createElement(_themed.Box, {
    sx: {
      _web: {
        w: 250,
        h: 80
      }
    }
  }, /*#__PURE__*/_react.default.createElement(_Fab.Fab, _extends({
    placement: placement
  }, props, {
    gap: "$1"
  }), /*#__PURE__*/_react.default.createElement(_Fab.FabIcon, {
    as: _themed.MenuIcon
  }), showLabel && /*#__PURE__*/_react.default.createElement(_Fab.Fab.Label, null, "Menu")));
};
exports.FigmaFabStory = FigmaFabStory;
FabBasic.description = 'This is a basic Fab component example. The Floating Action Button (FAB) is a dynamic button that stays visible and provides access to a primary action throughout the users journey in the application. It is a powerful UI element that adds a touch of elegance and convenience to the user experience.';
var _default = exports.default = FabBasic;
//# sourceMappingURL=Fab.js.map