"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Fab", {
  enumerable: true,
  get: function () {
    return _Fab.default;
  }
});
exports.default = void 0;
var _Fab = _interopRequireDefault(require("./Fab"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const FabMeta = {
  title: 'stories/Fab',
  component: _Fab.default,
  // metaInfo is required for figma generation
  // @ts-ignore
  metaInfo: {
    componentDescription: `The Floating Action Button (FAB) is a dynamic button that stays visible and provides access to a primary action throughout the user's journey in the application. It is a powerful UI element that adds a touch of elegance and convenience to the user experience.`
  },
  argTypes: {
    placement: {
      control: 'select',
      figmaIgnore: true,
      options: ['top right', 'top left', 'bottom right', 'bottom left', 'top center', 'bottom center']
    },
    size: {
      control: 'select',
      options: ['sm', 'md', 'lg']
    },
    showLabel: {
      control: 'boolean',
      options: [true, false]
    },
    showIcon: {
      control: 'boolean',
      figmaIgnore: true,
      options: [true, false]
    }
  },
  args: {
    placement: 'bottom right',
    showLabel: true,
    showIcon: true,
    size: 'md'
  }
};
var _default = exports.default = FabMeta;
//# sourceMappingURL=Fab.stories.js.map