"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "FormControl", {
  enumerable: true,
  get: function () {
    return _FormControl.default;
  }
});
exports.default = void 0;
var _FormControl = _interopRequireDefault(require("./FormControl"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const FormControlMeta = {
  title: 'stories/FormControl',
  component: _FormControl.default,
  // metaInfo is required for figma generation
  // @ts-ignore
  metaInfo: {
    componentDescription: `By using FormControl, developers can provide important context to form elements. This context can include whether the element is invalid, disabled, or required.`
  },
  argTypes: {
    isInvalid: {
      control: 'boolean',
      options: [true, false]
    },
    size: {
      control: 'select',
      options: ['sm', 'md', 'lg', 'xl']
    },
    isDisabled: {
      control: 'boolean',
      options: [true, false]
    },
    isRequired: {
      control: 'boolean',
      options: [true, false]
    }
  },
  args: {
    isInvalid: true,
    isRequired: true,
    isDisabled: false,
    size: 'md'
  }
};
var _default = exports.default = FormControlMeta;
//# sourceMappingURL=FormControl.stories.js.map