"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Box", {
  enumerable: true,
  get: function () {
    return _themed.Box;
  }
});
Object.defineProperty(exports, "Button", {
  enumerable: true,
  get: function () {
    return _themed.Button;
  }
});
Object.defineProperty(exports, "ButtonText", {
  enumerable: true,
  get: function () {
    return _themed.ButtonText;
  }
});
Object.defineProperty(exports, "Center", {
  enumerable: true,
  get: function () {
    return _Center.Center;
  }
});
Object.defineProperty(exports, "EyeIcon", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.EyeIcon;
  }
});
Object.defineProperty(exports, "EyeOffIcon", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.EyeOffIcon;
  }
});
Object.defineProperty(exports, "FormControl", {
  enumerable: true,
  get: function () {
    return _themed.FormControl;
  }
});
Object.defineProperty(exports, "Heading", {
  enumerable: true,
  get: function () {
    return _themed.Heading;
  }
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function () {
    return _themed.Icon;
  }
});
Object.defineProperty(exports, "Input", {
  enumerable: true,
  get: function () {
    return _Input.Input;
  }
});
Object.defineProperty(exports, "InputField", {
  enumerable: true,
  get: function () {
    return _Input.InputField;
  }
});
Object.defineProperty(exports, "InputIcon", {
  enumerable: true,
  get: function () {
    return _Input.InputIcon;
  }
});
Object.defineProperty(exports, "InputSlot", {
  enumerable: true,
  get: function () {
    return _Input.InputSlot;
  }
});
Object.defineProperty(exports, "Text", {
  enumerable: true,
  get: function () {
    return _Text.Text;
  }
});
Object.defineProperty(exports, "VStack", {
  enumerable: true,
  get: function () {
    return _VStack.VStack;
  }
});
exports.default = void 0;
Object.defineProperty(exports, "useState", {
  enumerable: true,
  get: function () {
    return _react.useState;
  }
});
var _react = _interopRequireWildcard(require("react"));
var _themed = require("@gluestack-ui/themed");
var _Input = require("@/components/ui/Input");
var _Center = require("@/components/ui/Center");
var _VStack = require("@/components/ui/VStack");
var _Text = require("@/components/ui/Text");
var _lucideReactNative = require("lucide-react-native");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const InputBasic = ({
  ...props
}) => {
  const [value, setValue] = _react.default.useState('');
  return /*#__PURE__*/_react.default.createElement(_Input.Input, props, /*#__PURE__*/_react.default.createElement(_Input.InputField, {
    onChange: e => {
      setValue(e.nativeEvent.text);
    },
    value: value,
    placeholder: "Enter Text here"
  }), /*#__PURE__*/_react.default.createElement(_Input.InputSlot, {
    pr: props.variant === 'underlined' ? '$0' : '$4'
  }, /*#__PURE__*/_react.default.createElement(_Input.InputIcon, {
    as: _themed.SearchIcon
  })));
};
InputBasic.description = 'This is a basic Input component example. Inputs are used to capture data from users.';
var _default = exports.default = InputBasic;
//# sourceMappingURL=Input.js.map