"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Input", {
  enumerable: true,
  get: function () {
    return _Input.default;
  }
});
exports.default = void 0;
var _Input = _interopRequireDefault(require("./Input"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
// import InputIcon from './InputIcon';

const InputMeta = {
  title: 'stories/Input',
  component: _Input.default,
  // metaInfo is required for figma generation
  // @ts-ignore
  metaInfo: {
    componentDescription: `The Input component is your go-to tool for gathering user input in a sleek and user-friendly text field. Whether you're designing a simple login form or a complex search feature, this component has got you covered.`
  },
  argTypes: {
    size: {
      control: 'select',
      options: ['sm', 'md', 'lg', 'xl']
    },
    variant: {
      control: 'select',
      options: ['outline', 'underlined', 'rounded']
    },
    isInvalid: {
      control: 'boolean',
      options: [true, false]
    },
    isHovered: {
      control: 'boolean',
      options: [true, false]
    },
    isFocused: {
      control: 'boolean',
      options: [true, false]
    },
    isDisabled: {
      control: 'boolean',
      options: [true, false]
    }
  },
  args: {
    size: 'sm',
    variant: 'outline',
    isInvalid: false,
    isDisabled: false,
    isHovered: false,
    isFocused: false
  }
};
var _default = exports.default = InputMeta;
//# sourceMappingURL=Input.stories.js.map