"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "EyeIcon", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.EyeIcon;
  }
});
Object.defineProperty(exports, "EyeOffIcon", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.EyeOffIcon;
  }
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function () {
    return _themed.Icon;
  }
});
Object.defineProperty(exports, "Input", {
  enumerable: true,
  get: function () {
    return _themed.Input;
  }
});
Object.defineProperty(exports, "SearchIcon", {
  enumerable: true,
  get: function () {
    return _themed.SearchIcon;
  }
});
Object.defineProperty(exports, "VStack", {
  enumerable: true,
  get: function () {
    return _themed.VStack;
  }
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _themed = require("@gluestack-ui/themed");
var _lucideReactNative = require("lucide-react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const InputWithIcon = ({
  ...props
}) => {
  const [value, setValue] = _react.default.useState('');
  return /*#__PURE__*/_react.default.createElement(_themed.VStack, {
    space: "md",
    w: "$full"
  }, /*#__PURE__*/_react.default.createElement(_themed.Input, _extends({}, props, {
    size: "sm"
  }), /*#__PURE__*/_react.default.createElement(_themed.InputField, {
    onChange: e => {
      setValue(e.nativeEvent.text);
    },
    value: value,
    placeholder: "Enter Text here"
  }), /*#__PURE__*/_react.default.createElement(_themed.InputSlot, {
    pr: "$4"
  }, /*#__PURE__*/_react.default.createElement(_themed.InputIcon, {
    as: _themed.SearchIcon
  }))), /*#__PURE__*/_react.default.createElement(_themed.Input, _extends({}, props, {
    size: "md"
  }), /*#__PURE__*/_react.default.createElement(_themed.InputField, {
    onChange: e => {
      setValue(e.nativeEvent.text);
    },
    value: value,
    placeholder: "Enter Text here"
  }), /*#__PURE__*/_react.default.createElement(_themed.InputSlot, {
    pr: "$4"
  }, /*#__PURE__*/_react.default.createElement(_themed.InputIcon, {
    as: _themed.SearchIcon
  }))), /*#__PURE__*/_react.default.createElement(_themed.Input, _extends({}, props, {
    size: "lg",
    isDisabled: true
  }), /*#__PURE__*/_react.default.createElement(_themed.InputField, {
    onChange: e => {
      setValue(e.nativeEvent.text);
    },
    value: value,
    placeholder: "Enter Text here"
  }), /*#__PURE__*/_react.default.createElement(_themed.InputSlot, {
    pr: "$4"
  }, /*#__PURE__*/_react.default.createElement(_themed.InputIcon, {
    as: _themed.SearchIcon
  }))), /*#__PURE__*/_react.default.createElement(_themed.Input, _extends({}, props, {
    size: "xl",
    isInvalid: true
  }), /*#__PURE__*/_react.default.createElement(_themed.InputField, {
    onChange: e => {
      setValue(e.nativeEvent.text);
    },
    value: value,
    placeholder: "Enter Text here"
  }), /*#__PURE__*/_react.default.createElement(_themed.InputSlot, {
    pr: "$4"
  }, /*#__PURE__*/_react.default.createElement(_themed.InputIcon, {
    as: _themed.SearchIcon
  }))));
};
InputWithIcon.description = 'This is an example of Input component with icon. Inputs are used to capture data from users.';
var _default = exports.default = InputWithIcon;
//# sourceMappingURL=InputIcon.js.map