"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Button", {
  enumerable: true,
  get: function () {
    return _Button.Button;
  }
});
Object.defineProperty(exports, "ButtonText", {
  enumerable: true,
  get: function () {
    return _Button.ButtonText;
  }
});
Object.defineProperty(exports, "Center", {
  enumerable: true,
  get: function () {
    return _Center.Center;
  }
});
Object.defineProperty(exports, "Modal", {
  enumerable: true,
  get: function () {
    return _Modal.Modal;
  }
});
Object.defineProperty(exports, "ModalBackdrop", {
  enumerable: true,
  get: function () {
    return _Modal.ModalBackdrop;
  }
});
Object.defineProperty(exports, "ModalBody", {
  enumerable: true,
  get: function () {
    return _Modal.ModalBody;
  }
});
Object.defineProperty(exports, "ModalCloseButton", {
  enumerable: true,
  get: function () {
    return _Modal.ModalCloseButton;
  }
});
Object.defineProperty(exports, "ModalContent", {
  enumerable: true,
  get: function () {
    return _Modal.ModalContent;
  }
});
Object.defineProperty(exports, "ModalFooter", {
  enumerable: true,
  get: function () {
    return _Modal.ModalFooter;
  }
});
Object.defineProperty(exports, "ModalHeader", {
  enumerable: true,
  get: function () {
    return _Modal.ModalHeader;
  }
});
Object.defineProperty(exports, "Text", {
  enumerable: true,
  get: function () {
    return _Text.Text;
  }
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _Button = require("@/components/ui/Button");
var _Modal = require("@/components/ui/Modal");
var _Center = require("@/components/ui/Center");
var _lucideReactNative = require("lucide-react-native");
var _Text = require("@/components/ui/Text");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const ModalBasic = () => {
  const [showModal, setShowModal] = _react.default.useState(false);
  const ref = _react.default.useRef(null);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_Button.Button, {
    onPress: () => {
      setShowModal(!showModal);
    }
  }, /*#__PURE__*/_react.default.createElement(_Button.ButtonText, null, "Open Modal")), /*#__PURE__*/_react.default.createElement(_Modal.Modal, {
    isOpen: showModal,
    onClose: () => {
      setShowModal(false);
    },
    finalFocusRef: ref
  }, /*#__PURE__*/_react.default.createElement(_Modal.ModalBackdrop, null), /*#__PURE__*/_react.default.createElement(_Modal.ModalContent, null, /*#__PURE__*/_react.default.createElement(_Modal.ModalHeader, null, /*#__PURE__*/_react.default.createElement(_Text.Text, null, "Are you absolutely sure?"), /*#__PURE__*/_react.default.createElement(_Modal.ModalCloseButton, null, /*#__PURE__*/_react.default.createElement(_lucideReactNative.X, {
    size: 20,
    className: "stroke-background-400 group-[:hover]/modal-close-button:stroke-background-700 group-[:active]/modal-close-button:stroke-background-900 group-[:focus-visible]/modal-close-button:stroke-background-900"
  }))), /*#__PURE__*/_react.default.createElement(_Modal.ModalBody, null, /*#__PURE__*/_react.default.createElement(_Text.Text, null, "This action cannot be undone. This will permanently delete your account and remove your data from our servers.")),
  /*#__PURE__*/
  //@ts-ignore
  _react.default.createElement(_Modal.ModalFooter, {
    className: "gap-3"
  }, /*#__PURE__*/_react.default.createElement(_Button.Button, {
    variant: "outline",
    onPress: () => {
      setShowModal(false);
    }
  }, /*#__PURE__*/_react.default.createElement(_Button.ButtonText, null, "Cancel")), /*#__PURE__*/_react.default.createElement(_Button.Button, {
    onPress: () => {
      setShowModal(false);
    }
  }, /*#__PURE__*/_react.default.createElement(_Button.ButtonText, null, "Continue"))))));
};
var _default = exports.default = ModalBasic;
//# sourceMappingURL=Modal.js.map