"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Modal", {
  enumerable: true,
  get: function () {
    return _Modal.default;
  }
});
exports.default = void 0;
var _Modal = _interopRequireDefault(require("./Modal"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const ModalMeta = {
  title: 'stories/Modal',
  component: _Modal.default,
  // metaInfo is required for figma generation
  // @ts-ignore
  metaInfo: {
    componentDescription: `A Modal is a window on top of the primary content to draw the user's attention to important information or actions. It provides a focused and interruptive way to interact with the application.`
  },
  argTypes: {
    size: {
      control: 'select',
      options: ['xs', 'sm', 'md', 'lg', 'full'],
      description: 'The width of modal.',
      table: {
        defaultValue: {
          summary: 'md'
        }
      }
    },
    showModal: {
      control: 'boolean',
      option: [true, false]
    }
  },
  args: {
    size: 'md'
  }
};
var _default = exports.default = ModalMeta;
//# sourceMappingURL=Modal.stories.js.map