"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Popover", {
  enumerable: true,
  get: function () {
    return _Popover.default;
  }
});
exports.default = void 0;
var _Popover = _interopRequireDefault(require("./Popover"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const PopoverMeta = {
  title: 'stories/Popover',
  component: _Popover.default,
  // metaInfo is required for figma generation
  // @ts-ignore
  metaInfo: {
    componentDescription: `Popovers often provide contextual information or quick access to related actions without requiring the user to navigate to a different page or view.`
  },
  argTypes: {
    size: {
      control: 'select',
      options: ['xs', 'sm', 'md', 'lg', 'full']
    },
    placement: {
      control: 'select',
      figmaIgnore: true,
      options: ['bottom', 'bottom left', 'bottom right', 'top', 'top left', 'top right', 'left', 'left bottom', 'left right', 'right', 'right bottom', 'right top']
    },
    showPopover: {
      control: 'boolean',
      figmaIgnore: true,
      options: [true, false]
    }
  },
  args: {
    size: 'md',
    placement: 'bottom',
    showPopover: true
  }
};
var _default = exports.default = PopoverMeta;
//# sourceMappingURL=Popover.stories.js.map