"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Center", {
  enumerable: true,
  get: function () {
    return _themed.Center;
  }
});
Object.defineProperty(exports, "ChevronDownIcon", {
  enumerable: true,
  get: function () {
    return _themed.ChevronDownIcon;
  }
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function () {
    return _themed.Icon;
  }
});
Object.defineProperty(exports, "Select", {
  enumerable: true,
  get: function () {
    return _Select.Select;
  }
});
Object.defineProperty(exports, "SelectBackdrop", {
  enumerable: true,
  get: function () {
    return _Select.SelectBackdrop;
  }
});
Object.defineProperty(exports, "SelectContent", {
  enumerable: true,
  get: function () {
    return _Select.SelectContent;
  }
});
Object.defineProperty(exports, "SelectDragIndicator", {
  enumerable: true,
  get: function () {
    return _Select.SelectDragIndicator;
  }
});
Object.defineProperty(exports, "SelectDragIndicatorWrapper", {
  enumerable: true,
  get: function () {
    return _Select.SelectDragIndicatorWrapper;
  }
});
Object.defineProperty(exports, "SelectIcon", {
  enumerable: true,
  get: function () {
    return _Select.SelectIcon;
  }
});
Object.defineProperty(exports, "SelectInput", {
  enumerable: true,
  get: function () {
    return _Select.SelectInput;
  }
});
Object.defineProperty(exports, "SelectItem", {
  enumerable: true,
  get: function () {
    return _Select.SelectItem;
  }
});
Object.defineProperty(exports, "SelectPortal", {
  enumerable: true,
  get: function () {
    return _Select.SelectPortal;
  }
});
Object.defineProperty(exports, "SelectTrigger", {
  enumerable: true,
  get: function () {
    return _Select.SelectTrigger;
  }
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _themed = require("@gluestack-ui/themed");
var _Select = require("@/components/ui/Select");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const SelectBasic = ({
  size = 'md',
  variant = 'outline',
  ...props
}) => {
  return /*#__PURE__*/_react.default.createElement(_Select.Select, props, /*#__PURE__*/_react.default.createElement(_Select.SelectTrigger, {
    size: size,
    variant: variant
  }, /*#__PURE__*/_react.default.createElement(_Select.SelectInput, {
    placeholder: "Select option"
  }), /*#__PURE__*/_react.default.createElement(_Select.SelectIcon, {
    pr: variant === 'underlined' ? 0 : '$3',
    pl: variant === 'underlined' ? '$3' : 0,
    as: _themed.ChevronDownIcon
  })), /*#__PURE__*/_react.default.createElement(_Select.SelectPortal, null, /*#__PURE__*/_react.default.createElement(_Select.SelectBackdrop, null), /*#__PURE__*/_react.default.createElement(_Select.SelectContent, null, /*#__PURE__*/_react.default.createElement(_Select.SelectDragIndicatorWrapper, null, /*#__PURE__*/_react.default.createElement(_Select.SelectDragIndicator, null)), /*#__PURE__*/_react.default.createElement(_Select.SelectItem, {
    label: "UX Research",
    value: "UX Research"
  }), /*#__PURE__*/_react.default.createElement(_Select.SelectItem, {
    label: "Web Development",
    value: "Web Development"
  }), /*#__PURE__*/_react.default.createElement(_Select.SelectItem, {
    label: "Cross Platform Development Process",
    value: "Cross Platform Development Process"
  }), /*#__PURE__*/_react.default.createElement(_Select.SelectItem, {
    label: "UI Designing",
    value: "UI Designing",
    isDisabled: true
  }), /*#__PURE__*/_react.default.createElement(_Select.SelectItem, {
    label: "Backend Development",
    value: "Backend Development"
  }))));
};
SelectBasic.description = 'This is a basic Select component example. Selects are used to select an option from a list of options.';
var _default = exports.default = SelectBasic;
//# sourceMappingURL=Select.js.map