"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Select", {
  enumerable: true,
  get: function () {
    return _Select.default;
  }
});
Object.defineProperty(exports, "SelectFlatList", {
  enumerable: true,
  get: function () {
    return _SelectFlatList.default;
  }
});
Object.defineProperty(exports, "SelectFormControl", {
  enumerable: true,
  get: function () {
    return _SelectFormControl.default;
  }
});
Object.defineProperty(exports, "SelectScrollView", {
  enumerable: true,
  get: function () {
    return _SelectScrollView.default;
  }
});
Object.defineProperty(exports, "SelectSectionList", {
  enumerable: true,
  get: function () {
    return _SelectSectionList.default;
  }
});
Object.defineProperty(exports, "SelectVirtualizedList", {
  enumerable: true,
  get: function () {
    return _SelectVirtualizedList.default;
  }
});
exports.default = void 0;
var _Select = _interopRequireDefault(require("./Select"));
var _SelectSectionList = _interopRequireDefault(require("./SelectSectionList"));
var _SelectScrollView = _interopRequireDefault(require("./SelectScrollView"));
var _SelectFlatList = _interopRequireDefault(require("./SelectFlatList"));
var _SelectVirtualizedList = _interopRequireDefault(require("./SelectVirtualizedList"));
var _SelectFormControl = _interopRequireDefault(require("./SelectFormControl"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const SelectMeta = {
  title: 'stories/Select',
  component: _Select.default,
  // metaInfo is required for figma generation
  // @ts-ignore
  metaInfo: {
    componentDescription: `Select offers a dynamic and user-friendly way to present a list of options in a closed view, with the ability to expand and select items from a dropdown list.`
  },
  argTypes: {
    size: {
      control: 'select',
      options: ['sm', 'md', 'lg', 'xl']
    },
    variant: {
      control: 'select',
      options: ['outline', 'underlined', 'rounded']
    },
    isInvalid: {
      control: 'boolean',
      options: [true, false]
    },
    isHovered: {
      control: 'boolean',
      options: [true, false]
    },
    isFocused: {
      control: 'boolean',
      options: [true, false]
    },
    isDisabled: {
      control: 'boolean',
      options: [true, false]
    }
  },
  args: {
    size: 'md',
    isDisabled: false,
    isInvalid: false,
    isHovered: false,
    isFocused: false,
    variant: 'outline'
  }
};
var _default = exports.default = SelectMeta;
//# sourceMappingURL=Select.stories.js.map