"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Center", {
  enumerable: true,
  get: function () {
    return _themed.Center;
  }
});
Object.defineProperty(exports, "ChevronDownIcon", {
  enumerable: true,
  get: function () {
    return _themed.ChevronDownIcon;
  }
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function () {
    return _themed.Icon;
  }
});
Object.defineProperty(exports, "Select", {
  enumerable: true,
  get: function () {
    return _themed.Select;
  }
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _themed = require("@gluestack-ui/themed");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const SelectWithFlatList = ({
  isDisabled,
  isInvalid,
  ...props
}) => {
  const DATA = [{
    id: "bd7acbea-c1b1-46c2-aed5-3ad53abb28ba",
    title: "First Item"
  }, {
    id: "3ac68afc-c605-48d3-a4f8-fbd91aa97f63",
    title: "Second Item"
  }, {
    id: "58694a0f-3da1-471f-bd96-145571e29d72",
    title: "Third Item"
  }];
  const Item = (0, _react.useCallback)(({
    title
  }) => /*#__PURE__*/_react.default.createElement(_themed.SelectItem, {
    label: title,
    value: title
  }), []);
  return /*#__PURE__*/_react.default.createElement(_themed.Select, _extends({
    isDisabled: isDisabled,
    isInvalid: isInvalid
  }, props), /*#__PURE__*/_react.default.createElement(_themed.SelectTrigger, null, /*#__PURE__*/_react.default.createElement(_themed.SelectInput, {
    placeholder: "Select option"
  }),
  /*#__PURE__*/
  //@ts-ignore
  _react.default.createElement(_themed.SelectIcon, {
    mr: "$3"
  }, /*#__PURE__*/_react.default.createElement(_themed.Icon, {
    as: _themed.ChevronDownIcon
  }))), /*#__PURE__*/_react.default.createElement(_themed.SelectPortal, null, /*#__PURE__*/_react.default.createElement(_themed.SelectBackdrop, null), /*#__PURE__*/_react.default.createElement(_themed.SelectContent, null, /*#__PURE__*/_react.default.createElement(_themed.SelectDragIndicatorWrapper, null, /*#__PURE__*/_react.default.createElement(_themed.SelectDragIndicator, null)), /*#__PURE__*/_react.default.createElement(_themed.SelectFlatList, {
    data: DATA,
    renderItem: ({
      item
    }) => /*#__PURE__*/_react.default.createElement(Item, {
      title: item.title
    }),
    keyExtractor: item => item.id
  }))));
};
SelectWithFlatList.description = "This is an example of Select component with FlatList. Selects with flatlist can be used when you have a large number of options and you want to optimize the performance of the list by using FlatList.";
var _default = exports.default = SelectWithFlatList;
//# sourceMappingURL=SelectFlatList.js.map