"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "AlertCircleIcon", {
  enumerable: true,
  get: function () {
    return _themed.AlertCircleIcon;
  }
});
Object.defineProperty(exports, "Center", {
  enumerable: true,
  get: function () {
    return _themed.Center;
  }
});
Object.defineProperty(exports, "ChevronDownIcon", {
  enumerable: true,
  get: function () {
    return _themed.ChevronDownIcon;
  }
});
Object.defineProperty(exports, "FormControl", {
  enumerable: true,
  get: function () {
    return _themed.FormControl;
  }
});
Object.defineProperty(exports, "FormControlError", {
  enumerable: true,
  get: function () {
    return _themed.FormControlError;
  }
});
Object.defineProperty(exports, "FormControlErrorIcon", {
  enumerable: true,
  get: function () {
    return _themed.FormControlErrorIcon;
  }
});
Object.defineProperty(exports, "FormControlErrorText", {
  enumerable: true,
  get: function () {
    return _themed.FormControlErrorText;
  }
});
Object.defineProperty(exports, "FormControlHelper", {
  enumerable: true,
  get: function () {
    return _themed.FormControlHelper;
  }
});
Object.defineProperty(exports, "FormControlHelperText", {
  enumerable: true,
  get: function () {
    return _themed.FormControlHelperText;
  }
});
Object.defineProperty(exports, "FormControlLabel", {
  enumerable: true,
  get: function () {
    return _themed.FormControlLabel;
  }
});
Object.defineProperty(exports, "FormControlLabelText", {
  enumerable: true,
  get: function () {
    return _themed.FormControlLabelText;
  }
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function () {
    return _themed.Icon;
  }
});
Object.defineProperty(exports, "Select", {
  enumerable: true,
  get: function () {
    return _themed.Select;
  }
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _themed = require("@gluestack-ui/themed");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const colors = [{
  label: "Red",
  value: "red-key"
}, {
  label: "Blue",
  value: "blue-key"
}, {
  label: "Black",
  value: "black-key"
}, {
  label: "Pink",
  value: "pink-key",
  isDisabled: true
}, {
  label: "Green",
  value: "green-key"
}];
const SelectWithFormControl = ({
  size,
  variant,
  ...props
}) => {
  const items = colors.map(c => {
    return /*#__PURE__*/_react.default.createElement(_themed.SelectItem, {
      key: c.value,
      label: c.label,
      value: c.value,
      isDisabled: c.isDisabled
    });
  });
  const [selected, setSelected] = _react.default.useState(colors[0]);
  return /*#__PURE__*/_react.default.createElement(_themed.FormControl, props, /*#__PURE__*/_react.default.createElement(_themed.FormControlLabel, null, /*#__PURE__*/_react.default.createElement(_themed.FormControlLabelText, null, "Choose your favorite color")), /*#__PURE__*/_react.default.createElement(_themed.Select, {
    selectedValue: selected.value,
    selectedLabel: selected.label,
    onValueChange: value => {
      setSelected(colors.filter(c => c.value === value)[0]);
    }
  }, /*#__PURE__*/_react.default.createElement(_themed.SelectTrigger, {
    size: size,
    variant: variant
  }, /*#__PURE__*/_react.default.createElement(_themed.SelectInput, {
    placeholder: "Select option"
  }),
  /*#__PURE__*/
  //@ts-ignore
  _react.default.createElement(_themed.SelectIcon, {
    mr: "$3"
  }, /*#__PURE__*/_react.default.createElement(_themed.Icon, {
    as: _themed.ChevronDownIcon
  }))), /*#__PURE__*/_react.default.createElement(_themed.SelectPortal, null, /*#__PURE__*/_react.default.createElement(_themed.SelectBackdrop, null), /*#__PURE__*/_react.default.createElement(_themed.SelectContent, null, /*#__PURE__*/_react.default.createElement(_themed.SelectDragIndicatorWrapper, null, /*#__PURE__*/_react.default.createElement(_themed.SelectDragIndicator, null)), items))), /*#__PURE__*/_react.default.createElement(_themed.FormControlHelper, null, /*#__PURE__*/_react.default.createElement(_themed.FormControlHelperText, null, "You can only select one option")), /*#__PURE__*/_react.default.createElement(_themed.FormControlError, null, /*#__PURE__*/_react.default.createElement(_themed.FormControlErrorIcon, null, /*#__PURE__*/_react.default.createElement(_themed.Icon, {
    as: _themed.AlertCircleIcon
  })), /*#__PURE__*/_react.default.createElement(_themed.FormControlErrorText, null, "Mandatory field")));
};
SelectWithFormControl.description = "This is a Select component example used with formcontrol to show error and helper text.";
var _default = exports.default = SelectWithFormControl;
//# sourceMappingURL=SelectFormControl.js.map