"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Center", {
  enumerable: true,
  get: function () {
    return _themed.Center;
  }
});
Object.defineProperty(exports, "ChevronDownIcon", {
  enumerable: true,
  get: function () {
    return _themed.ChevronDownIcon;
  }
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function () {
    return _themed.Icon;
  }
});
Object.defineProperty(exports, "Select", {
  enumerable: true,
  get: function () {
    return _themed.Select;
  }
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _themed = require("@gluestack-ui/themed");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const SelectWithSectionList = ({
  isDisabled,
  isInvalid,
  ...props
}) => {
  const DATA = [{
    title: "Main dishes",
    data: ["Pizza", "Burger", "Risotto"]
  }, {
    title: "Sides",
    data: ["French Fries", "Onion Rings", "Fried Shrimps"]
  }, {
    title: "Drinks",
    data: ["Water", "Coke", "Beer"]
  }, {
    title: "Desserts",
    data: ["Cheese Cake", "Ice Cream"]
  }];
  const Item = (0, _react.useCallback)(({
    item
  }) => {
    return /*#__PURE__*/_react.default.createElement(_themed.SelectItem, {
      label: item,
      value: item
    });
  }, []);
  return /*#__PURE__*/_react.default.createElement(_themed.Select, _extends({
    isDisabled: isDisabled,
    isInvalid: isInvalid
  }, props), /*#__PURE__*/_react.default.createElement(_themed.SelectTrigger, null, /*#__PURE__*/_react.default.createElement(_themed.SelectInput, {
    placeholder: "Select option"
  }),
  /*#__PURE__*/
  //@ts-ignore
  _react.default.createElement(_themed.SelectIcon, {
    mr: "$3"
  }, /*#__PURE__*/_react.default.createElement(_themed.Icon, {
    as: _themed.ChevronDownIcon
  }))), /*#__PURE__*/_react.default.createElement(_themed.SelectPortal, null, /*#__PURE__*/_react.default.createElement(_themed.SelectBackdrop, null), /*#__PURE__*/_react.default.createElement(_themed.SelectContent, null, /*#__PURE__*/_react.default.createElement(_themed.SelectDragIndicatorWrapper, null, /*#__PURE__*/_react.default.createElement(_themed.SelectDragIndicator, null)), /*#__PURE__*/_react.default.createElement(_themed.SelectSectionList, {
    sections: DATA,
    keyExtractor: (item, index) => item + index,
    renderItem: ({
      item
    }) => /*#__PURE__*/_react.default.createElement(Item, {
      item: item
    }),
    renderSectionHeader: ({
      section: {
        title,
        data
      }
    }) => /*#__PURE__*/_react.default.createElement(_themed.SelectSectionHeaderText, null, title, " (", data.length, ")")
  }))));
};
SelectWithSectionList.displayName = "SelectWithSectionList is an example of how to use Select with list that uses SectionList on native";
var _default = exports.default = SelectWithSectionList;
//# sourceMappingURL=SelectSectionList.js.map