"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Box", {
  enumerable: true,
  get: function () {
    return _themed.Box;
  }
});
Object.defineProperty(exports, "Button", {
  enumerable: true,
  get: function () {
    return _themed.Button;
  }
});
Object.defineProperty(exports, "Center", {
  enumerable: true,
  get: function () {
    return _themed.Center;
  }
});
Object.defineProperty(exports, "HStack", {
  enumerable: true,
  get: function () {
    return _themed.HStack;
  }
});
Object.defineProperty(exports, "Heading", {
  enumerable: true,
  get: function () {
    return _themed.Heading;
  }
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function () {
    return _themed.Icon;
  }
});
Object.defineProperty(exports, "LightbulbIcon", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.LightbulbIcon;
  }
});
Object.defineProperty(exports, "Slider", {
  enumerable: true,
  get: function () {
    return _Slider.Slider;
  }
});
Object.defineProperty(exports, "SliderFilledTrack", {
  enumerable: true,
  get: function () {
    return _Slider.SliderFilledTrack;
  }
});
Object.defineProperty(exports, "SliderThumb", {
  enumerable: true,
  get: function () {
    return _Slider.SliderThumb;
  }
});
Object.defineProperty(exports, "SliderTrack", {
  enumerable: true,
  get: function () {
    return _Slider.SliderTrack;
  }
});
Object.defineProperty(exports, "Text", {
  enumerable: true,
  get: function () {
    return _themed.Text;
  }
});
Object.defineProperty(exports, "Tooltip", {
  enumerable: true,
  get: function () {
    return _themed.Tooltip;
  }
});
Object.defineProperty(exports, "TooltipContent", {
  enumerable: true,
  get: function () {
    return _themed.TooltipContent;
  }
});
Object.defineProperty(exports, "VStack", {
  enumerable: true,
  get: function () {
    return _themed.VStack;
  }
});
Object.defineProperty(exports, "Volume", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.Volume;
  }
});
Object.defineProperty(exports, "Volume2Icon", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.Volume2Icon;
  }
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _themed = require("@gluestack-ui/themed");
var _Slider = require("@/components/ui/Slider");
var _lucideReactNative = require("lucide-react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const SliderBasic = ({
  value: valueProp = 60,
  ...props
}) => {
  const [sliderValue, setSliderValue] = _react.default.useState(valueProp);
  const handleChange = value => {
    setSliderValue(value);
  };
  return /*#__PURE__*/_react.default.createElement(_Slider.Slider, _extends({}, props, {
    value: sliderValue,
    style: {
      width: 300,
      height: 300,
      marginTop: 16
    },
    onChange: value => {
      handleChange(value);
    }
  }), /*#__PURE__*/_react.default.createElement(_Slider.SliderTrack, null, /*#__PURE__*/_react.default.createElement(_Slider.SliderFilledTrack, null)), /*#__PURE__*/_react.default.createElement(_Slider.SliderThumb, null));
};
SliderBasic.description = 'This is a basic Slider component example. Sliders are used to select a value from a range of values.';
var _default = exports.default = SliderBasic;
//# sourceMappingURL=Slider.js.map