"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Slider", {
  enumerable: true,
  get: function () {
    return _Slider.default;
  }
});
exports.default = void 0;
var _Slider = _interopRequireDefault(require("./Slider"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const SliderMeta = {
  title: 'stories/Slider',
  component: _Slider.default,
  // metaInfo is required for figma generation
  // @ts-ignore
  metaInfo: {
    clusteringOrder: ['size', 'orientation'],
    componentDescription: `The Slider component enables an intuitive selection of values within a designated range. Users can easily adjust their selection by sliding a visual indicator along the track.`
  },
  argTypes: {
    value: {
      control: {
        type: 'number',
        min: 1,
        max: 100
      }
    },
    size: {
      control: 'select',
      options: ['sm', 'md', 'lg']
    },
    orientation: {
      control: 'select',
      options: ['vertical', 'horizontal'],
      description: 'The orientation of the slider.',
      table: {
        defaultValue: {
          summary: 'horizontal'
        }
      }
    },
    isReversed: {
      control: 'boolean',
      figmaIgnore: true,
      options: [true, false]
    },
    isDisabled: {
      control: 'boolean',
      options: [true, false]
    },
    isHovered: {
      control: 'boolean',
      options: [true, false]
    },
    isPressed: {
      control: 'boolean',
      options: [true, false]
    },
    isFocused: {
      control: 'boolean',
      options: [true, false]
    }
  },
  args: {
    value: 30,
    size: 'md',
    orientation: 'horizontal',
    isReversed: false,
    isHovered: false,
    isPressed: false,
    isFocused: false,
    isDisabled: false
  }
};
var _default = exports.default = SliderMeta;
//# sourceMappingURL=Slider.stories.js.map