"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "AlertTriangleIcon", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.AlertTriangleIcon;
  }
});
Object.defineProperty(exports, "Button", {
  enumerable: true,
  get: function () {
    return _Button.Button;
  }
});
Object.defineProperty(exports, "ButtonText", {
  enumerable: true,
  get: function () {
    return _Button.ButtonText;
  }
});
Object.defineProperty(exports, "Center", {
  enumerable: true,
  get: function () {
    return _themed.Center;
  }
});
Object.defineProperty(exports, "CheckIcon", {
  enumerable: true,
  get: function () {
    return _themed.CheckIcon;
  }
});
Object.defineProperty(exports, "CloseIcon", {
  enumerable: true,
  get: function () {
    return _themed.CloseIcon;
  }
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function () {
    return _themed.Icon;
  }
});
Object.defineProperty(exports, "MessageCircle", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.MessageCircle;
  }
});
Object.defineProperty(exports, "Pressable", {
  enumerable: true,
  get: function () {
    return _themed.Pressable;
  }
});
Object.defineProperty(exports, "Toast", {
  enumerable: true,
  get: function () {
    return _Toast.Toast;
  }
});
Object.defineProperty(exports, "ToastDescription", {
  enumerable: true,
  get: function () {
    return _Toast.ToastDescription;
  }
});
exports.ToastFigmaStory = void 0;
Object.defineProperty(exports, "ToastTitle", {
  enumerable: true,
  get: function () {
    return _Toast.ToastTitle;
  }
});
Object.defineProperty(exports, "VStack", {
  enumerable: true,
  get: function () {
    return _themed.VStack;
  }
});
exports.default = void 0;
Object.defineProperty(exports, "useToast", {
  enumerable: true,
  get: function () {
    return _Toast.useToast;
  }
});
var _react = _interopRequireDefault(require("react"));
var _themed = require("@gluestack-ui/themed");
var _Toast = require("@/components/ui/Toast");
var _Button = require("@/components/ui/Button");
var _lucideReactNative = require("lucide-react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const ToastFigmaStory = ({
  _placement = 'top',
  _colorMode,
  ...props
}) => {
  return /*#__PURE__*/_react.default.createElement(_Toast.Toast, _extends({}, props, {
    maxWidth: 500
  }), /*#__PURE__*/_react.default.createElement(_themed.VStack, {
    space: "xs",
    flex: 1
  }, /*#__PURE__*/_react.default.createElement(_Toast.ToastTitle, null, "Hello World Toast"), /*#__PURE__*/_react.default.createElement(_Toast.ToastDescription, null, "Please create a support ticket from the support page")), /*#__PURE__*/_react.default.createElement(_themed.Pressable, null, /*#__PURE__*/_react.default.createElement(_themed.Icon, {
    as: _themed.CloseIcon
  })));
};
exports.ToastFigmaStory = ToastFigmaStory;
const ToastBasic = ({
  placement = 'top',
  ...props
}) => {
  const toast = (0, _Toast.useToast)();
  return /*#__PURE__*/_react.default.createElement(_Button.Button, {
    onPress: () => {
      toast.show({
        placement: placement,
        duration: null,
        render: ({
          id
        }) => {
          const toastId = `toast-${id}`;
          return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_Toast.Toast, _extends({
            nativeID: toastId
          }, props), /*#__PURE__*/_react.default.createElement(_themed.VStack, {
            space: "xs"
          }, /*#__PURE__*/_react.default.createElement(_Toast.ToastTitle, null, "Hello World Toast"), /*#__PURE__*/_react.default.createElement(_Toast.ToastDescription, null, "Please create a support tibnnbcket from the support page")), /*#__PURE__*/_react.default.createElement(_themed.Pressable, {
            onPress: () => toast.close(id)
          }, /*#__PURE__*/_react.default.createElement(_themed.Icon, {
            as: _themed.CloseIcon
          }))));
        }
      });
    }
  }, /*#__PURE__*/_react.default.createElement(_Button.ButtonText, null, "Press Me"));
};
ToastBasic.description = 'This is a basic Toast component example. Toasts are used to communicate a state that affects a system, feature or page';
var _default = exports.default = ToastBasic;
//# sourceMappingURL=Toast.js.map