"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "DuplicateToastPrevent", {
  enumerable: true,
  get: function () {
    return _DuplicateToastPrevent.default;
  }
});
Object.defineProperty(exports, "Toast", {
  enumerable: true,
  get: function () {
    return _Toast.default;
  }
});
exports.default = void 0;
var _Toast = _interopRequireDefault(require("./Toast"));
var _DuplicateToastPrevent = _interopRequireDefault(require("./DuplicateToastPrevent"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const ToastMeta = {
  title: 'stories/Toast',
  component: _Toast.default,
  // metaInfo is required for figma generation
  // @ts-ignore
  metaInfo: {
    componentDescription: `Toast is a component that can display alerts, notifications, or messages on top of an overlay layer. It is commonly used to inform users of important information or actions.`
  },
  argTypes: {
    placement: {
      control: 'select',
      figmaIgnore: true,
      options: ['top', 'top right', 'top left', 'bottom', 'bottom left', 'bottom right']
    },
    action: {
      control: 'select',
      options: ['error', 'warning', 'success', 'info', 'attention']
    },
    variant: {
      control: 'select',
      options: ['solid', 'outline', 'accent']
    }
  },
  args: {
    placement: 'bottom',
    action: 'attention',
    variant: 'solid'
  }
};
var _default = exports.default = ToastMeta;
//# sourceMappingURL=Toast.stories.js.map