"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Avatar", {
  enumerable: true,
  get: function () {
    return _themed.Avatar;
  }
});
Object.defineProperty(exports, "AvatarFallbackText", {
  enumerable: true,
  get: function () {
    return _themed.AvatarFallbackText;
  }
});
Object.defineProperty(exports, "AvatarGroup", {
  enumerable: true,
  get: function () {
    return _themed.AvatarGroup;
  }
});
Object.defineProperty(exports, "Box", {
  enumerable: true,
  get: function () {
    return _themed.Box;
  }
});
Object.defineProperty(exports, "Button", {
  enumerable: true,
  get: function () {
    return _Button.Button;
  }
});
Object.defineProperty(exports, "ButtonText", {
  enumerable: true,
  get: function () {
    return _Button.ButtonText;
  }
});
Object.defineProperty(exports, "Center", {
  enumerable: true,
  get: function () {
    return _themed.Center;
  }
});
Object.defineProperty(exports, "Command", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.Command;
  }
});
Object.defineProperty(exports, "Edit", {
  enumerable: true,
  get: function () {
    return _lucideReactNative.Edit;
  }
});
exports.FigmaTooltipStory = void 0;
Object.defineProperty(exports, "HStack", {
  enumerable: true,
  get: function () {
    return _themed.HStack;
  }
});
Object.defineProperty(exports, "Heading", {
  enumerable: true,
  get: function () {
    return _themed.Heading;
  }
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function () {
    return _themed.Icon;
  }
});
Object.defineProperty(exports, "Text", {
  enumerable: true,
  get: function () {
    return _themed.Text;
  }
});
Object.defineProperty(exports, "Tooltip", {
  enumerable: true,
  get: function () {
    return _Tooltip.Tooltip;
  }
});
exports.TooltipBasic = void 0;
Object.defineProperty(exports, "TooltipContent", {
  enumerable: true,
  get: function () {
    return _Tooltip.TooltipContent;
  }
});
Object.defineProperty(exports, "TooltipText", {
  enumerable: true,
  get: function () {
    return _Tooltip.TooltipText;
  }
});
Object.defineProperty(exports, "VStack", {
  enumerable: true,
  get: function () {
    return _themed.VStack;
  }
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _themed = require("@gluestack-ui/themed");
var _Tooltip = require("@/components/ui/Tooltip");
var _Button = require("@/components/ui/Button");
var _lucideReactNative = require("lucide-react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const TooltipBasic = ({
  showTooltip: showTooltipProp = true,
  placement = 'bottom',
  text = 'Hello world'
}) => {
  2;
  return /*#__PURE__*/_react.default.createElement(_Tooltip.Tooltip, {
    offset: 10,
    placement: placement,
    isOpen: showTooltipProp
    // eslint-disable-next-line react/no-unstable-nested-components
    ,
    trigger: triggerProps => {
      return /*#__PURE__*/_react.default.createElement(_Button.Button, triggerProps, /*#__PURE__*/_react.default.createElement(_Button.ButtonText, null, "More"));
    }
  }, /*#__PURE__*/_react.default.createElement(_Tooltip.TooltipContent, null, /*#__PURE__*/_react.default.createElement(_Tooltip.TooltipText, null, text)));
};
exports.TooltipBasic = TooltipBasic;
const FigmaTooltipStory = ({
  showTooltip: _showTooltipProp = true,
  _placement = 'bottom',
  ...props
}) => {
  2;
  return /*#__PURE__*/_react.default.createElement(_Tooltip.Tooltip, _extends({}, props, {
    offset: 10,
    placement: "bottom",
    isOpen: true,
    _experimentalOverlay: true
    // eslint-disable-next-line react/no-unstable-nested-components
    ,
    trigger: triggerProps => {
      return /*#__PURE__*/_react.default.createElement(_themed.Box, {
        w: 200,
        h: 100,
        py: "$20",
        alignItems: "center"
      }, /*#__PURE__*/_react.default.createElement(_Button.Button, triggerProps, /*#__PURE__*/_react.default.createElement(_Button.ButtonText, null, "More")));
    }
  }), /*#__PURE__*/_react.default.createElement(_Tooltip.TooltipContent, null, /*#__PURE__*/_react.default.createElement(_Tooltip.TooltipText, null, "Hello world!")));
};
exports.FigmaTooltipStory = FigmaTooltipStory;
TooltipBasic.description = 'This is a basic Tooltip component example.  A tooltip is a popup that displays information related to an element when the element receives keyboard focus or the mouse hovers over it.';
var _default = exports.default = TooltipBasic;
//# sourceMappingURL=Tooltip.js.map