"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Box", {
  enumerable: true,
  get: function () {
    return _themed.Box;
  }
});
Object.defineProperty(exports, "VStack", {
  enumerable: true,
  get: function () {
    return _VStack.VStack;
  }
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _themed = require("@gluestack-ui/themed");
var _VStack = require("@/components/ui/VStack");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const VStackBasic = ({
  space,
  reversed,
  ...props
}) => {
  return /*#__PURE__*/_react.default.createElement(_VStack.VStack, _extends({
    space: space
    //@ts-ignore
    ,
    sx: {
      justifyContent: 'center',
      alignItems: 'center'
    },
    reversed: reversed
  }, props), /*#__PURE__*/_react.default.createElement(_themed.Box, {
    sx: {
      w: 100,
      h: 100,
      rounded: '$sm',
      bg: '$primary300'
    }
  }), /*#__PURE__*/_react.default.createElement(_themed.Box, {
    sx: {
      w: 100,
      h: 100,
      rounded: '$sm',
      bg: '$primary400'
    }
  }), /*#__PURE__*/_react.default.createElement(_themed.Box, {
    sx: {
      w: 100,
      h: 100,
      rounded: '$sm',
      bg: '$primary500'
    }
  }), /*#__PURE__*/_react.default.createElement(_themed.Box, {
    sx: {
      w: 100,
      h: 100,
      rounded: '$sm',
      bg: '$primary600'
    }
  }));
};
VStackBasic.description = 'This is a basic VStack component example. VStack is a primitive component to layout its children vertically.';
var _default = exports.default = VStackBasic;
//# sourceMappingURL=VStack.js.map