"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ActionsheetVirtualizedList = exports.ActionsheetSectionList = exports.ActionsheetSectionHeaderText = exports.ActionsheetScrollView = exports.ActionsheetItemText = exports.ActionsheetItem = exports.ActionsheetIcon = exports.ActionsheetFlatList = exports.ActionsheetDragIndicatorWrapper = exports.ActionsheetDragIndicator = exports.ActionsheetContent = exports.ActionsheetBackdrop = exports.Actionsheet = void 0;
var _htmlElements = require("@expo/html-elements");
var _animationResolver = require("@gluestack-style/animation-resolver");
var _react = require("@gluestack-style/react");
var _actionsheet = require("@gluestack-ui/actionsheet");
var _reactNative = require("react-native");
const StyledRoot = (0, _react.styled)(_reactNative.View, {
  width: '$full',
  height: '$full',
  _web: {
    pointerEvents: 'none'
  }
});
const StyledContent = (0, _react.styled)(_animationResolver.AnimatedView, {
  alignItems: 'center',
  borderTopLeftRadius: '$3xl',
  borderTopRightRadius: '$3xl',
  h: '$full',
  p: '$2',
  bg: '$background0',
  _sectionHeaderBackground: {
    bg: '$background0'
  },
  defaultProps: {
    hardShadow: '5'
  },
  _web: {
    userSelect: 'none',
    pointerEvents: 'auto'
  }
}, {
  descendantStyle: ['_sectionHeaderBackground']
});
const StyledItem = (0, _react.styled)(_reactNative.Pressable, {
  'p': '$3',
  'flexDirection': 'row',
  'alignItems': 'center',
  'rounded': '$sm',
  'w': '$full',
  ':disabled': {
    opacity: 0.4,
    _web: {
      // @ts-ignore
      pointerEvents: 'all !important',
      cursor: 'not-allowed'
    }
  },
  ':hover': {
    bg: '$background50'
  },
  ':active': {
    bg: '$background100'
  },
  ':focus': {
    bg: '$background100'
  },
  '_web': {
    ':focusVisible': {
      bg: '$background100'
    }
  }
}, {
  descendantStyle: ['_text', '_icon']
});
const StyledItemText = (0, _react.styled)(_reactNative.Text, {
  fontWeight: '$normal',
  fontFamily: '$body',
  fontStyle: 'normal',
  letterSpacing: '$md',
  variants: {
    isTruncated: {
      true: {
        props: {
          // @ts-ignore
          numberOfLines: 1,
          ellipsizeMode: 'tail'
        }
      }
    },
    bold: {
      true: {
        fontWeight: '$bold'
      }
    },
    underline: {
      true: {
        textDecorationLine: 'underline'
      }
    },
    strikeThrough: {
      true: {
        textDecorationLine: 'line-through'
      }
    },
    size: {
      '2xs': {
        fontSize: '$2xs'
      },
      'xs': {
        fontSize: '$xs'
      },
      'sm': {
        fontSize: '$sm'
      },
      'md': {
        fontSize: '$md'
      },
      'lg': {
        fontSize: '$lg'
      },
      'xl': {
        fontSize: '$xl'
      },
      '2xl': {
        fontSize: '$2xl'
      },
      '3xl': {
        fontSize: '$3xl'
      },
      '4xl': {
        fontSize: '$4xl'
      },
      '5xl': {
        fontSize: '$5xl'
      },
      '6xl': {
        fontSize: '$6xl'
      }
    },
    sub: {
      true: {
        fontSize: '$xs'
      }
    },
    italic: {
      true: {
        fontStyle: 'italic'
      }
    },
    highlight: {
      true: {
        bg: '$yellow500'
      }
    }
  },
  defaultProps: {
    size: 'md'
  },
  mx: '$2',
  props: {
    size: 'md'
  },
  color: '$text800'
}, {
  ancestorStyle: ['_text']
});
const StyledDragIndicator = (0, _react.styled)(_reactNative.View, {
  w: '$16',
  h: '$1',
  bg: '$background400',
  rounded: '$full'
});
const StyledDragIndicatorWrapper = (0, _react.styled)(_reactNative.View, {
  py: '$1',
  w: '$full',
  alignItems: 'center'
});
const StyledBackdrop = (0, _react.styled)(_animationResolver.AnimatedPressable, {
  ':initial': {
    opacity: 0
  },
  ':animate': {
    opacity: 0.5
  },
  ':exit': {
    opacity: 0
  },
  'position': 'absolute',
  'left': 0,
  'top': 0,
  'right': 0,
  'bottom': 0,
  'bg': '$background950',
  '_web': {
    cursor: 'default',
    pointerEvents: 'auto'
  }
});
const StyledScrollView = (0, _react.styled)(_reactNative.ScrollView, {
  w: '$full',
  h: 'auto'
});
const StyledVirtualizedList = (0, _react.styled)(_reactNative.VirtualizedList, {
  w: '$full',
  h: 'auto'
});
const StyledFlatList = (0, _react.styled)(_reactNative.FlatList, {
  w: '$full',
  h: 'auto'
});
const StyledSectionList = (0, _react.styled)(_reactNative.SectionList, {
  w: '$full',
  h: 'auto'
});
const StyledSectionHeaderText = (0, _react.styled)(_htmlElements.H4, {
  letterSpacing: '$sm',
  fontWeight: '$bold',
  fontFamily: '$heading',
  // Overrides expo-html default styling
  marginVertical: 0,
  variants: {
    isTruncated: {
      true: {
        props: {
          // @ts-ignore
          numberOfLines: 1,
          ellipsizeMode: 'tail'
        }
      }
    },
    bold: {
      true: {
        fontWeight: '$bold'
      }
    },
    underline: {
      true: {
        textDecorationLine: 'underline'
      }
    },
    strikeThrough: {
      true: {
        textDecorationLine: 'line-through'
      }
    },
    size: {
      '5xl': {
        //@ts-ignore
        props: {
          as: _htmlElements.H1
        },
        fontSize: '$6xl'
      },
      '4xl': {
        //@ts-ignore
        props: {
          as: _htmlElements.H1
        },
        fontSize: '$5xl'
      },
      '3xl': {
        //@ts-ignore
        props: {
          as: _htmlElements.H1
        },
        fontSize: '$4xl'
      },
      '2xl': {
        //@ts-ignore
        props: {
          as: _htmlElements.H2
        },
        fontSize: '$3xl'
      },
      'xl': {
        //@ts-ignore
        props: {
          as: _htmlElements.H3
        },
        fontSize: '$2xl'
      },
      'lg': {
        //@ts-ignore
        props: {
          as: _htmlElements.H4
        },
        fontSize: '$xl'
      },
      'md': {
        //@ts-ignore
        props: {
          as: _htmlElements.H5
        },
        fontSize: '$lg'
      },
      'sm': {
        //@ts-ignore
        props: {
          as: _htmlElements.H6
        },
        fontSize: '$md'
      },
      'xs': {
        //@ts-ignore
        props: {
          as: _htmlElements.H6
        },
        fontSize: '$sm'
      }
    },
    sub: {
      true: {
        fontSize: '$xs'
      }
    },
    italic: {
      true: {
        fontStyle: 'italic'
      }
    },
    highlight: {
      true: {
        bg: '$yellow500'
      }
    }
  },
  color: '$text500',
  props: {
    size: 'xs'
  },
  textTransform: 'uppercase',
  p: '$3'
});
const StyledIcon = (0, _react.styled)(_react.AsForwarder, {
  variants: {
    size: {
      '2xs': {
        h: '$3',
        w: '$3',
        props: {
          // @ts-ignore
          size: 12
        }
      },
      'xs': {
        h: '$3.5',
        w: '$3.5',
        props: {
          //@ts-ignore
          size: 14
        }
      },
      'sm': {
        h: '$4',
        w: '$4',
        props: {
          //@ts-ignore
          size: 16
        }
      },
      'md': {
        h: '$4.5',
        w: '$4.5',
        props: {
          //@ts-ignore
          size: 18
        }
      },
      'lg': {
        h: '$5',
        w: '$5',
        props: {
          //@ts-ignore
          size: 20
        }
      },
      'xl': {
        h: '$6',
        w: '$6',
        props: {
          //@ts-ignore
          size: 24
        }
      }
    }
  },
  props: {
    size: 'sm'
  },
  color: '$background500'
}, {
  componentName: 'BaseIcon',
  resolveProps: ['stroke', 'fill']
}, {
  propertyTokenMap: {
    stroke: 'colors',
    fill: 'colors'
  }
});
const Actionsheet = exports.Actionsheet = (0, _actionsheet.createActionsheet)({
  Root: StyledRoot,
  Content: StyledContent,
  Item: StyledItem,
  ItemText: StyledItemText,
  DragIndicator: StyledDragIndicator,
  IndicatorWrapper: StyledDragIndicatorWrapper,
  Backdrop: StyledBackdrop,
  ScrollView: StyledScrollView,
  VirtualizedList: StyledVirtualizedList,
  FlatList: StyledFlatList,
  SectionList: StyledSectionList,
  SectionHeaderText: StyledSectionHeaderText,
  Icon: StyledIcon,
  AnimatePresence: _animationResolver.AnimatePresence
});
const ActionsheetContent = exports.ActionsheetContent = Actionsheet.Content;
const ActionsheetItem = exports.ActionsheetItem = Actionsheet.Item;
const ActionsheetItemText = exports.ActionsheetItemText = Actionsheet.ItemText;
const ActionsheetDragIndicator = exports.ActionsheetDragIndicator = Actionsheet.DragIndicator;
const ActionsheetDragIndicatorWrapper = exports.ActionsheetDragIndicatorWrapper = Actionsheet.DragIndicatorWrapper;
const ActionsheetBackdrop = exports.ActionsheetBackdrop = Actionsheet.Backdrop;
const ActionsheetScrollView = exports.ActionsheetScrollView = Actionsheet.ScrollView;
const ActionsheetVirtualizedList = exports.ActionsheetVirtualizedList = Actionsheet.VirtualizedList;
const ActionsheetFlatList = exports.ActionsheetFlatList = Actionsheet.FlatList;
const ActionsheetSectionList = exports.ActionsheetSectionList = Actionsheet.SectionList;
const ActionsheetSectionHeaderText = exports.ActionsheetSectionHeaderText = Actionsheet.SectionHeaderText;
const ActionsheetIcon = exports.ActionsheetIcon = Actionsheet.Icon;
//# sourceMappingURL=index.js.map