"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FormControlLabelText = exports.FormControlLabelAstrick = exports.FormControlLabel = exports.FormControlHelperText = exports.FormControlHelper = exports.FormControlErrorText = exports.FormControlErrorIcon = exports.FormControlError = exports.FormControl = void 0;
var _reactNative = require("react-native");
var _react = require("@gluestack-style/react");
var _formControl = require("@gluestack-ui/form-control");
const StyledRoot = (0, _react.styled)(_reactNative.View, {
  flexDirection: 'column',
  variants: {
    size: {
      sm: {
        _labelText: {
          props: {
            size: 'sm'
          }
        },
        _labelAstrick: {
          props: {
            size: 'sm'
          }
        },
        _helperText: {
          props: {
            size: 'xs'
          }
        },
        _errorText: {
          props: {
            size: 'xs'
          }
        }
      },
      md: {
        _labelText: {
          props: {
            size: 'md'
          }
        },
        _labelAstrick: {
          props: {
            size: 'md'
          }
        },
        _helperText: {
          props: {
            size: 'sm'
          }
        },
        _errorText: {
          props: {
            size: 'sm'
          }
        }
      },
      lg: {
        _labelText: {
          props: {
            size: 'lg'
          }
        },
        _labelAstrick: {
          props: {
            size: 'lg'
          }
        },
        _helperText: {
          props: {
            size: 'md'
          }
        },
        _errorText: {
          props: {
            size: 'md'
          }
        }
      }
    }
  },
  defaultProps: {
    size: 'md'
  }
}, {
  descendantStyle: ['_labelText', '_helperText', '_errorText', '_labelAstrick']
});
const StyledErrorIcon = (0, _react.styled)(_react.AsForwarder, {
  color: '$error700',
  // @ts-ignore
  fill: 'none',
  variants: {
    size: {
      '2xs': {
        h: '$3',
        w: '$3',
        props: {
          // @ts-ignore
          size: 12
        }
      },
      'xs': {
        h: '$3.5',
        w: '$3.5',
        props: {
          //@ts-ignore
          size: 14
        }
      },
      'sm': {
        h: '$4',
        w: '$4',
        props: {
          //@ts-ignore
          size: 16
        }
      },
      'md': {
        h: '$4.5',
        w: '$4.5',
        props: {
          //@ts-ignore
          size: 18
        }
      },
      'lg': {
        h: '$5',
        w: '$5',
        props: {
          //@ts-ignore
          size: 20
        }
      },
      'xl': {
        h: '$6',
        w: '$6',
        props: {
          //@ts-ignore
          size: 24
        }
      }
    }
  },
  props: {
    size: 'md'
  }
}, {
  resolveProps: ['stroke', 'fill']
}, {
  propertyTokenMap: {
    stroke: 'colors',
    fill: 'colors'
  }
});
const StyledFormControlError = (0, _react.styled)(_reactNative.View, {
  flexDirection: 'row',
  justifyContent: 'flex-start',
  alignItems: 'center',
  mt: '$1',
  gap: '$1'
});

// const StyeldFormControlErrorIcon = styled(StyledIcon, {
//   color: '$error700',
//   props: {
//     size: 'sm',
//   },
// });

const StyledFormControlErrorText = (0, _react.styled)(_reactNative.Text, {
  color: '$error700'
}, {
  ancestorStyle: ['_errorText']
});
const StyledFormControlHelper = (0, _react.styled)(_reactNative.View, {
  flexDirection: 'row',
  justifyContent: 'flex-start',
  alignItems: 'center',
  mt: '$1'
});
const StyledFormControlHelperText = (0, _react.styled)(_reactNative.Text, {
  props: {
    size: 'xs'
  },
  color: '$text500'
}, {
  ancestorStyle: ['_helperText']
});
const StyledFormControlLabel = (0, _react.styled)(_reactNative.View, {
  flexDirection: 'row',
  justifyContent: 'flex-start',
  alignItems: 'center',
  mb: '$1'
}, {
  descendantStyle: ['_labelText']
});
const StyledFormControlLabelText = (0, _react.styled)(_reactNative.Text, {
  fontWeight: '$medium',
  color: '$text900'
});
const StyledLabelAstrick = (0, _react.styled)(_reactNative.Text, {}, {
  componentName: 'FormControlErrorText',
  ancestorStyle: ['_labelAstrick']
});
const FormControl = exports.FormControl = (0, _formControl.createFormControl)({
  Root: StyledRoot,
  Error: StyledFormControlError,
  ErrorText: StyledFormControlErrorText,
  ErrorIcon: StyledErrorIcon,
  Label: StyledFormControlLabel,
  LabelText: StyledFormControlLabelText,
  LabelAstrick: StyledLabelAstrick,
  Helper: StyledFormControlHelper,
  HelperText: StyledFormControlHelperText
});
const FormControlError = exports.FormControlError = FormControl.Error;
const FormControlErrorText = exports.FormControlErrorText = FormControl.Error.Text;
const FormControlErrorIcon = exports.FormControlErrorIcon = FormControl.Error.Icon;
const FormControlLabel = exports.FormControlLabel = FormControl.Label;
const FormControlLabelText = exports.FormControlLabelText = FormControl.Label.Text;
const FormControlLabelAstrick = exports.FormControlLabelAstrick = FormControl.Label.Astrick;
const FormControlHelper = exports.FormControlHelper = FormControl.Helper;
const FormControlHelperText = exports.FormControlHelperText = FormControl.Helper.Text;
//# sourceMappingURL=index.js.map