"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Heading = void 0;
var _react = require("@gluestack-style/react");
var _htmlElements = require("@expo/html-elements");
const StyledRoot = (0, _react.styled)(_htmlElements.H4, {
  color: '$text900',
  letterSpacing: '$sm',
  fontWeight: '$bold',
  fontFamily: '$heading',
  // Overrides expo-html default styling
  marginVertical: 0,
  variants: {
    isTruncated: {
      true: {
        props: {
          // @ts-ignore
          numberOfLines: 1,
          ellipsizeMode: 'tail'
        }
      }
    },
    bold: {
      true: {
        fontWeight: '$bold'
      }
    },
    underline: {
      true: {
        textDecorationLine: 'underline'
      }
    },
    strikeThrough: {
      true: {
        textDecorationLine: 'line-through'
      }
    },
    size: {
      '5xl': {
        //@ts-ignore
        props: {
          as: _htmlElements.H1
        },
        fontSize: '$6xl'
      },
      '4xl': {
        //@ts-ignore
        props: {
          as: _htmlElements.H1
        },
        fontSize: '$5xl'
      },
      '3xl': {
        //@ts-ignore
        props: {
          as: _htmlElements.H1
        },
        fontSize: '$4xl'
      },
      '2xl': {
        //@ts-ignore
        props: {
          as: _htmlElements.H2
        },
        fontSize: '$3xl'
      },
      'xl': {
        //@ts-ignore
        props: {
          as: _htmlElements.H3
        },
        fontSize: '$2xl'
      },
      'lg': {
        //@ts-ignore
        props: {
          as: _htmlElements.H4
        },
        fontSize: '$xl'
      },
      'md': {
        //@ts-ignore
        props: {
          as: _htmlElements.H5
        },
        fontSize: '$lg'
      },
      'sm': {
        //@ts-ignore
        props: {
          as: _htmlElements.H6
        },
        fontSize: '$md'
      },
      'xs': {
        //@ts-ignore
        props: {
          as: _htmlElements.H6
        },
        fontSize: '$sm'
      }
    },
    sub: {
      true: {
        fontSize: '$xs'
      }
    },
    italic: {
      true: {
        fontStyle: 'italic'
      }
    },
    highlight: {
      true: {
        bg: '$yellow500'
      }
    }
  },
  defaultProps: {
    size: 'lg'
  }
});
const Heading = exports.Heading = StyledRoot;
//# sourceMappingURL=index.js.map