"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProgressFilledTrack = exports.Progress = void 0;
var _react = require("@gluestack-style/react");
var _progress = require("@gluestack-ui/progress");
var _reactNative = require("react-native");
const StyledRoot = (0, _react.styled)(_reactNative.View, {
  bg: '$background300',
  borderRadius: '$full',
  w: '100%',
  variants: {
    size: {
      'xs': {
        h: '$1',
        _filledTrack: {
          h: '$1'
        }
      },
      'sm': {
        h: '$2',
        _filledTrack: {
          h: '$2'
        }
      },
      'md': {
        h: '$3',
        _filledTrack: {
          h: '$3'
        }
      },
      'lg': {
        h: '$4',
        _filledTrack: {
          h: '$4'
        }
      },
      'xl': {
        h: '$5',
        _filledTrack: {
          h: '$5'
        }
      },
      '2xl': {
        h: '$6',
        _filledTrack: {
          h: '$6'
        }
      }
    }
  },
  defaultProps: {
    size: 'md'
  }
}, {
  descendantStyle: ['_filledTrack']
});
const StyledFilledTrack = (0, _react.styled)(_reactNative.View, {
  bg: '$primary500',
  borderRadius: '$full'
}, {
  ancestorStyle: ['_filledTrack']
});
const Progress = exports.Progress = (0, _progress.createProgress)({
  Root: StyledRoot,
  FilledTrack: StyledFilledTrack
});
const ProgressFilledTrack = exports.ProgressFilledTrack = Progress.FilledTrack;
//# sourceMappingURL=index.js.map