"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SelectVirtualizedList = exports.SelectTrigger = exports.SelectSectionList = exports.SelectSectionHeaderText = exports.SelectScrollView = exports.SelectPortal = exports.SelectItemText = exports.SelectItem = exports.SelectInput = exports.SelectIcon = exports.SelectFlatList = exports.SelectDragIndicatorWrapper = exports.SelectDragIndicator = exports.SelectContent = exports.SelectBackdrop = exports.Select = void 0;
var _htmlElements = require("@expo/html-elements");
var _animationResolver = require("@gluestack-style/animation-resolver");
var _react = require("@gluestack-style/react");
var _actionsheet = require("@gluestack-ui/actionsheet");
var _select = require("@gluestack-ui/select");
var _reactNative = require("react-native");
const StyledRoot = (0, _react.styled)(_reactNative.View, {
  width: '$full',
  height: '$full',
  _web: {
    pointerEvents: 'none'
  }
});
const StyledContent = (0, _react.styled)(_animationResolver.AnimatedView, {
  alignItems: 'center',
  borderTopLeftRadius: '$3xl',
  borderTopRightRadius: '$3xl',
  h: '$full',
  p: '$2',
  bg: '$background0',
  _sectionHeaderBackground: {
    bg: '$background0'
  },
  defaultProps: {
    hardShadow: '5'
  },
  _web: {
    userSelect: 'none',
    pointerEvents: 'auto'
  }
}, {
  descendantStyle: ['_sectionHeaderBackground']
});
const StyledItem = (0, _react.styled)(_reactNative.Pressable, {
  'p': '$3',
  'flexDirection': 'row',
  'alignItems': 'center',
  'rounded': '$sm',
  'w': '$full',
  ':disabled': {
    opacity: 0.4,
    _web: {
      // @ts-ignore
      pointerEvents: 'all !important',
      cursor: 'not-allowed'
    }
  },
  ':hover': {
    bg: '$background50'
  },
  ':active': {
    bg: '$background100'
  },
  ':focus': {
    bg: '$background100'
  },
  '_web': {
    ':focusVisible': {
      bg: '$background100'
    }
  }
}, {
  descendantStyle: ['_text', '_icon']
});
const StyledItemText = (0, _react.styled)(_reactNative.Text, {
  mx: '$2',
  props: {
    size: 'md'
  },
  color: '$text800'
}, {
  ancestorStyle: ['_text']
});
const StyledDragIndicator = (0, _react.styled)(_reactNative.View, {
  w: '$16',
  h: '$1',
  bg: '$background400',
  rounded: '$full'
});
const StyledDragIndicatorWrapper = (0, _react.styled)(_reactNative.View, {
  py: '$1',
  w: '$full',
  alignItems: 'center'
});
const StyledBackdrop = (0, _react.styled)(_animationResolver.AnimatedPressable, {
  ':initial': {
    opacity: 0
  },
  ':animate': {
    opacity: 0.5
  },
  ':exit': {
    opacity: 0
  },
  'position': 'absolute',
  'left': 0,
  'top': 0,
  'right': 0,
  'bottom': 0,
  'bg': '$background950',
  '_web': {
    cursor: 'default',
    pointerEvents: 'auto'
  }
});
const StyledScrollView = (0, _react.styled)(_reactNative.ScrollView, {
  w: '$full',
  h: 'auto'
});
const StyledVirtualizedList = (0, _react.styled)(_reactNative.VirtualizedList, {
  w: '$full',
  h: 'auto'
});
const StyledFlatList = (0, _react.styled)(_reactNative.FlatList, {
  w: '$full',
  h: 'auto'
});
const StyledSectionList = (0, _react.styled)(_reactNative.SectionList, {
  w: '$full',
  h: 'auto'
});
const StyledSectionHeaderText = (0, _react.styled)(_htmlElements.H4, {
  letterSpacing: '$sm',
  fontWeight: '$bold',
  fontFamily: '$heading',
  // Overrides expo-html default styling
  marginVertical: 0,
  variants: {
    isTruncated: {
      true: {
        props: {
          // @ts-ignore
          numberOfLines: 1,
          ellipsizeMode: 'tail'
        }
      }
    },
    bold: {
      true: {
        fontWeight: '$bold'
      }
    },
    underline: {
      true: {
        textDecorationLine: 'underline'
      }
    },
    strikeThrough: {
      true: {
        textDecorationLine: 'line-through'
      }
    },
    size: {
      '5xl': {
        //@ts-ignore
        props: {
          as: _htmlElements.H1
        },
        fontSize: '$6xl'
      },
      '4xl': {
        //@ts-ignore
        props: {
          as: _htmlElements.H1
        },
        fontSize: '$5xl'
      },
      '3xl': {
        //@ts-ignore
        props: {
          as: _htmlElements.H1
        },
        fontSize: '$4xl'
      },
      '2xl': {
        //@ts-ignore
        props: {
          as: _htmlElements.H2
        },
        fontSize: '$3xl'
      },
      'xl': {
        //@ts-ignore
        props: {
          as: _htmlElements.H3
        },
        fontSize: '$2xl'
      },
      'lg': {
        //@ts-ignore
        props: {
          as: _htmlElements.H4
        },
        fontSize: '$xl'
      },
      'md': {
        //@ts-ignore
        props: {
          as: _htmlElements.H5
        },
        fontSize: '$lg'
      },
      'sm': {
        //@ts-ignore
        props: {
          as: _htmlElements.H6
        },
        fontSize: '$md'
      },
      'xs': {
        //@ts-ignore
        props: {
          as: _htmlElements.H6
        },
        fontSize: '$sm'
      }
    },
    sub: {
      true: {
        fontSize: '$xs'
      }
    },
    italic: {
      true: {
        fontStyle: 'italic'
      }
    },
    highlight: {
      true: {
        bg: '$yellow500'
      }
    }
  },
  color: '$text500',
  props: {
    size: 'xs'
  },
  textTransform: 'uppercase',
  p: '$3'
});
const StyledIcon = (0, _react.styled)(_react.AsForwarder, {
  variants: {
    size: {
      '2xs': {
        h: '$3',
        w: '$3',
        props: {
          // @ts-ignore
          size: 12
        }
      },
      'xs': {
        h: '$3.5',
        w: '$3.5',
        props: {
          //@ts-ignore
          size: 14
        }
      },
      'sm': {
        h: '$4',
        w: '$4',
        props: {
          //@ts-ignore
          size: 16
        }
      },
      'md': {
        h: '$4.5',
        w: '$4.5',
        props: {
          //@ts-ignore
          size: 18
        }
      },
      'lg': {
        h: '$5',
        w: '$5',
        props: {
          //@ts-ignore
          size: 20
        }
      },
      'xl': {
        h: '$6',
        w: '$6',
        props: {
          //@ts-ignore
          size: 24
        }
      }
    }
  },
  props: {
    size: 'sm',
    // @ts-ignore
    fill: 'none'
  },
  color: '$background500'
}, {
  componentName: 'BaseIcon',
  resolveProps: ['stroke', 'fill']
}, {
  propertyTokenMap: {
    stroke: 'colors',
    fill: 'colors'
  }
});
const StyledSelectRoot = (0, _react.styled)(_reactNative.View, {});
const StyledSelectTrigger = (0, _react.styled)(_reactNative.Pressable, {
  'borderWidth': 1,
  'borderColor': '$background300',
  'borderRadius': '$sm',
  'flexDirection': 'row',
  'overflow': 'hidden',
  'alignItems': 'center',
  ':hover': {
    borderColor: '$border400'
  },
  ':focus': {
    borderColor: '$primary700'
  },
  ':disabled': {
    'opacity': 0.4,
    ':hover': {
      borderColor: '$background300'
    }
  },
  '_input': {
    py: 'auto',
    px: '$3'
  },
  '_icon': {
    color: '$background500'
  },
  'variants': {
    size: {
      xl: {
        h: '$12',
        _input: {
          fontSize: '$xl'
        },
        _icon: {
          h: '$6',
          w: '$6'
        }
      },
      lg: {
        h: '$11',
        _input: {
          fontSize: '$lg'
        },
        _icon: {
          h: '$5',
          w: '$5'
        }
      },
      md: {
        h: '$10',
        _input: {
          fontSize: '$md'
        },
        _icon: {
          h: '$4',
          w: '$4'
        }
      },
      sm: {
        h: '$9',
        _input: {
          fontSize: '$sm'
        },
        _icon: {
          h: '$3.5',
          w: '$3.5'
        }
      }
    },
    variant: {
      underlined: {
        '_input': {
          _web: {
            outlineWidth: 0,
            outline: 'none'
          },
          px: '$0'
        },
        'borderWidth': 0,
        'borderRadius': 0,
        'borderBottomWidth': '$1',
        ':focus': {
          'borderColor': '$primary700',
          '_web': {
            boxShadow: 'inset 0 -1px 0 0 $primary700'
          },
          ':hover': {
            borderColor: '$primary700',
            _web: {
              boxShadow: 'inset 0 -1px 0 0 $primary600'
            }
          }
        },
        ':invalid': {
          'borderBottomWidth': 2,
          'borderBottomColor': '$error700',
          '_web': {
            boxShadow: 'inset 0 -1px 0 0 $error700'
          },
          ':hover': {
            borderBottomColor: '$error700'
          },
          ':focus': {
            'borderBottomColor': '$error700',
            ':hover': {
              borderBottomColor: '$error700',
              _web: {
                boxShadow: 'inset 0 -1px 0 0 $error700'
              }
            }
          },
          ':disabled': {
            ':hover': {
              borderBottomColor: '$error700',
              _web: {
                boxShadow: 'inset 0 -1px 0 0 $error700'
              }
            }
          }
        }
      },
      outline: {
        '_input': {
          _web: {
            outlineWidth: 0,
            outline: 'none'
          }
        },
        ':focus': {
          'borderColor': '$primary700',
          '_web': {
            boxShadow: 'inset 0 0 0 1px $primary700'
          },
          ':hover': {
            borderColor: '$primary700',
            _web: {
              boxShadow: 'inset 0 0 0 1px $primary600'
            }
          }
        },
        ':invalid': {
          'borderColor': '$error700',
          '_web': {
            boxShadow: 'inset 0 0 0 1px $error700'
          },
          ':hover': {
            borderColor: '$error700'
          },
          ':focus': {
            'borderColor': '$error700',
            ':hover': {
              borderColor: '$error700',
              _web: {
                boxShadow: 'inset 0 0 0 1px $error700'
              }
            }
          },
          ':disabled': {
            ':hover': {
              borderColor: '$error700',
              _web: {
                boxShadow: 'inset 0 0 0 1px $error700'
              }
            }
          }
        }
      },
      rounded: {
        'borderRadius': 999,
        '_input': {
          px: '$4',
          _web: {
            outlineWidth: 0,
            outline: 'none'
          }
        },
        ':focus': {
          'borderColor': '$primary700',
          '_web': {
            boxShadow: 'inset 0 0 0 1px $primary700'
          },
          ':hover': {
            borderColor: '$primary700',
            _web: {
              boxShadow: 'inset 0 0 0 1px $primary600'
            }
          }
        },
        ':invalid': {
          'borderColor': '$error700',
          '_web': {
            boxShadow: 'inset 0 0 0 1px $error700'
          },
          ':hover': {
            borderColor: '$error700'
          },
          ':focus': {
            'borderColor': '$error700',
            ':hover': {
              borderColor: '$error700',
              _web: {
                boxShadow: 'inset 0 0 0 1px $error700'
              }
            }
          },
          ':disabled': {
            ':hover': {
              borderColor: '$error700',
              _web: {
                boxShadow: 'inset 0 0 0 1px $error700'
              }
            }
          }
        }
      }
    }
  },
  'defaultProps': {
    size: 'md',
    variant: 'outline'
  }
}, {
  descendantStyle: ['_input', '_icon']
});
const StyledSelectInput = (0, _react.styled)(_reactNative.TextInput, {
  _web: {
    w: '$full'
  },
  pointerEvents: 'none',
  flex: 1,
  h: '$full',
  color: '$text900',
  props: {
    placeholderTextColor: '$text500'
  }
}, {
  ancestorStyle: ['_input'],
  resolveProps: ['placeholderTextColor']
}, {
  propertyTokenMap: {
    placeholderTextColor: 'colors'
  }
});
const Actionsheet = (0, _actionsheet.createActionsheet)({
  Root: StyledRoot,
  Content: StyledContent,
  Item: StyledItem,
  ItemText: StyledItemText,
  DragIndicator: StyledDragIndicator,
  IndicatorWrapper: StyledDragIndicatorWrapper,
  Backdrop: StyledBackdrop,
  ScrollView: StyledScrollView,
  VirtualizedList: StyledVirtualizedList,
  FlatList: StyledFlatList,
  SectionList: StyledSectionList,
  SectionHeaderText: StyledSectionHeaderText,
  Icon: StyledIcon,
  AnimatePresence: _animationResolver.AnimatePresence
});
const Select = exports.Select = (0, _select.createSelect)({
  Root: StyledSelectRoot,
  Trigger: StyledSelectTrigger,
  Input: StyledSelectInput,
  Icon: StyledIcon
}, {
  Portal: Actionsheet,
  Backdrop: Actionsheet.Backdrop,
  Content: Actionsheet.Content,
  DragIndicator: Actionsheet.DragIndicator,
  DragIndicatorWrapper: Actionsheet.DragIndicatorWrapper,
  Item: Actionsheet.Item,
  ItemText: Actionsheet.ItemText,
  ScrollView: Actionsheet.ScrollView,
  VirtualizedList: Actionsheet.VirtualizedList,
  FlatList: Actionsheet.FlatList,
  SectionList: Actionsheet.SectionList,
  SectionHeaderText: Actionsheet.SectionHeaderText
});
const SelectTrigger = exports.SelectTrigger = Select.Trigger;
const SelectInput = exports.SelectInput = Select.Input;
const SelectIcon = exports.SelectIcon = Select.Icon;
const SelectPortal = exports.SelectPortal = Select.Portal;
const SelectBackdrop = exports.SelectBackdrop = Select.Backdrop;
const SelectContent = exports.SelectContent = Select.Content;
const SelectDragIndicator = exports.SelectDragIndicator = Select.DragIndicator;
const SelectDragIndicatorWrapper = exports.SelectDragIndicatorWrapper = Select.DragIndicatorWrapper;
const SelectItem = exports.SelectItem = Select.Item;
const SelectItemText = exports.SelectItemText = Select.ItemText;
const SelectScrollView = exports.SelectScrollView = Select.ScrollView;
const SelectVirtualizedList = exports.SelectVirtualizedList = Select.VirtualizedList;
const SelectFlatList = exports.SelectFlatList = Select.FlatList;
const SelectSectionList = exports.SelectSectionList = Select.SectionList;
const SelectSectionHeaderText = exports.SelectSectionHeaderText = Select.SectionHeaderText;
//# sourceMappingURL=index.js.map