"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _themed = require("@gluestack-ui/themed");
var _react2 = require("@gluestack-style/react");
var _provider = require("@gluestack-ui/provider");
var _config = require("./GluestackUIProvider/config");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const Provider = (0, _provider.createProvider)({
  StyledProvider: _react2.StyledProvider
});
Provider.displayName = 'Provider';
const Wrapper = ({
  children,
  ...props
}) => {
  const colorMode = (0, _react2.useColorMode)();
  return (
    /*#__PURE__*/
    // @ts-ignore
    _react.default.createElement(_themed.Box, {
      dataSet: {
        'theme-id': `withGluestackStyle_${colorMode}`
      }
    }, /*#__PURE__*/_react.default.createElement(Provider, {
      colorMode: "light",
      config: _config.config,
      style: {
        flex: 1,
        height: '100%'
      }
    }, /*#__PURE__*/_react.default.createElement(_themed.Box, _extends({
      sx: {
        _ios: {
          h: '100%'
        }
      }
    }, props), /*#__PURE__*/_react.default.createElement(_themed.Center, {
      height: "100%"
    }, children))))
  );
};
var _default = exports.default = Wrapper;
//# sourceMappingURL=Wrapper.js.map