"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.transformedCode = transformedCode;
exports.transformedCodeWithoutWrapper = transformedCodeWithoutWrapper;
exports.transformedThemedCode = transformedThemedCode;
// Transform code To Remove Wrapper And Function Name
function transformedCode(code, type = 'jsx', componentName) {
  if (type === 'function') {
    return `function App() {
      ${code}
    return <Wrapper><${componentName} /></Wrapper>;
  };`;
  }
  return `function App() {
    return <Wrapper>${code}</Wrapper>;
  };`;
}
function transformedThemedCode(code, type = 'jsx', componentName) {
  if (type === 'function') {
    return `function App() {
      ${code}
    return <GluestackUIProvider><${componentName} /></GluestackUIProvider>;
  };`;
  }
  return `function App() {
    return <GluestackUIProvider>${code}</GluestackUIProvider>;
  };`;
}
function transformedCodeWithoutWrapper(code, type = 'jsx', componentName) {
  if (type === 'function') {
    return `function App() {
      ${code}
    return <${componentName} />;
  };`;
  }
  return `function App() {
    return ${code};
  };`;
}
//# sourceMappingURL=utils.js.map