function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useState } from 'react';
import { Button, ButtonText, VStack, HStack, Icon, Box, FormControl, FormControlLabel, FormControlLabelText, Input, InputField, InputIcon, InputSlot, AddIcon, Image, Text, Center } from '@gluestack-ui/themed';
import { config } from '@gluestack-ui/config';
import { Actionsheet, ActionsheetIcon, ActionsheetBackdrop, ActionsheetContent, ActionsheetDragIndicator, ActionsheetDragIndicatorWrapper, ActionsheetItem, ActionsheetItemText, ActionsheetFlatList, ActionsheetScrollView, ActionsheetSectionList, ActionsheetSectionHeaderText, ActionsheetVirtualizedList } from '@/components/ui/Actionsheet';
const ActionsheetBasic = ({
  showActionsheetProp,
  ...props
}) => {
  const [showActionsheet, setShowActionsheet] = React.useState(false);
  const handleClose = () => setShowActionsheet(false);
  return /*#__PURE__*/React.createElement(Center, null, /*#__PURE__*/React.createElement(Button, {
    onPress: () => setShowActionsheet(true)
  }, /*#__PURE__*/React.createElement(ButtonText, null, "Open")), /*#__PURE__*/React.createElement(Actionsheet, _extends({
    isOpen: showActionsheet || showActionsheetProp,
    onClose: handleClose
  }, props), /*#__PURE__*/React.createElement(ActionsheetBackdrop, null), /*#__PURE__*/React.createElement(ActionsheetContent, null, /*#__PURE__*/React.createElement(ActionsheetDragIndicatorWrapper, null, /*#__PURE__*/React.createElement(ActionsheetDragIndicator, null)), /*#__PURE__*/React.createElement(ActionsheetItem, {
    onPress: handleClose,
    isDisabled: true
  }, /*#__PURE__*/React.createElement(ActionsheetItemText, null, "Delete")), /*#__PURE__*/React.createElement(ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/React.createElement(ActionsheetItemText, null, "Share")), /*#__PURE__*/React.createElement(ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/React.createElement(ActionsheetItemText, null, "Play")), /*#__PURE__*/React.createElement(ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/React.createElement(ActionsheetItemText, null, "Favourite")), /*#__PURE__*/React.createElement(ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/React.createElement(ActionsheetItemText, null, "Cancel")))));
};
function FigmaActionsheetStory({
  ...props
}) {
  return /*#__PURE__*/React.createElement(Box, {
    w: 900
  }, /*#__PURE__*/React.createElement(ActionsheetContent, _extends({}, props, {
    w: "$full",
    _experimentalContent: true
  }), /*#__PURE__*/React.createElement(ActionsheetDragIndicatorWrapper, null, /*#__PURE__*/React.createElement(ActionsheetDragIndicator, null)), /*#__PURE__*/React.createElement(ActionsheetItem, null, /*#__PURE__*/React.createElement(ActionsheetItemText, null, "Delete")), /*#__PURE__*/React.createElement(ActionsheetItem, null, /*#__PURE__*/React.createElement(ActionsheetItemText, null, "Share")), /*#__PURE__*/React.createElement(ActionsheetItem, null, /*#__PURE__*/React.createElement(ActionsheetItemText, null, "Play")), /*#__PURE__*/React.createElement(ActionsheetItem, null, /*#__PURE__*/React.createElement(ActionsheetItemText, null, "Favourite")), /*#__PURE__*/React.createElement(ActionsheetItem, null, /*#__PURE__*/React.createElement(ActionsheetItemText, null, "Cancel"))));
}
ActionsheetBasic.description = 'This is a basic Actionsheet component example. Actionsheets are used to display a list of actions that can be performed on a page.';
export default ActionsheetBasic;
export { FigmaActionsheetStory, Actionsheet, ActionsheetIcon, ActionsheetBackdrop, ActionsheetContent, ActionsheetDragIndicator, ActionsheetDragIndicatorWrapper, ActionsheetItem, ActionsheetItemText, ActionsheetFlatList, ActionsheetScrollView, ActionsheetSectionList, ActionsheetSectionHeaderText, ActionsheetVirtualizedList, Button, ButtonText, VStack, HStack, Icon, Box, FormControl, FormControlLabel, FormControlLabelText, Input, InputField, InputIcon, InputSlot, AddIcon, Image, Text, useState, config };
//# sourceMappingURL=Actionsheet.js.map