function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useEffect } from 'react';
import { Actionsheet, ActionsheetBackdrop, ActionsheetContent, ActionsheetDragIndicator, ActionsheetDragIndicatorWrapper, Button, ButtonText, VStack, Input, InputIcon, InputSlot, InputField, FormControl, FormControlLabel, FormControlLabelText, HStack, Image, Text, Box, Icon } from '@gluestack-ui/themed';
import { KeyboardAvoidingView } from 'react-native';
import { createIcon } from '@gluestack-ui/icon';
import { Svg, Path } from 'react-native-svg';
import { styled, AsForwarder } from '@gluestack-ui/themed';
const IconRoot = styled(AsForwarder, {}, {
  ancestorStyle: ['_icon']
}, {
  propertyTokenMap: {
    stroke: 'colors'
  }
});
const LeadingIcon = createIcon({
  Root: IconRoot,
  viewBox: '0 0 18 18',
  path: /*#__PURE__*/React.createElement(Svg, {
    fill: "none"
  }, /*#__PURE__*/React.createElement(Path, {
    d: "M15 3.75H3C2.17157 3.75 1.5 4.42157 1.5 5.25V12.75C1.5 13.5784 2.17157 14.25 3 14.25H15C15.8284 14.25 16.5 13.5784 16.5 12.75V5.25C16.5 4.42157 15.8284 3.75 15 3.75Z",
    stroke: "#A3A3A3",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement(Path, {
    d: "M1.5 7.5H16.5",
    stroke: "#A3A3A3",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }))
});
const ActionsheetWithKeyboardAvoidingViewWithSnapPoints = ({
  showActionsheet: showActionsheetProp = true,
  ...props
}) => {
  const [showActionsheet, setShowActionsheet] = React.useState(props.showActionsheet);
  useEffect(() => {
    setShowActionsheet(props.showActionsheet);
  }, [props.showActionsheet]);
  const handleClose = () => setShowActionsheet(false);
  return /*#__PURE__*/React.createElement(Actionsheet, _extends({
    isOpen: showActionsheet || showActionsheetProp,
    onClose: handleClose,
    snapPoints: [50]
  }, props), /*#__PURE__*/React.createElement(KeyboardAvoidingView, {
    behavior: "position"
    // eslint-disable-next-line react-native/no-inline-styles
    ,
    style: {
      position: 'relative',
      flex: 1,
      justifyContent: 'flex-end'
    }
  }, /*#__PURE__*/React.createElement(ActionsheetBackdrop, null), /*#__PURE__*/React.createElement(ActionsheetContent, null, /*#__PURE__*/React.createElement(ActionsheetDragIndicatorWrapper, null, /*#__PURE__*/React.createElement(ActionsheetDragIndicator, null)), /*#__PURE__*/React.createElement(VStack, {
    w: "$full",
    p: 20
  }, /*#__PURE__*/React.createElement(HStack, {
    justifyContent: "center",
    alignItems: "center",
    space: "md"
  }, /*#__PURE__*/React.createElement(Box, {
    w: 50,
    h: "$full",
    px: "$2",
    borderWidth: 1,
    borderStyle: "solid",
    borderColor: "$borderLight300",
    rounded: "$sm"
  }, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://i.imgur.com/UwTLr26.png'
    },
    flex: 1,
    resizeMode: "contain"
  })), /*#__PURE__*/React.createElement(VStack, {
    flex: 1
  }, /*#__PURE__*/React.createElement(Text, {
    fontWeight: "$bold"
    // @ts-ignore
  }, "Mastercard"), /*#__PURE__*/React.createElement(Text
  // @ts-ignore
  , null, "Card ending in 2345"))), /*#__PURE__*/React.createElement(FormControl, {
    mt: 36
  }, /*#__PURE__*/React.createElement(FormControlLabel, null, /*#__PURE__*/React.createElement(FormControlLabelText
  // @ts-ignore
  , null, "Confirm security code")), /*#__PURE__*/React.createElement(Input, _extends({
    isFullWidth: true
  }, props), /*#__PURE__*/React.createElement(InputSlot, null, /*#__PURE__*/React.createElement(InputIcon, {
    as: LeadingIcon,
    ml: "$3"
  })), /*#__PURE__*/React.createElement(InputField, {
    placeholder: "CVC/CVV"
  })), /*#__PURE__*/React.createElement(Button, {
    onPress: handleClose,
    mt: 20
  }, /*#__PURE__*/React.createElement(ButtonText
  // @ts-ignore
  , null, "Pay $1000")))))));
};
ActionsheetWithKeyboardAvoidingViewWithSnapPoints.description = 'This is a basic Actionsheet component example. Actionsheets are used to display a list of actions that can be performed on a page.';
export default ActionsheetWithKeyboardAvoidingViewWithSnapPoints;
export { Actionsheet, Button, VStack, Input, InputIcon, InputSlot, InputField, FormControl, FormControlLabel, FormControlLabelText, HStack, Image, Text, Box, Icon, LeadingIcon, IconRoot };
//# sourceMappingURL=ActionsheetAvoidKeyboardWithSnapPoints.js.map