function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useCallback } from 'react';
import { Actionsheet, ActionsheetBackdrop, ActionsheetContent, ActionsheetDragIndicator, ActionsheetDragIndicatorWrapper, ActionsheetItem, ActionsheetItemText, ActionsheetFlatList, Button } from '@gluestack-ui/themed';
import { useEffect } from 'react';
const ActionsheetWithFlatList = ({
  showActionsheet: showActionsheetProp = true,
  ...props
}) => {
  const [showActionsheet, setShowActionsheet] = React.useState(props.showActionsheet);
  useEffect(() => {
    setShowActionsheet(props.showActionsheet);
  }, [props.showActionsheet]);
  const handleClose = useCallback(() => setShowActionsheet(false), [setShowActionsheet]);
  const DATA = [{
    id: 'bd7acbea-c1b1-46c2-aed5-3ad53abb28ba',
    title: 'First Item'
  }, {
    id: '3ac68afc-c605-48d3-a4f8-fbd91aa97f63',
    title: 'Second Item'
  }, {
    id: '58694a0f-3da1-471f-bd96-145571e29d72',
    title: 'Third Item'
  }];
  const Item = useCallback(({
    title
  }) => /*#__PURE__*/React.createElement(ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/React.createElement(ActionsheetItemText, null, title)), [handleClose]);
  return /*#__PURE__*/React.createElement(Actionsheet, _extends({
    isOpen: showActionsheet || showActionsheetProp,
    onClose: handleClose
  }, props), /*#__PURE__*/React.createElement(ActionsheetBackdrop, null), /*#__PURE__*/React.createElement(ActionsheetContent, null, /*#__PURE__*/React.createElement(ActionsheetDragIndicatorWrapper, null, /*#__PURE__*/React.createElement(ActionsheetDragIndicator, null)), /*#__PURE__*/React.createElement(ActionsheetFlatList, {
    data: DATA,
    renderItem: ({
      item
    }) => /*#__PURE__*/React.createElement(Item, {
      title: item.title
    }),
    keyExtractor: item => item.id
  })));
};
ActionsheetWithFlatList.description = 'This is an example of actionsheet with items rendered using FlatList';
export default ActionsheetWithFlatList;
export { Actionsheet, Button };
//# sourceMappingURL=ActionsheetFlatList.js.map