function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Actionsheet, ActionsheetBackdrop, ActionsheetContent, ActionsheetDragIndicator, ActionsheetDragIndicatorWrapper, ActionsheetItem, ActionsheetItemText, ActionsheetIcon, Button, Icon, TrashIcon, ShareIcon, PlayIcon, FavouriteIcon, CloseIcon } from '@gluestack-ui/themed';
import { useEffect } from 'react';
const ActionsheetWithIcon = ({
  showActionsheet: showActionsheetProp = true,
  ...props
}) => {
  const [showActionsheet, setShowActionsheet] = React.useState(props.showActionsheet);
  useEffect(() => {
    setShowActionsheet(props.showActionsheet);
  }, [props.showActionsheet]);
  const handleClose = () => setShowActionsheet(false);
  return /*#__PURE__*/React.createElement(Actionsheet, _extends({
    isOpen: showActionsheet || showActionsheetProp,
    onClose: handleClose
  }, props), /*#__PURE__*/React.createElement(ActionsheetBackdrop, null), /*#__PURE__*/React.createElement(ActionsheetContent, null, /*#__PURE__*/React.createElement(ActionsheetDragIndicatorWrapper, null, /*#__PURE__*/React.createElement(ActionsheetDragIndicator, null)), /*#__PURE__*/React.createElement(ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/React.createElement(ActionsheetIcon, {
    as: TrashIcon
  }), /*#__PURE__*/React.createElement(ActionsheetItemText, null, "Delete")), /*#__PURE__*/React.createElement(ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/React.createElement(ActionsheetIcon, {
    as: ShareIcon
  }), /*#__PURE__*/React.createElement(ActionsheetItemText, null, "Share")), /*#__PURE__*/React.createElement(ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/React.createElement(ActionsheetIcon, {
    as: PlayIcon
  }), /*#__PURE__*/React.createElement(ActionsheetItemText, null, "Play")), /*#__PURE__*/React.createElement(ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/React.createElement(ActionsheetIcon, {
    as: FavouriteIcon
  }), /*#__PURE__*/React.createElement(ActionsheetItemText, null, "Favourite")), /*#__PURE__*/React.createElement(ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/React.createElement(ActionsheetIcon, {
    as: CloseIcon
  }), /*#__PURE__*/React.createElement(ActionsheetItemText, null, "Cancel"))));
};
ActionsheetWithIcon.description = `This is an example of an Actionsheet component with Icons. This is to represent how to use icons in Actionsheet.`;
export default ActionsheetWithIcon;
export { Actionsheet, Button, Icon, TrashIcon, ShareIcon, PlayIcon, FavouriteIcon, CloseIcon };
//# sourceMappingURL=ActionsheetIcon.js.map