function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useMemo, useCallback } from 'react';
import { Actionsheet, ActionsheetBackdrop, ActionsheetContent, ActionsheetDragIndicator, ActionsheetDragIndicatorWrapper, ActionsheetItem, ActionsheetItemText, ActionsheetScrollView, Button } from '@gluestack-ui/themed';
import { useEffect } from 'react';
const ActionsheetWithScrollView = ({
  showActionsheet: showActionsheetProp = true,
  ...props
}) => {
  const [showActionsheet, setShowActionsheet] = React.useState(props.showActionsheet);
  useEffect(() => {
    setShowActionsheet(props.showActionsheet);
  }, [props.showActionsheet]);
  const handleClose = useCallback(() => setShowActionsheet(false), [setShowActionsheet]);

  // variables
  const data = useMemo(() => Array(50).fill(0).map((_, index) => `Item ${index}`), []);
  const renderItem = useCallback(item => /*#__PURE__*/React.createElement(ActionsheetItem, {
    onPress: handleClose,
    key: item
  }, /*#__PURE__*/React.createElement(ActionsheetItemText, null, item)), [handleClose]);
  return /*#__PURE__*/React.createElement(Actionsheet, _extends({
    isOpen: showActionsheet || showActionsheetProp,
    onClose: handleClose
  }, props), /*#__PURE__*/React.createElement(ActionsheetBackdrop, null), /*#__PURE__*/React.createElement(ActionsheetContent, null, /*#__PURE__*/React.createElement(ActionsheetDragIndicatorWrapper, null, /*#__PURE__*/React.createElement(ActionsheetDragIndicator, null)), /*#__PURE__*/React.createElement(ActionsheetScrollView, {
    h: "$56"
  }, data.map(renderItem))));
};
ActionsheetWithScrollView.description = 'This is an example of an Actionsheet with a list of items inside a ScrollView.';
export default ActionsheetWithScrollView;
export { Actionsheet, Button };
//# sourceMappingURL=ActionsheetScrollView.js.map