function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useCallback, useEffect } from 'react';
import { Actionsheet, ActionsheetBackdrop, ActionsheetContent, ActionsheetDragIndicator, ActionsheetDragIndicatorWrapper, ActionsheetItem, ActionsheetItemText, ActionsheetSectionList, ActionsheetSectionHeaderText, Button } from '@gluestack-ui/themed';
const ActionsheetWithSectionlist = ({
  showActionsheet: showActionsheetProp = true,
  ...props
}) => {
  const [showActionsheet, setShowActionsheet] = React.useState(props.showActionsheet);
  useEffect(() => {
    setShowActionsheet(props.showActionsheet);
  }, [props.showActionsheet]);
  const handleClose = useCallback(() => setShowActionsheet(false), [setShowActionsheet]);
  const DATA = [{
    title: 'Main dishes',
    data: ['Pizza', 'Burger', 'Risotto']
  }, {
    title: 'Sides',
    data: ['French Fries', 'Onion Rings', 'Fried Shrimps']
  }, {
    title: 'Drinks',
    data: ['Water', 'Coke', 'Beer']
  }, {
    title: 'Desserts',
    data: ['Cheese Cake', 'Ice Cream']
  }];
  return /*#__PURE__*/React.createElement(Actionsheet, _extends({
    isOpen: showActionsheet || showActionsheetProp,
    onClose: handleClose
  }, props), /*#__PURE__*/React.createElement(ActionsheetBackdrop, null), /*#__PURE__*/React.createElement(ActionsheetContent, null, /*#__PURE__*/React.createElement(ActionsheetDragIndicatorWrapper, null, /*#__PURE__*/React.createElement(ActionsheetDragIndicator, null)), /*#__PURE__*/React.createElement(ActionsheetSectionList, {
    h: "$56",
    sections: DATA,
    keyExtractor: (item, index) => item + index,
    renderItem: ({
      item
    }) => /*#__PURE__*/React.createElement(ActionsheetItem, {
      onPress: handleClose
    }, /*#__PURE__*/React.createElement(ActionsheetItemText, null, item)),
    renderSectionHeader: ({
      section: {
        title,
        data
      }
    }) => /*#__PURE__*/React.createElement(ActionsheetSectionHeaderText, null, title, " (", data.length, ")")
  })));
};
ActionsheetWithSectionlist.description = 'This is an example of actionsheet with items rendered using SectionList ';
export default ActionsheetWithSectionlist;
export { Actionsheet, Button };
//# sourceMappingURL=ActionsheetSectionList.js.map