function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useMemo, useCallback } from 'react';
import { Actionsheet, ActionsheetBackdrop, ActionsheetContent, ActionsheetDragIndicator, ActionsheetDragIndicatorWrapper, ActionsheetItem, ActionsheetItemText, ActionsheetVirtualizedList, Button } from '@gluestack-ui/themed';
import { useEffect } from 'react';
const ActionsheetWithVirtualizedList = ({
  showActionsheet: showActionsheetProp = true,
  ...props
}) => {
  const [showActionsheet, setShowActionsheet] = React.useState(props.showActionsheet);
  useEffect(() => {
    setShowActionsheet(props.showActionsheet);
  }, [props.showActionsheet]);
  const handleClose = useCallback(() => setShowActionsheet(false), [setShowActionsheet]);
  const getItem = (_data, index) => ({
    id: Math.random().toString(12).substring(0),
    title: _data[index]
  });
  const getItemCount = _data => _data.length;
  const Item = useCallback(({
    title
  }) => /*#__PURE__*/React.createElement(ActionsheetItem, {
    onPress: handleClose
  }, /*#__PURE__*/React.createElement(ActionsheetItemText, null, title)), [handleClose]);
  const data = useMemo(() => Array(50).fill(0).map((_, index) => `Item ${index + 1}`), []);
  return /*#__PURE__*/React.createElement(Actionsheet, _extends({
    isOpen: showActionsheet || showActionsheetProp,
    onClose: handleClose
  }, props), /*#__PURE__*/React.createElement(ActionsheetBackdrop, null), /*#__PURE__*/React.createElement(ActionsheetContent, null, /*#__PURE__*/React.createElement(ActionsheetDragIndicatorWrapper, null, /*#__PURE__*/React.createElement(ActionsheetDragIndicator, null)), /*#__PURE__*/React.createElement(ActionsheetVirtualizedList, {
    h: "$56",
    data: data,
    initialNumToRender: 5,
    renderItem: ({
      item
    }) => /*#__PURE__*/React.createElement(Item, {
      title: item.title
    }),
    keyExtractor: item => item.id,
    getItemCount: getItemCount,
    getItem: getItem
  })));
};
ActionsheetWithVirtualizedList.description = 'This is an example of actionsheet with items rendered using VirtualizedList ';
export default ActionsheetWithVirtualizedList;
export { Actionsheet, Button };
//# sourceMappingURL=ActionsheetVirtualizedList.js.map