import React from "react";
import { BellIcon, Center, InfoIcon } from "@gluestack-ui/themed";
import { AlertCircleIcon, CheckCircle2Icon, XCircle } from "lucide-react-native";
import { Alert, AlertIcon, AlertText } from "@/components/ui/Alert";
const AlertVariants = ({
  variant
}) => {
  return /*#__PURE__*/React.createElement(Center, null, /*#__PURE__*/React.createElement(Alert, {
    action: "info",
    variant: variant,
    mb: 4,
    gap: "$3"
  }, /*#__PURE__*/React.createElement(AlertIcon, {
    as: InfoIcon
  }), /*#__PURE__*/React.createElement(AlertText, null, "Unlock the power of knowledge with the following information.")), /*#__PURE__*/React.createElement(Alert, {
    action: "success",
    variant: variant,
    mb: 4,
    gap: "$3"
  }, /*#__PURE__*/React.createElement(AlertIcon, {
    as: CheckCircle2Icon
  }), /*#__PURE__*/React.createElement(AlertText, null, "Boom! You did it! Please take a moment to pat yourself on the back. You've earned it! Boom! You did it! Please take a moment to pat yourself on the back. You've earned it!")), /*#__PURE__*/React.createElement(Alert, {
    action: "error",
    variant: variant,
    mb: 4,
    gap: "$3"
  }, /*#__PURE__*/React.createElement(AlertIcon, {
    as: XCircle
  }), /*#__PURE__*/React.createElement(AlertText, null, "Uh-oh! It looks like the matrix has glitched. Our team of tech ninjas are already on the case. Please hold tight while we fix the issue")), /*#__PURE__*/React.createElement(Alert, {
    action: "warning",
    variant: variant,
    mb: 4,
    gap: "$3"
  }, /*#__PURE__*/React.createElement(AlertIcon, {
    as: AlertCircleIcon
  }), /*#__PURE__*/React.createElement(AlertText, null, "Warning: Reading the following content may cause spontaneous outbursts of 'aha!' moments")), /*#__PURE__*/React.createElement(Alert, {
    action: "muted",
    variant: variant,
    gap: "$3"
  }, /*#__PURE__*/React.createElement(AlertIcon, {
    as: BellIcon
  }), /*#__PURE__*/React.createElement(AlertText, null, "Need a helping hand? Your help alert has just been activated, and we're here to lend you our expertise, our experience, and our enthusiasm. Let's do this!")));
};
export default AlertVariants;
export { Alert };
//# sourceMappingURL=Variants.js.map