function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useState } from "react";
import { CloseIcon, Button, ButtonText, ButtonGroup, Text, Center, Icon, Heading, AlertCircleIcon, CheckCircleIcon, HStack } from "@gluestack-ui/themed";
import { AlertDialog, AlertDialogBackdrop, AlertDialogContent, AlertDialogHeader, AlertDialogCloseButton, AlertDialogFooter, AlertDialogBody } from "@/components/ui/AlertDialog";
import { AlertTriangleIcon } from "lucide-react-native";
const AlertDialogBasic = ({
  showAlertDialog: showAlertDialogProp = true,
  ...props
}) => {
  const [showAlertDialog, setShowAlertDialog] = useState(false);
  const handleClose = () => setShowAlertDialog(!showAlertDialog);
  return /*#__PURE__*/React.createElement(AlertDialog, _extends({
    isOpen: showAlertDialog || showAlertDialogProp,
    onClose: handleClose
  }, props), /*#__PURE__*/React.createElement(AlertDialogBackdrop, null), /*#__PURE__*/React.createElement(AlertDialogContent, null, /*#__PURE__*/React.createElement(AlertDialogHeader, null, /*#__PURE__*/React.createElement(Heading, null, "Return Policy"), /*#__PURE__*/React.createElement(AlertDialogCloseButton, null, /*#__PURE__*/React.createElement(Icon, {
    as: CloseIcon
  }))), /*#__PURE__*/React.createElement(AlertDialogBody, null, /*#__PURE__*/React.createElement(Text, null, "Whoa, slow down there! This modal is like a red light at an intersection, reminding you to stop and think before you proceed. Is deleting this folder the right choice?")), /*#__PURE__*/React.createElement(AlertDialogFooter, {
    gap: "$3"
  }, /*#__PURE__*/React.createElement(Button, {
    variant: "outline",
    action: "secondary",
    onPress: handleClose
  }, /*#__PURE__*/React.createElement(ButtonText, null, "Cancel")), /*#__PURE__*/React.createElement(Button, {
    action: "negative",
    onPress: handleClose
  }, /*#__PURE__*/React.createElement(ButtonText, null, "Delete")))));
};
const FigmaAlertDialogStory = ({
  showAlertDialog: _showAlertDialogProp = true,
  //@ts-ignore
  _colorMode,
  ...props
}) => {
  return /*#__PURE__*/React.createElement(AlertDialog, _extends({
    isOpen: true,
    py: "$16",
    w: 1230,
    bg: "#00000080",
    sx: {
      _dark: {
        bg: "#ffffff80"
      }
    }
    //@ts-ignore
    ,
    _experimentalOverlay: true
  }, props), /*#__PURE__*/React.createElement(AlertDialogContent, null, /*#__PURE__*/React.createElement(AlertDialogHeader, null, /*#__PURE__*/React.createElement(Heading, null, "Return Policy"), /*#__PURE__*/React.createElement(AlertDialogCloseButton, null, /*#__PURE__*/React.createElement(Icon, {
    as: CloseIcon
  }))), /*#__PURE__*/React.createElement(AlertDialogBody, null, /*#__PURE__*/React.createElement(Text, null, "Whoa, slow down there! This modal is like a red light at an intersection, reminding you to stop and think before you proceed. Is deleting this folder the right choice?")), /*#__PURE__*/React.createElement(AlertDialogFooter, {
    gap: "$3"
  }, /*#__PURE__*/React.createElement(Button, {
    variant: "outline",
    action: "secondary"
  }, /*#__PURE__*/React.createElement(ButtonText, null, "Cancel")), /*#__PURE__*/React.createElement(Button, {
    action: "negative"
  }, /*#__PURE__*/React.createElement(ButtonText, null, "Delete")))));
};
AlertDialogBasic.description = "This is a basic AlertDialog component example. Alerts are used to communicate a state that affects a system, feature or page";
export default AlertDialogBasic;
export { FigmaAlertDialogStory, AlertDialog, AlertDialogBackdrop, AlertDialogContent, AlertDialogHeader, AlertDialogCloseButton, AlertDialogFooter, AlertDialogBody, Button, ButtonText, ButtonGroup, Text, CloseIcon, Center, Heading, Icon, AlertCircleIcon, HStack, AlertTriangleIcon, CheckCircleIcon };
//# sourceMappingURL=AlertDialog.js.map