function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { VStack, HStack, Icon, Heading, Text } from '@gluestack-ui/themed';
import { Avatar, AvatarGroup, AvatarBadge, AvatarFallbackText, AvatarImage } from '@/components/ui/Avatar';
import { User } from 'lucide-react-native';
const AvatarBasic = ({
  size = 'md',
  uri = 'https://images.unsplash.com/photo-1494790108377-be9c29b29330?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=687&q=80',
  badge = true,
  fallbackText = 'John Doe',
  ...props
}) => {
  return /*#__PURE__*/React.createElement(Avatar, _extends({
    size: size
  }, props, {
    bg: "$red400"
  }), /*#__PURE__*/React.createElement(AvatarFallbackText, null, fallbackText), /*#__PURE__*/React.createElement(AvatarImage, {
    source: {
      uri: uri
    }
  }), badge && /*#__PURE__*/React.createElement(AvatarBadge, null));
};
AvatarBasic.description = 'This is a basic Avatar component example. An avatar is a graphical representation of a user.';
export default AvatarBasic;
export { HStack, VStack, Avatar, AvatarGroup, AvatarBadge, AvatarFallbackText, AvatarImage, Icon, Heading, User, Text };
//# sourceMappingURL=Avatar.js.map