import React from "react";
import { Button, ButtonText, Pressable, Text, Box } from "@gluestack-ui/themed";
import { GluestackUIProvider } from "@/components/ui/GluestackUIProvider";
import { config } from "@gluestack-ui/config";
const ProviderStory = () => {
  const [colorMode, setColorMode] = React.useState("dark");
  const toggleColorMode = async () => {
    colorMode === "light" ? setColorMode("dark") : setColorMode("light");
  };
  return /*#__PURE__*/React.createElement(GluestackUIProvider, {
    config: config,
    colorMode: colorMode
  }, /*#__PURE__*/React.createElement(Box, {
    w: 100
  }, /*#__PURE__*/React.createElement(Button, {
    onPress: toggleColorMode
  }, /*#__PURE__*/React.createElement(ButtonText, null, "Change Mode")), /*#__PURE__*/React.createElement(Pressable, {
    bg: "$pink600",
    mb: "$4"
  }, /*#__PURE__*/React.createElement(Text, null, "Hello")), /*#__PURE__*/React.createElement(GluestackUIProvider, {
    config: {
      ...config,
      tokens: {
        ...config.tokens,
        colors: {
          ...config.tokens.colors,
          pink600: "red"
        }
      }
    }
  }, /*#__PURE__*/React.createElement(Button, {
    bg: "$pink600",
    sx: {
      _dark: {
        bg: "$pink600"
      }
    }
  }, /*#__PURE__*/React.createElement(Text, null, "Hello")))));
};
export default ProviderStory;
export { Pressable, Button, GluestackUIProvider, Box, ButtonText };
//# sourceMappingURL=Provider.js.map