import React from 'react';
import { Button, ButtonText, Box, Heading, Icon, SearchIcon, FormControl } from '@gluestack-ui/themed';
import { Input, InputField, InputIcon, InputSlot } from '@/components/ui/Input';
import { Center } from '@/components/ui/Center';
import { VStack } from '@/components/ui/VStack';
import { Text } from '@/components/ui/Text';
import { EyeIcon, EyeOffIcon } from 'lucide-react-native';
import { useState } from 'react';
const InputBasic = ({
  ...props
}) => {
  const [value, setValue] = React.useState('');
  return /*#__PURE__*/React.createElement(Input, props, /*#__PURE__*/React.createElement(InputField, {
    onChange: e => {
      setValue(e.nativeEvent.text);
    },
    value: value,
    placeholder: "Enter Text here"
  }), /*#__PURE__*/React.createElement(InputSlot, {
    pr: props.variant === 'underlined' ? '$0' : '$4'
  }, /*#__PURE__*/React.createElement(InputIcon, {
    as: SearchIcon
  })));
};
InputBasic.description = 'This is a basic Input component example. Inputs are used to capture data from users.';
export default InputBasic;
export { Input, InputField, InputIcon, Center, Button, ButtonText, Box, VStack, Text, Heading, useState, Icon, EyeIcon, EyeOffIcon, FormControl, InputSlot };
//# sourceMappingURL=Input.js.map