import React from "react";
import { Button, ButtonText } from "@/components/ui/Button";
import { Modal, ModalBackdrop, ModalBody, ModalCloseButton, ModalContent, ModalFooter, ModalHeader } from "@/components/ui/Modal";
import { Center } from "@/components/ui/Center";
import { X } from "lucide-react-native";
import { Text } from "@/components/ui/Text";
const ModalBasic = () => {
  const [showModal, setShowModal] = React.useState(false);
  const ref = React.useRef(null);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onPress: () => {
      setShowModal(!showModal);
    }
  }, /*#__PURE__*/React.createElement(ButtonText, null, "Open Modal")), /*#__PURE__*/React.createElement(Modal, {
    isOpen: showModal,
    onClose: () => {
      setShowModal(false);
    },
    finalFocusRef: ref
  }, /*#__PURE__*/React.createElement(ModalBackdrop, null), /*#__PURE__*/React.createElement(ModalContent, null, /*#__PURE__*/React.createElement(ModalHeader, null, /*#__PURE__*/React.createElement(Text, null, "Are you absolutely sure?"), /*#__PURE__*/React.createElement(ModalCloseButton, null, /*#__PURE__*/React.createElement(X, {
    size: 20,
    className: "stroke-background-400 group-[:hover]/modal-close-button:stroke-background-700 group-[:active]/modal-close-button:stroke-background-900 group-[:focus-visible]/modal-close-button:stroke-background-900"
  }))), /*#__PURE__*/React.createElement(ModalBody, null, /*#__PURE__*/React.createElement(Text, null, "This action cannot be undone. This will permanently delete your account and remove your data from our servers.")),
  /*#__PURE__*/
  //@ts-ignore
  React.createElement(ModalFooter, {
    className: "gap-3"
  }, /*#__PURE__*/React.createElement(Button, {
    variant: "outline",
    onPress: () => {
      setShowModal(false);
    }
  }, /*#__PURE__*/React.createElement(ButtonText, null, "Cancel")), /*#__PURE__*/React.createElement(Button, {
    onPress: () => {
      setShowModal(false);
    }
  }, /*#__PURE__*/React.createElement(ButtonText, null, "Continue"))))));
};
export default ModalBasic;
export { Modal, ModalBackdrop, ModalContent, ModalHeader, ModalCloseButton, ModalBody, ModalFooter, Button, ButtonText, Text, Center };
//# sourceMappingURL=Modal.js.map