function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useState } from 'react';
import { Text, Button, ButtonText, ButtonGroup, CloseIcon, Icon, Box, Center, Heading, Pressable, HStack, VStack, Avatar, AvatarFallbackText, CircleIcon, AddIcon, PopoverArrow } from '@gluestack-ui/themed';
import { Popover, PopoverBackdrop, PopoverContent, PopoverHeader, PopoverBody, PopoverFooter, PopoverCloseButton } from '@/components/ui/Popover';
import { PhoneIcon, Clock3Icon, MailIcon } from 'lucide-react-native';
const PopoverBasic = ({
  showPopover: showPopoverProp = true,
  placement = 'bottom',
  size = 'md'
}) => {
  return /*#__PURE__*/React.createElement(Box, {
    w: 1200,
    h: 800
  }, /*#__PURE__*/React.createElement(Popover, {
    size: size,
    offset: 10,
    isOpen: showPopoverProp,
    placement: placement
    // eslint-disable-next-line react/no-unstable-nested-components
    ,
    trigger: triggerProps => {
      return /*#__PURE__*/React.createElement(Button, triggerProps, /*#__PURE__*/React.createElement(ButtonText, null, "Popover"));
    }
  }, /*#__PURE__*/React.createElement(PopoverBackdrop, null), /*#__PURE__*/React.createElement(PopoverContent, null, /*#__PURE__*/React.createElement(PopoverHeader, null, /*#__PURE__*/React.createElement(Heading, null, "Welcome!"), /*#__PURE__*/React.createElement(PopoverCloseButton, null, /*#__PURE__*/React.createElement(Icon, {
    as: CloseIcon
  }))), /*#__PURE__*/React.createElement(PopoverBody, null, /*#__PURE__*/React.createElement(Text, null, "Join the product tour and start creating your own checklist. Are you ready to jump in?")), /*#__PURE__*/React.createElement(PopoverFooter, null, /*#__PURE__*/React.createElement(Text, {
    size: "xs",
    flex: 1
  }, "Step 2 of 3"), /*#__PURE__*/React.createElement(ButtonGroup, {
    space: "md"
  }, /*#__PURE__*/React.createElement(Button, {
    variant: "outline",
    action: "secondary"
  }, /*#__PURE__*/React.createElement(ButtonText, null, "Back")), /*#__PURE__*/React.createElement(Button, null, /*#__PURE__*/React.createElement(ButtonText, null, "Next")))))));
};
const FigmaPopoverStory = ({
  showPopover: _showPopoverProp = true,
  _placement = 'bottom',
  ...props
}) => {
  return /*#__PURE__*/React.createElement(Box, {
    w: "$full",
    h: "$full"
  }, /*#__PURE__*/React.createElement(Popover, _extends({}, props, {
    _experimentalOverlay: true,
    offset: 30,
    isOpen: true,
    placement: "top"
    // eslint-disable-next-line react/no-unstable-nested-components
    ,
    trigger: triggerProps => {
      return /*#__PURE__*/React.createElement(Box, {
        w: 1200,
        h: 500,
        pt: 300,
        pb: 50,
        alignItems: "center"
      }, /*#__PURE__*/React.createElement(Button, triggerProps, /*#__PURE__*/React.createElement(ButtonText, null, "Popover")));
    }
  }), /*#__PURE__*/React.createElement(PopoverContent, null, /*#__PURE__*/React.createElement(PopoverHeader, null, /*#__PURE__*/React.createElement(Heading, null, "Welcome!"), /*#__PURE__*/React.createElement(PopoverCloseButton, null, /*#__PURE__*/React.createElement(Icon, {
    as: CloseIcon
  }))), /*#__PURE__*/React.createElement(PopoverBody, null, /*#__PURE__*/React.createElement(Text, null, "Join the product tour and start creating your own checklist. Are you ready to jump in?")), /*#__PURE__*/React.createElement(PopoverFooter, null, /*#__PURE__*/React.createElement(Text, {
    size: "xs",
    flex: 1
  }, "Step 2 of 3"), /*#__PURE__*/React.createElement(ButtonGroup, {
    space: "md"
  }, /*#__PURE__*/React.createElement(Button, {
    variant: "outline",
    action: "secondary"
  }, /*#__PURE__*/React.createElement(ButtonText, null, "Back")), /*#__PURE__*/React.createElement(Button, null, /*#__PURE__*/React.createElement(ButtonText, null, "Next")))))));
};
PopoverBasic.description = `Popover is a non-modal dialog that floats around a trigger element. It is used to display contextual information or UI. It is triggered by clicking, tapping, or hovering on an element.`;
export default PopoverBasic;
export { FigmaPopoverStory, PopoverBasic, Text, Popover, PopoverBackdrop, PopoverContent, PopoverHeader, PopoverBody, PopoverFooter, PopoverCloseButton, Button, ButtonGroup, ButtonText, CloseIcon, Box, Heading, Icon, Pressable, HStack, VStack, Avatar, AvatarFallbackText, CircleIcon, AddIcon, Center, PhoneIcon, Clock3Icon, MailIcon, useState, PopoverArrow };
//# sourceMappingURL=Popover.js.map