import React from 'react';
import { Center, ChevronDownIcon, Icon } from '@gluestack-ui/themed';
import { Select, SelectIcon, SelectTrigger, SelectInput, SelectPortal, SelectBackdrop, SelectContent, SelectDragIndicatorWrapper, SelectDragIndicator, SelectItem } from '@/components/ui/Select';
const SelectBasic = ({
  size = 'md',
  variant = 'outline',
  ...props
}) => {
  return /*#__PURE__*/React.createElement(Select, props, /*#__PURE__*/React.createElement(SelectTrigger, {
    size: size,
    variant: variant
  }, /*#__PURE__*/React.createElement(SelectInput, {
    placeholder: "Select option"
  }), /*#__PURE__*/React.createElement(SelectIcon, {
    pr: variant === 'underlined' ? 0 : '$3',
    pl: variant === 'underlined' ? '$3' : 0,
    as: ChevronDownIcon
  })), /*#__PURE__*/React.createElement(SelectPortal, null, /*#__PURE__*/React.createElement(SelectBackdrop, null), /*#__PURE__*/React.createElement(SelectContent, null, /*#__PURE__*/React.createElement(SelectDragIndicatorWrapper, null, /*#__PURE__*/React.createElement(SelectDragIndicator, null)), /*#__PURE__*/React.createElement(SelectItem, {
    label: "UX Research",
    value: "UX Research"
  }), /*#__PURE__*/React.createElement(SelectItem, {
    label: "Web Development",
    value: "Web Development"
  }), /*#__PURE__*/React.createElement(SelectItem, {
    label: "Cross Platform Development Process",
    value: "Cross Platform Development Process"
  }), /*#__PURE__*/React.createElement(SelectItem, {
    label: "UI Designing",
    value: "UI Designing",
    isDisabled: true
  }), /*#__PURE__*/React.createElement(SelectItem, {
    label: "Backend Development",
    value: "Backend Development"
  }))));
};
SelectBasic.description = 'This is a basic Select component example. Selects are used to select an option from a list of options.';
export default SelectBasic;
export { Center, Select, SelectTrigger, SelectInput, SelectIcon, SelectPortal, SelectBackdrop, SelectContent, SelectDragIndicatorWrapper, SelectDragIndicator, SelectItem, Icon, ChevronDownIcon };
//# sourceMappingURL=Select.js.map