function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useCallback } from "react";
import { Center, ChevronDownIcon, Select, SelectBackdrop, SelectContent, SelectDragIndicator, SelectDragIndicatorWrapper, SelectIcon, SelectInput, SelectItem, SelectPortal, SelectFlatList, SelectTrigger, Icon } from "@gluestack-ui/themed";
const SelectWithFlatList = ({
  isDisabled,
  isInvalid,
  ...props
}) => {
  const DATA = [{
    id: "bd7acbea-c1b1-46c2-aed5-3ad53abb28ba",
    title: "First Item"
  }, {
    id: "3ac68afc-c605-48d3-a4f8-fbd91aa97f63",
    title: "Second Item"
  }, {
    id: "58694a0f-3da1-471f-bd96-145571e29d72",
    title: "Third Item"
  }];
  const Item = useCallback(({
    title
  }) => /*#__PURE__*/React.createElement(SelectItem, {
    label: title,
    value: title
  }), []);
  return /*#__PURE__*/React.createElement(Select, _extends({
    isDisabled: isDisabled,
    isInvalid: isInvalid
  }, props), /*#__PURE__*/React.createElement(SelectTrigger, null, /*#__PURE__*/React.createElement(SelectInput, {
    placeholder: "Select option"
  }),
  /*#__PURE__*/
  //@ts-ignore
  React.createElement(SelectIcon, {
    mr: "$3"
  }, /*#__PURE__*/React.createElement(Icon, {
    as: ChevronDownIcon
  }))), /*#__PURE__*/React.createElement(SelectPortal, null, /*#__PURE__*/React.createElement(SelectBackdrop, null), /*#__PURE__*/React.createElement(SelectContent, null, /*#__PURE__*/React.createElement(SelectDragIndicatorWrapper, null, /*#__PURE__*/React.createElement(SelectDragIndicator, null)), /*#__PURE__*/React.createElement(SelectFlatList, {
    data: DATA,
    renderItem: ({
      item
    }) => /*#__PURE__*/React.createElement(Item, {
      title: item.title
    }),
    keyExtractor: item => item.id
  }))));
};
SelectWithFlatList.description = "This is an example of Select component with FlatList. Selects with flatlist can be used when you have a large number of options and you want to optimize the performance of the list by using FlatList.";
export default SelectWithFlatList;
export { Center, Select, Icon, ChevronDownIcon };
//# sourceMappingURL=SelectFlatList.js.map