import React from "react";
import { Center, ChevronDownIcon, Select, SelectBackdrop, SelectContent, SelectDragIndicator, SelectDragIndicatorWrapper, SelectIcon, SelectInput, SelectItem, SelectPortal, SelectTrigger, Icon, FormControl, FormControlLabel, FormControlLabelText, FormControlHelper, FormControlHelperText, FormControlError, FormControlErrorIcon, FormControlErrorText, AlertCircleIcon } from "@gluestack-ui/themed";
const colors = [{
  label: "Red",
  value: "red-key"
}, {
  label: "Blue",
  value: "blue-key"
}, {
  label: "Black",
  value: "black-key"
}, {
  label: "Pink",
  value: "pink-key",
  isDisabled: true
}, {
  label: "Green",
  value: "green-key"
}];
const SelectWithFormControl = ({
  size,
  variant,
  ...props
}) => {
  const items = colors.map(c => {
    return /*#__PURE__*/React.createElement(SelectItem, {
      key: c.value,
      label: c.label,
      value: c.value,
      isDisabled: c.isDisabled
    });
  });
  const [selected, setSelected] = React.useState(colors[0]);
  return /*#__PURE__*/React.createElement(FormControl, props, /*#__PURE__*/React.createElement(FormControlLabel, null, /*#__PURE__*/React.createElement(FormControlLabelText, null, "Choose your favorite color")), /*#__PURE__*/React.createElement(Select, {
    selectedValue: selected.value,
    selectedLabel: selected.label,
    onValueChange: value => {
      setSelected(colors.filter(c => c.value === value)[0]);
    }
  }, /*#__PURE__*/React.createElement(SelectTrigger, {
    size: size,
    variant: variant
  }, /*#__PURE__*/React.createElement(SelectInput, {
    placeholder: "Select option"
  }),
  /*#__PURE__*/
  //@ts-ignore
  React.createElement(SelectIcon, {
    mr: "$3"
  }, /*#__PURE__*/React.createElement(Icon, {
    as: ChevronDownIcon
  }))), /*#__PURE__*/React.createElement(SelectPortal, null, /*#__PURE__*/React.createElement(SelectBackdrop, null), /*#__PURE__*/React.createElement(SelectContent, null, /*#__PURE__*/React.createElement(SelectDragIndicatorWrapper, null, /*#__PURE__*/React.createElement(SelectDragIndicator, null)), items))), /*#__PURE__*/React.createElement(FormControlHelper, null, /*#__PURE__*/React.createElement(FormControlHelperText, null, "You can only select one option")), /*#__PURE__*/React.createElement(FormControlError, null, /*#__PURE__*/React.createElement(FormControlErrorIcon, null, /*#__PURE__*/React.createElement(Icon, {
    as: AlertCircleIcon
  })), /*#__PURE__*/React.createElement(FormControlErrorText, null, "Mandatory field")));
};
SelectWithFormControl.description = "This is a Select component example used with formcontrol to show error and helper text.";
export default SelectWithFormControl;
export { Center, Select, Icon, ChevronDownIcon, FormControl, FormControlLabel, FormControlLabelText, FormControlHelper, FormControlHelperText, FormControlError, FormControlErrorIcon, FormControlErrorText, AlertCircleIcon };
//# sourceMappingURL=SelectFormControl.js.map