function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useCallback } from "react";
import { Center, ChevronDownIcon, Select, SelectBackdrop, SelectContent, SelectDragIndicator, SelectDragIndicatorWrapper, SelectIcon, SelectInput, SelectItem, SelectPortal, SelectSectionList, SelectSectionHeaderText, SelectTrigger, Icon } from "@gluestack-ui/themed";
const SelectWithSectionList = ({
  isDisabled,
  isInvalid,
  ...props
}) => {
  const DATA = [{
    title: "Main dishes",
    data: ["Pizza", "Burger", "Risotto"]
  }, {
    title: "Sides",
    data: ["French Fries", "Onion Rings", "Fried Shrimps"]
  }, {
    title: "Drinks",
    data: ["Water", "Coke", "Beer"]
  }, {
    title: "Desserts",
    data: ["Cheese Cake", "Ice Cream"]
  }];
  const Item = useCallback(({
    item
  }) => {
    return /*#__PURE__*/React.createElement(SelectItem, {
      label: item,
      value: item
    });
  }, []);
  return /*#__PURE__*/React.createElement(Select, _extends({
    isDisabled: isDisabled,
    isInvalid: isInvalid
  }, props), /*#__PURE__*/React.createElement(SelectTrigger, null, /*#__PURE__*/React.createElement(SelectInput, {
    placeholder: "Select option"
  }),
  /*#__PURE__*/
  //@ts-ignore
  React.createElement(SelectIcon, {
    mr: "$3"
  }, /*#__PURE__*/React.createElement(Icon, {
    as: ChevronDownIcon
  }))), /*#__PURE__*/React.createElement(SelectPortal, null, /*#__PURE__*/React.createElement(SelectBackdrop, null), /*#__PURE__*/React.createElement(SelectContent, null, /*#__PURE__*/React.createElement(SelectDragIndicatorWrapper, null, /*#__PURE__*/React.createElement(SelectDragIndicator, null)), /*#__PURE__*/React.createElement(SelectSectionList, {
    sections: DATA,
    keyExtractor: (item, index) => item + index,
    renderItem: ({
      item
    }) => /*#__PURE__*/React.createElement(Item, {
      item: item
    }),
    renderSectionHeader: ({
      section: {
        title,
        data
      }
    }) => /*#__PURE__*/React.createElement(SelectSectionHeaderText, null, title, " (", data.length, ")")
  }))));
};
SelectWithSectionList.displayName = "SelectWithSectionList is an example of how to use Select with list that uses SectionList on native";
export default SelectWithSectionList;
export { Center, Select, Icon, ChevronDownIcon };
//# sourceMappingURL=SelectSectionList.js.map