function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useCallback, useMemo } from "react";
import { Center, ChevronDownIcon, Select, SelectBackdrop, SelectContent, SelectDragIndicator, SelectDragIndicatorWrapper, SelectIcon, SelectInput, SelectItem, SelectPortal, SelectTrigger, SelectVirtualizedList, Icon } from "@gluestack-ui/themed";
const SelectWithVirtualizedList = ({
  isDisabled,
  isInvalid,
  ...props
}) => {
  const getItem = (_data, index) => ({
    id: Math.random().toString(12).substring(0),
    title: _data[index]
  });
  const getItemCount = _data => _data.length;
  const Item = useCallback(({
    title
  }) => /*#__PURE__*/React.createElement(SelectItem, {
    label: title,
    value: title
  }), []);
  const data = useMemo(() => Array(50).fill(0).map((_, index) => `Item ${index + 1}`), []);
  return /*#__PURE__*/React.createElement(Select, _extends({
    isDisabled: isDisabled,
    isInvalid: isInvalid
  }, props), /*#__PURE__*/React.createElement(SelectTrigger, null, /*#__PURE__*/React.createElement(SelectInput, {
    placeholder: "Select option"
  }),
  /*#__PURE__*/
  //@ts-ignore
  React.createElement(SelectIcon, {
    mr: "$3"
  }, /*#__PURE__*/React.createElement(Icon, {
    as: ChevronDownIcon
  }))), /*#__PURE__*/React.createElement(SelectPortal, null, /*#__PURE__*/React.createElement(SelectBackdrop, null), /*#__PURE__*/React.createElement(SelectContent, null, /*#__PURE__*/React.createElement(SelectDragIndicatorWrapper, null, /*#__PURE__*/React.createElement(SelectDragIndicator, null)), /*#__PURE__*/React.createElement(SelectVirtualizedList, {
    data: data,
    initialNumToRender: 5,
    renderItem: ({
      item
    }) => /*#__PURE__*/React.createElement(Item, {
      title: item.title
    }),
    keyExtractor: item => item.id,
    getItemCount: getItemCount,
    getItem: getItem
  }))));
};
SelectWithVirtualizedList.displayName = "SelectWithVirtualizedList is an example of how to use Select with list that uses VirtualizedList on native";
export default SelectWithVirtualizedList;
export { Center, Select, Icon, ChevronDownIcon };
//# sourceMappingURL=SelectVirtualizedList.js.map