function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Icon, CloseIcon, VStack, CheckIcon, Pressable, Center } from '@gluestack-ui/themed';
import { Toast, ToastTitle, ToastDescription, useToast } from '@/components/ui/Toast';
import { Button, ButtonText } from '@/components/ui/Button';
import { MessageCircle, AlertTriangleIcon } from 'lucide-react-native';
const ToastFigmaStory = ({
  _placement = 'top',
  _colorMode,
  ...props
}) => {
  return /*#__PURE__*/React.createElement(Toast, _extends({}, props, {
    maxWidth: 500
  }), /*#__PURE__*/React.createElement(VStack, {
    space: "xs",
    flex: 1
  }, /*#__PURE__*/React.createElement(ToastTitle, null, "Hello World Toast"), /*#__PURE__*/React.createElement(ToastDescription, null, "Please create a support ticket from the support page")), /*#__PURE__*/React.createElement(Pressable, null, /*#__PURE__*/React.createElement(Icon, {
    as: CloseIcon
  })));
};
const ToastBasic = ({
  placement = 'top',
  ...props
}) => {
  const toast = useToast();
  return /*#__PURE__*/React.createElement(Button, {
    onPress: () => {
      toast.show({
        placement: placement,
        duration: null,
        render: ({
          id
        }) => {
          const toastId = `toast-${id}`;
          return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Toast, _extends({
            nativeID: toastId
          }, props), /*#__PURE__*/React.createElement(VStack, {
            space: "xs"
          }, /*#__PURE__*/React.createElement(ToastTitle, null, "Hello World Toast"), /*#__PURE__*/React.createElement(ToastDescription, null, "Please create a support tibnnbcket from the support page")), /*#__PURE__*/React.createElement(Pressable, {
            onPress: () => toast.close(id)
          }, /*#__PURE__*/React.createElement(Icon, {
            as: CloseIcon
          }))));
        }
      });
    }
  }, /*#__PURE__*/React.createElement(ButtonText, null, "Press Me"));
};
ToastBasic.description = 'This is a basic Toast component example. Toasts are used to communicate a state that affects a system, feature or page';
export default ToastBasic;
export { ToastFigmaStory, Toast, ToastTitle, ToastDescription, useToast, Icon, CloseIcon, VStack, CheckIcon, MessageCircle, AlertTriangleIcon, Button, ButtonText, Pressable, Center };
//# sourceMappingURL=Toast.js.map