import { FlatList as RNFlatList } from 'react-native';
import { styled, useStyled, propertyTokenMap } from '@gluestack-style/react';
export const FlatList = styled(RNFlatList, {}, {
  componentName: 'FlatList',
  resolveProps: ['contentContainerStyle']
}, {
  propertyResolver: {
    contentContainerStyle: (rawValue, resolver) => {
      var _useStyled;
      // eslint-disable-next-line react-hooks/rules-of-hooks
      const aliases = (_useStyled = useStyled()) === null || _useStyled === void 0 || (_useStyled = _useStyled.config) === null || _useStyled === void 0 ? void 0 : _useStyled.aliases;
      const newValue = {};
      Object.entries(rawValue).forEach(([key, value]) => {
        if (Object.hasOwn(aliases, key)) {
          newValue[`${aliases[key]}`] = resolver(value,
          //@ts-ignore
          propertyTokenMap[aliases[key]]);
        } else {
          //@ts-ignore
          newValue[`${key}`] = resolver(value, propertyTokenMap[key]);
        }
      });
      rawValue = newValue;
      return rawValue;
    }
  }
});
//# sourceMappingURL=index.js.map