function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Box, Center } from '@gluestack-ui/themed';
import { StyledProvider, useColorMode } from '@gluestack-style/react';
import { createProvider } from '@gluestack-ui/provider';
import { config } from './GluestackUIProvider/config';
const Provider = createProvider({
  StyledProvider
});
Provider.displayName = 'Provider';
const Wrapper = ({
  children,
  ...props
}) => {
  const colorMode = useColorMode();
  return (
    /*#__PURE__*/
    // @ts-ignore
    React.createElement(Box, {
      dataSet: {
        'theme-id': `withGluestackStyle_${colorMode}`
      }
    }, /*#__PURE__*/React.createElement(Provider, {
      colorMode: "light",
      config: config,
      style: {
        flex: 1,
        height: '100%'
      }
    }, /*#__PURE__*/React.createElement(Box, _extends({
      sx: {
        _ios: {
          h: '100%'
        }
      }
    }, props), /*#__PURE__*/React.createElement(Center, {
      height: "100%"
    }, children))))
  );
};
export default Wrapper;
//# sourceMappingURL=Wrapper.js.map