import { AnimationResolver } from '@gluestack-style/animation-resolver';
export declare const gluestackUIConfig: {
    aliases: {
        readonly bg: "backgroundColor";
        readonly bgColor: "backgroundColor";
        readonly h: "height";
        readonly w: "width";
        readonly p: "padding";
        readonly px: "paddingHorizontal";
        readonly py: "paddingVertical";
        readonly pt: "paddingTop";
        readonly pb: "paddingBottom";
        readonly pr: "paddingRight";
        readonly pl: "paddingLeft";
        readonly m: "margin";
        readonly mx: "marginHorizontal";
        readonly my: "marginVertical";
        readonly mt: "marginTop";
        readonly mb: "marginBottom";
        readonly mr: "marginRight";
        readonly ml: "marginLeft";
        readonly rounded: "borderRadius";
    };
    tokens: {
        readonly colors: {
            readonly primary0: "#B3B3B3";
            readonly primary50: "#999999";
            readonly primary100: "#808080";
            readonly primary200: "#737373";
            readonly primary300: "#666666";
            readonly primary400: "#525252";
            readonly primary500: "#333333";
            readonly primary600: "#292929";
            readonly primary700: "#1F1F1F";
            readonly primary800: "#0D0D0D";
            readonly primary900: "#0A0A0A";
            readonly primary950: "#080808";
            readonly secondary0: "#FEFFFF";
            readonly secondary50: "#F1F2F2";
            readonly secondary100: "#E7E8E8";
            readonly secondary200: "#DBDBDB";
            readonly secondary300: "#AFB0B0";
            readonly secondary400: "#727373";
            readonly secondary500: "#5E5F5F";
            readonly secondary600: "#515252";
            readonly secondary700: "#3F4040";
            readonly secondary800: "#272626";
            readonly secondary900: "#181717";
            readonly secondary950: "#0B0C0C";
            readonly tertiary0: "#FFFAF5";
            readonly tertiary50: "#FFF2E5";
            readonly tertiary100: "#FFE9D5";
            readonly tertiary200: "#FED1AA";
            readonly tertiary300: "#FDB474";
            readonly tertiary400: "#FB9D4B";
            readonly tertiary500: "#E78128";
            readonly tertiary600: "#D7751F";
            readonly tertiary700: "#B4621A";
            readonly tertiary800: "#824917";
            readonly tertiary900: "#6C3D13";
            readonly tertiary950: "#543112";
            readonly error00: "#FEE9E9";
            readonly error50: "#FEE2E2";
            readonly error100: "#FECACA";
            readonly error200: "#FCA5A5";
            readonly error300: "#F87171";
            readonly error400: "#EF4444";
            readonly error500: "#E63535";
            readonly error600: "#DC2626";
            readonly error700: "#B91C1C";
            readonly error800: "#991B1B";
            readonly error900: "#7F1D1D";
            readonly error950: "#531313";
            readonly success0: "#E4FFF4";
            readonly success50: "#CAFFE8";
            readonly success100: "#A2F1C0";
            readonly success200: "#84D3A2";
            readonly success300: "#66B584";
            readonly success400: "#489766";
            readonly success500: "#348352";
            readonly success600: "#2A7948";
            readonly success700: "#206F3E";
            readonly success800: "#166534";
            readonly success900: "#14532D";
            readonly success950: "#1B3224";
            readonly warning0: "#FFFDFB";
            readonly warning50: "#FFF9F5";
            readonly warning100: "#FFE7D5";
            readonly warning200: "#FECDAA";
            readonly warning300: "#FDAD74";
            readonly warning400: "#FB954B";
            readonly warning500: "#E77828";
            readonly warning600: "#D76C1F";
            readonly warning700: "#B45A1A";
            readonly warning800: "#824417";
            readonly warning900: "#6C3813";
            readonly warning950: "#542D12";
            readonly info0: "#ECF8FE";
            readonly info50: "#C7EBFC";
            readonly info100: "#A2DDFA";
            readonly info200: "#7CCFF8";
            readonly info300: "#57C2F6";
            readonly info400: "#32B4F4";
            readonly info500: "#0DA6F2";
            readonly info600: "#0B8DCD";
            readonly info700: "#0973A8";
            readonly info800: "#075A83";
            readonly info900: "#05405D";
            readonly info950: "#032638";
            readonly text0: "#FEFEFF";
            readonly text50: "#F5F5F5";
            readonly text100: "#E5E5E5";
            readonly text200: "#DBDBDC";
            readonly text300: "#D4D4D4";
            readonly text400: "#A3A3A3";
            readonly text500: "#8C8C8C";
            readonly text600: "#737373";
            readonly text700: "#525252";
            readonly text800: "#404040";
            readonly text900: "#262627";
            readonly text950: "#171717";
            readonly border0: "#FDFEFE";
            readonly border50: "#F3F3F3";
            readonly border100: "#E6E6E6";
            readonly border200: "#DDDCDB";
            readonly border300: "#D3D3D3";
            readonly border400: "#A5A3A3";
            readonly border500: "#8C8D8D";
            readonly border600: "#737474";
            readonly border700: "#535252";
            readonly border800: "#414141";
            readonly border900: "#272624";
            readonly border950: "#1A1717";
            readonly background0: "#FBFBFB";
            readonly background50: "#F6F6F6";
            readonly background100: "#F2F1F1";
            readonly background200: "#DCDBDB";
            readonly background300: "#D5D4D4";
            readonly background400: "#A2A3A3";
            readonly background500: "#8E8E8E";
            readonly background600: "#747474";
            readonly background700: "#535252";
            readonly background800: "#414040";
            readonly background900: "#272625";
            readonly background950: "#181718";
            readonly backgroundError: "#FEF1F1";
            readonly backgroundWarning: "#FFF4EB";
            readonly backgroundSuccess: "#EDFCF2";
            readonly backgroundMuted: "#F6F6F7";
            readonly backgroundInfo: "#EBF8FE";
            readonly white: "#FFFFFF";
            readonly black: "#000000";
            readonly rose50: "#fff1f2";
            readonly rose100: "#ffe4e6";
            readonly rose200: "#fecdd3";
            readonly rose300: "#fda4af";
            readonly rose400: "#fb7185";
            readonly rose500: "#f43f5e";
            readonly rose600: "#e11d48";
            readonly rose700: "#be123c";
            readonly rose800: "#9f1239";
            readonly rose900: "#881337";
            readonly pink50: "#fdf2f8";
            readonly pink100: "#fce7f3";
            readonly pink200: "#fbcfe8";
            readonly pink300: "#f9a8d4";
            readonly pink400: "#f472b6";
            readonly pink500: "#ec4899";
            readonly pink600: "#db2777";
            readonly pink700: "#be185d";
            readonly pink800: "#9d174d";
            readonly pink900: "#831843";
            readonly fuchsia50: "#fdf4ff";
            readonly fuchsia100: "#fae8ff";
            readonly fuchsia200: "#f5d0fe";
            readonly fuchsia300: "#f0abfc";
            readonly fuchsia400: "#e879f9";
            readonly fuchsia500: "#d946ef";
            readonly fuchsia600: "#c026d3";
            readonly fuchsia700: "#a21caf";
            readonly fuchsia800: "#86198f";
            readonly fuchsia900: "#701a75";
            readonly purple50: "#faf5ff";
            readonly purple100: "#f3e8ff";
            readonly purple200: "#e9d5ff";
            readonly purple300: "#d8b4fe";
            readonly purple400: "#c084fc";
            readonly purple500: "#a855f7";
            readonly purple600: "#9333ea";
            readonly purple700: "#7e22ce";
            readonly purple800: "#6b21a8";
            readonly purple900: "#581c87";
            readonly violet50: "#f5f3ff";
            readonly violet100: "#ede9fe";
            readonly violet200: "#ddd6fe";
            readonly violet300: "#c4b5fd";
            readonly violet400: "#a78bfa";
            readonly violet500: "#8b5cf6";
            readonly violet600: "#7c3aed";
            readonly violet700: "#6d28d9";
            readonly violet800: "#5b21b6";
            readonly violet900: "#4c1d95";
            readonly indigo50: "#eef2ff";
            readonly indigo100: "#e0e7ff";
            readonly indigo200: "#c7d2fe";
            readonly indigo300: "#a5b4fc";
            readonly indigo400: "#818cf8";
            readonly indigo500: "#6366f1";
            readonly indigo600: "#4f46e5";
            readonly indigo700: "#4338ca";
            readonly indigo800: "#3730a3";
            readonly indigo900: "#312e81";
            readonly blue50: "#eff6ff";
            readonly blue100: "#dbeafe";
            readonly blue200: "#bfdbfe";
            readonly blue300: "#93c5fd";
            readonly blue400: "#60a5fa";
            readonly blue500: "#3b82f6";
            readonly blue600: "#2563eb";
            readonly blue700: "#1d4ed8";
            readonly blue800: "#1e40af";
            readonly blue900: "#1e3a8a";
            readonly lightBlue50: "#f0f9ff";
            readonly lightBlue100: "#e0f2fe";
            readonly lightBlue200: "#bae6fd";
            readonly lightBlue300: "#7dd3fc";
            readonly lightBlue400: "#38bdf8";
            readonly lightBlue500: "#0ea5e9";
            readonly lightBlue600: "#0284c7";
            readonly lightBlue700: "#0369a1";
            readonly lightBlue800: "#075985";
            readonly lightBlue900: "#0c4a6e";
            readonly darkBlue50: "#dbf4ff";
            readonly darkBlue100: "#addbff";
            readonly darkBlue200: "#7cc2ff";
            readonly darkBlue300: "#4aa9ff";
            readonly darkBlue400: "#1a91ff";
            readonly darkBlue500: "#0077e6";
            readonly darkBlue600: "#005db4";
            readonly darkBlue700: "#004282";
            readonly darkBlue800: "#002851";
            readonly darkBlue900: "#000e21";
            readonly cyan50: "#ecfeff";
            readonly cyan100: "#cffafe";
            readonly cyan200: "#a5f3fc";
            readonly cyan300: "#67e8f9";
            readonly cyan400: "#22d3ee";
            readonly cyan500: "#06b6d4";
            readonly cyan600: "#0891b2";
            readonly cyan700: "#0e7490";
            readonly cyan800: "#155e75";
            readonly cyan900: "#164e63";
            readonly teal50: "#f0fdfa";
            readonly teal100: "#ccfbf1";
            readonly teal200: "#99f6e4";
            readonly teal300: "#5eead4";
            readonly teal400: "#2dd4bf";
            readonly teal500: "#14b8a6";
            readonly teal600: "#0d9488";
            readonly teal700: "#0f766e";
            readonly teal800: "#115e59";
            readonly teal900: "#134e4a";
            readonly emerald50: "#ecfdf5";
            readonly emerald100: "#d1fae5";
            readonly emerald200: "#a7f3d0";
            readonly emerald300: "#6ee7b7";
            readonly emerald400: "#34d399";
            readonly emerald500: "#10b981";
            readonly emerald600: "#059669";
            readonly emerald700: "#047857";
            readonly emerald800: "#065f46";
            readonly emerald900: "#064e3b";
            readonly green50: "#f0fdf4";
            readonly green100: "#dcfce7";
            readonly green200: "#bbf7d0";
            readonly green300: "#86efac";
            readonly green400: "#4ade80";
            readonly green500: "#22c55e";
            readonly green600: "#16a34a";
            readonly green700: "#15803d";
            readonly green800: "#166534";
            readonly green900: "#14532d";
            readonly lime50: "#f7fee7";
            readonly lime100: "#ecfccb";
            readonly lime200: "#d9f99d";
            readonly lime300: "#bef264";
            readonly lime400: "#a3e635";
            readonly lime500: "#84cc16";
            readonly lime600: "#65a30d";
            readonly lime700: "#4d7c0f";
            readonly lime800: "#3f6212";
            readonly lime900: "#365314";
            readonly yellow50: "#fefce8";
            readonly yellow100: "#fef9c3";
            readonly yellow200: "#fef08a";
            readonly yellow300: "#fde047";
            readonly yellow400: "#facc15";
            readonly yellow500: "#eab308";
            readonly yellow600: "#ca8a04";
            readonly yellow700: "#a16207";
            readonly yellow800: "#854d0e";
            readonly yellow900: "#713f12";
            readonly amber50: "#fffbeb";
            readonly amber100: "#fef3c7";
            readonly amber200: "#fde68a";
            readonly amber300: "#fcd34d";
            readonly amber400: "#fbbf24";
            readonly amber500: "#f59e0b";
            readonly amber600: "#d97706";
            readonly amber700: "#b45309";
            readonly amber800: "#92400e";
            readonly amber900: "#78350f";
            readonly orange50: "#fff7ed";
            readonly orange100: "#ffedd5";
            readonly orange200: "#fed7aa";
            readonly orange300: "#fdba74";
            readonly orange400: "#fb923c";
            readonly orange500: "#f97316";
            readonly orange600: "#ea580c";
            readonly orange700: "#c2410c";
            readonly orange800: "#9a3412";
            readonly orange900: "#7c2d12";
            readonly red50: "#fef2f2";
            readonly red100: "#fee2e2";
            readonly red200: "#fecaca";
            readonly red300: "#fca5a5";
            readonly red400: "#f87171";
            readonly red500: "#ef4444";
            readonly red600: "#dc2626";
            readonly red700: "#b91c1c";
            readonly red800: "#991b1b";
            readonly red900: "#7f1d1d";
            readonly warmGray50: "#fafaf9";
            readonly warmGray100: "#f5f5f4";
            readonly warmGray200: "#e7e5e4";
            readonly warmGray300: "#d6d3d1";
            readonly warmGray400: "#a8a29e";
            readonly warmGray500: "#78716c";
            readonly warmGray600: "#57534e";
            readonly warmGray700: "#44403c";
            readonly warmGray800: "#292524";
            readonly warmGray900: "#1c1917";
            readonly trueGray50: "#fafafa";
            readonly trueGray100: "#f5f5f5";
            readonly trueGray200: "#e5e5e5";
            readonly trueGray300: "#d4d4d4";
            readonly trueGray400: "#a3a3a3";
            readonly trueGray500: "#737373";
            readonly trueGray600: "#525252";
            readonly trueGray700: "#404040";
            readonly trueGray800: "#262626";
            readonly trueGray900: "#171717";
            readonly coolGray50: "#f9fafb";
            readonly coolGray100: "#f3f4f6";
            readonly coolGray200: "#e5e7eb";
            readonly coolGray300: "#d1d5db";
            readonly coolGray400: "#9ca3af";
            readonly coolGray500: "#6b7280";
            readonly coolGray600: "#4b5563";
            readonly coolGray700: "#374151";
            readonly coolGray800: "#1f2937";
            readonly coolGray900: "#111827";
            readonly blueGray50: "#f8fafc";
            readonly blueGray100: "#f1f5f9";
            readonly blueGray200: "#e2e8f0";
            readonly blueGray300: "#cbd5e1";
            readonly blueGray400: "#94a3b8";
            readonly blueGray500: "#64748b";
            readonly blueGray600: "#475569";
            readonly blueGray700: "#334155";
            readonly blueGray800: "#1e293b";
            readonly blueGray900: "#0f172a";
        };
        readonly space: {
            readonly px: "1px";
            readonly '0': 0;
            readonly '0.5': 2;
            readonly '1': 4;
            readonly '1.5': 6;
            readonly '2': 8;
            readonly '2.5': 10;
            readonly '3': 12;
            readonly '3.5': 14;
            readonly '4': 16;
            readonly '4.5': 18;
            readonly '5': 20;
            readonly '6': 24;
            readonly '7': 28;
            readonly '8': 32;
            readonly '9': 36;
            readonly '10': 40;
            readonly '11': 44;
            readonly '12': 48;
            readonly '16': 64;
            readonly '20': 80;
            readonly '24': 96;
            readonly '32': 128;
            readonly '40': 160;
            readonly '48': 192;
            readonly '56': 224;
            readonly '64': 256;
            readonly '72': 288;
            readonly '80': 320;
            readonly '96': 384;
            readonly '1/2': "50%";
            readonly '1/3': "33.333%";
            readonly '2/3': "66.666%";
            readonly '1/4': "25%";
            readonly '2/4': "50%";
            readonly '3/4': "75%";
            readonly '1/5': "20%";
            readonly '2/5': "40%";
            readonly '3/5': "60%";
            readonly '4/5': "80%";
            readonly '1/6': "16.666%";
            readonly '2/6': "33.333%";
            readonly '3/6': "50%";
            readonly '4/6': "66.666%";
            readonly '5/6': "83.333%";
            readonly full: "100%";
        };
        readonly borderWidths: {
            readonly '0': 0;
            readonly '1': 1;
            readonly '2': 2;
            readonly '4': 4;
            readonly '8': 8;
        };
        readonly radii: {
            readonly none: 0;
            readonly xs: 2;
            readonly sm: 4;
            readonly md: 6;
            readonly lg: 8;
            readonly xl: 12;
            readonly '2xl': 16;
            readonly '3xl': 24;
            readonly full: 9999;
        };
        readonly breakpoints: {
            readonly base: 0;
            readonly sm: 480;
            readonly md: 768;
            readonly lg: 992;
            readonly xl: 1280;
        };
        readonly mediaQueries: {
            readonly base: "@media screen and (min-width: 0)";
            readonly xs: "@media screen and (min-width: 400px)";
            readonly sm: "@media screen and (min-width: 480px)";
            readonly md: "@media screen and (min-width: 768px)";
            readonly lg: "@media screen and (min-width: 992px)";
            readonly xl: "@media screen and (min-width: 1280px)";
        };
        readonly letterSpacings: {
            readonly xs: -0.4;
            readonly sm: -0.2;
            readonly md: 0;
            readonly lg: 0.2;
            readonly xl: 0.4;
            readonly '2xl': 1.6;
        };
        readonly lineHeights: {
            readonly '2xs': 16;
            readonly xs: 18;
            readonly sm: 20;
            readonly md: 22;
            readonly lg: 24;
            readonly xl: 28;
            readonly '2xl': 32;
            readonly '3xl': 40;
            readonly '4xl': 48;
            readonly '5xl': 56;
            readonly '6xl': 72;
            readonly '7xl': 90;
        };
        readonly fontWeights: {
            readonly hairline: "100";
            readonly thin: "200";
            readonly light: "300";
            readonly normal: "400";
            readonly medium: "500";
            readonly semibold: "600";
            readonly bold: "700";
            readonly extrabold: "800";
            readonly black: "900";
            readonly extraBlack: "950";
        };
        readonly fonts: {
            readonly heading: undefined;
            readonly body: undefined;
            readonly mono: undefined;
        };
        readonly fontSizes: {
            readonly '2xs': 10;
            readonly xs: 12;
            readonly sm: 14;
            readonly md: 16;
            readonly lg: 18;
            readonly xl: 20;
            readonly '2xl': 24;
            readonly '3xl': 30;
            readonly '4xl': 36;
            readonly '5xl': 48;
            readonly '6xl': 60;
            readonly '7xl': 72;
            readonly '8xl': 96;
            readonly '9xl': 128;
        };
        readonly opacity: {
            readonly 0: 0;
            readonly 5: 0.05;
            readonly 10: 0.1;
            readonly 20: 0.2;
            readonly 25: 0.25;
            readonly 30: 0.3;
            readonly 40: 0.4;
            readonly 50: 0.5;
            readonly 60: 0.6;
            readonly 70: 0.7;
            readonly 75: 0.75;
            readonly 80: 0.8;
            readonly 90: 0.9;
            readonly 95: 0.95;
            readonly 100: 1;
        };
    };
    themes: {
        dark: {
            colors: {
                primary0: "#828282";
                primary50: "#949494";
                primary100: "#9E9E9E";
                primary200: "#B3B3B3";
                primary300: "#C7C7C7";
                primary400: "#E6E6E6";
                primary500: "#F0F0F0";
                primary600: "#FAFAFA";
                primary700: "#FCFCFC";
                primary800: "#FDFDFD";
                primary900: "#FDFCFC";
                primary950: "#FDFCFC";
                secondary0: "#0B0C0C";
                secondary50: "#181717";
                secondary100: "#272626";
                secondary200: "#3F4040";
                secondary300: "#515252";
                secondary400: "#5E5F5F";
                secondary500: "#727373";
                secondary600: "#AFB0B0";
                secondary700: "#DBDBDB";
                secondary800: "#E7E8E8";
                secondary900: "#F1F2F2";
                secondary950: "#FEFFFF";
                tertiary0: "#543112";
                tertiary50: "#6C3D13";
                tertiary100: "#824917";
                tertiary200: "#B4621A";
                tertiary300: "#D7751F";
                tertiary400: "#E78128";
                tertiary500: "#FB9D4B";
                tertiary600: "#FDB474";
                tertiary700: "#FED1AA";
                tertiary800: "#FFE9D5";
                tertiary900: "#FFF2E5";
                tertiary950: "#FFFAF5";
                text0: "#171717";
                text50: "#262627";
                text100: "#404040";
                text200: "#525252";
                text300: "#737373";
                text400: "#8C8C8C";
                text500: "#A3A3A3";
                text600: "#D4D4D4";
                text700: "#DBDBDC";
                text800: "#E5E5E5";
                text900: "#F5F5F5";
                text950: "#FEFEFF";
                background0: "#121212";
                background50: "#272625";
                background100: "#414040";
                background200: "#535252";
                background300: "#747474";
                background400: "#8E8E8E";
                background500: "#A2A3A3";
                background600: "#D5D4D4";
                background700: "#DCDBDB";
                background800: "#F2F1F1";
                background900: "#F6F6F6";
                background950: "#252526";
                border0: "#1A1717";
                border50: "#272624";
                border100: "#414141";
                border200: "#535252";
                border300: "#737474";
                border400: "#8C8D8D";
                border500: "#A5A3A3";
                border600: "#D3D3D3";
                border700: "#DDDCDB";
                border800: "#E6E6E6";
                border900: "#F3F3F3";
                border950: "#FDFEFE";
                success0: "#1B3224";
                success50: "#14532D";
                success100: "#166534";
                success200: "#206F3E";
                success300: "#2A7948";
                success400: "#348352";
                success500: "#489766";
                success600: "#66B584";
                success700: "#84D3A2";
                success800: "#A2F1C0";
                success900: "#CAFFE8";
                success950: "#E4FFF4";
                error0: "#531313";
                error50: "#7F1D1D";
                error100: "#991B1B";
                error200: "#B91C1C";
                error300: "#DC2626";
                error400: "#E63535";
                error500: "#EF4444";
                error600: "#F87171";
                error700: "#E63534";
                error800: "#FECACA";
                error900: "#FEE2E2";
                error950: "#FEE9E9";
                warning0: "#542D12";
                warning50: "#6C3813";
                warning100: "#824417";
                warning200: "#B45A1A";
                warning300: "#D76C1F";
                warning400: "#E77828";
                warning500: "#FB954B";
                warning600: "#FDAD74";
                warning700: "#FECDAA";
                warning800: "#FFE7D5";
                warning900: "#FFF9F5";
                warning950: "#FFFDFB";
                info0: "#032638";
                info50: "#05405D";
                info100: "#075A83";
                info200: "#0973A8";
                info300: "#0B8DCD";
                info400: "#0DA6F2";
                info500: "#32B4F4";
                info600: "#57C2F6";
                info700: "#7CCFF8";
                info800: "#A2DDFA";
                info900: "#C7EBFC";
                info950: "#ECF8FE";
                backgroundError: "#422B2B";
                backgroundWarning: "#412F23";
                backgroundSuccess: "#1C2B21";
                backgroundMuted: "#252526";
                backgroundInfo: "#1A282E";
            };
        };
    };
    globalStyle: {
        variants: {
            hardShadow: {
                '1': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 8;
                    shadowOpacity: 0.5;
                    elevation: 10;
                };
                '2': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 8;
                    shadowOpacity: 0.5;
                    elevation: 10;
                };
                '3': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 8;
                    shadowOpacity: 0.5;
                    elevation: 10;
                };
                '4': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 8;
                    shadowOpacity: 0.5;
                    elevation: 10;
                };
                '5': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 8;
                    shadowOpacity: 0.2;
                    elevation: 10;
                };
            };
            softShadow: {
                '1': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 10;
                    shadowOpacity: 0.1;
                    _android: {
                        shadowColor: string;
                        elevation: number;
                        shadowOpacity: number;
                    };
                };
                '2': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 20;
                    elevation: 3;
                    shadowOpacity: 0.1;
                    _android: {
                        shadowColor: string;
                        elevation: number;
                        shadowOpacity: number;
                    };
                };
                '3': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 30;
                    shadowOpacity: 0.1;
                    elevation: 4;
                    _android: {
                        shadowColor: string;
                        elevation: number;
                        shadowOpacity: number;
                    };
                };
                '4': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 40;
                    shadowOpacity: 0.1;
                    elevation: 10;
                    _android: {
                        shadowColor: string;
                        elevation: number;
                        shadowOpacity: number;
                    };
                };
            };
        };
    };
    plugins: AnimationResolver[];
};
type Config = typeof gluestackUIConfig;
export interface IConfig {
}
export interface IComponents {
}
declare module '@gluestack-style/react' {
    interface UIConfig extends Omit<Config, keyof IConfig>, IConfig {
    }
}
export declare const config: {
    aliases: {
        readonly bg: "backgroundColor";
        readonly bgColor: "backgroundColor";
        readonly h: "height";
        readonly w: "width";
        readonly p: "padding";
        readonly px: "paddingHorizontal";
        readonly py: "paddingVertical";
        readonly pt: "paddingTop";
        readonly pb: "paddingBottom";
        readonly pr: "paddingRight";
        readonly pl: "paddingLeft";
        readonly m: "margin";
        readonly mx: "marginHorizontal";
        readonly my: "marginVertical";
        readonly mt: "marginTop";
        readonly mb: "marginBottom";
        readonly mr: "marginRight";
        readonly ml: "marginLeft";
        readonly rounded: "borderRadius";
    };
    tokens: {
        readonly colors: {
            readonly primary0: "#B3B3B3";
            readonly primary50: "#999999";
            readonly primary100: "#808080";
            readonly primary200: "#737373";
            readonly primary300: "#666666";
            readonly primary400: "#525252";
            readonly primary500: "#333333";
            readonly primary600: "#292929";
            readonly primary700: "#1F1F1F";
            readonly primary800: "#0D0D0D";
            readonly primary900: "#0A0A0A";
            readonly primary950: "#080808";
            readonly secondary0: "#FEFFFF";
            readonly secondary50: "#F1F2F2";
            readonly secondary100: "#E7E8E8";
            readonly secondary200: "#DBDBDB";
            readonly secondary300: "#AFB0B0";
            readonly secondary400: "#727373";
            readonly secondary500: "#5E5F5F";
            readonly secondary600: "#515252";
            readonly secondary700: "#3F4040";
            readonly secondary800: "#272626";
            readonly secondary900: "#181717";
            readonly secondary950: "#0B0C0C";
            readonly tertiary0: "#FFFAF5";
            readonly tertiary50: "#FFF2E5";
            readonly tertiary100: "#FFE9D5";
            readonly tertiary200: "#FED1AA";
            readonly tertiary300: "#FDB474";
            readonly tertiary400: "#FB9D4B";
            readonly tertiary500: "#E78128";
            readonly tertiary600: "#D7751F";
            readonly tertiary700: "#B4621A";
            readonly tertiary800: "#824917";
            readonly tertiary900: "#6C3D13";
            readonly tertiary950: "#543112";
            readonly error00: "#FEE9E9";
            readonly error50: "#FEE2E2";
            readonly error100: "#FECACA";
            readonly error200: "#FCA5A5";
            readonly error300: "#F87171";
            readonly error400: "#EF4444";
            readonly error500: "#E63535";
            readonly error600: "#DC2626";
            readonly error700: "#B91C1C";
            readonly error800: "#991B1B";
            readonly error900: "#7F1D1D";
            readonly error950: "#531313";
            readonly success0: "#E4FFF4";
            readonly success50: "#CAFFE8";
            readonly success100: "#A2F1C0";
            readonly success200: "#84D3A2";
            readonly success300: "#66B584";
            readonly success400: "#489766";
            readonly success500: "#348352";
            readonly success600: "#2A7948";
            readonly success700: "#206F3E";
            readonly success800: "#166534";
            readonly success900: "#14532D";
            readonly success950: "#1B3224";
            readonly warning0: "#FFFDFB";
            readonly warning50: "#FFF9F5";
            readonly warning100: "#FFE7D5";
            readonly warning200: "#FECDAA";
            readonly warning300: "#FDAD74";
            readonly warning400: "#FB954B";
            readonly warning500: "#E77828";
            readonly warning600: "#D76C1F";
            readonly warning700: "#B45A1A";
            readonly warning800: "#824417";
            readonly warning900: "#6C3813";
            readonly warning950: "#542D12";
            readonly info0: "#ECF8FE";
            readonly info50: "#C7EBFC";
            readonly info100: "#A2DDFA";
            readonly info200: "#7CCFF8";
            readonly info300: "#57C2F6";
            readonly info400: "#32B4F4";
            readonly info500: "#0DA6F2";
            readonly info600: "#0B8DCD";
            readonly info700: "#0973A8";
            readonly info800: "#075A83";
            readonly info900: "#05405D";
            readonly info950: "#032638";
            readonly text0: "#FEFEFF";
            readonly text50: "#F5F5F5";
            readonly text100: "#E5E5E5";
            readonly text200: "#DBDBDC";
            readonly text300: "#D4D4D4";
            readonly text400: "#A3A3A3";
            readonly text500: "#8C8C8C";
            readonly text600: "#737373";
            readonly text700: "#525252";
            readonly text800: "#404040";
            readonly text900: "#262627";
            readonly text950: "#171717";
            readonly border0: "#FDFEFE";
            readonly border50: "#F3F3F3";
            readonly border100: "#E6E6E6";
            readonly border200: "#DDDCDB";
            readonly border300: "#D3D3D3";
            readonly border400: "#A5A3A3";
            readonly border500: "#8C8D8D";
            readonly border600: "#737474";
            readonly border700: "#535252";
            readonly border800: "#414141";
            readonly border900: "#272624";
            readonly border950: "#1A1717";
            readonly background0: "#FBFBFB";
            readonly background50: "#F6F6F6";
            readonly background100: "#F2F1F1";
            readonly background200: "#DCDBDB";
            readonly background300: "#D5D4D4";
            readonly background400: "#A2A3A3";
            readonly background500: "#8E8E8E";
            readonly background600: "#747474";
            readonly background700: "#535252";
            readonly background800: "#414040";
            readonly background900: "#272625";
            readonly background950: "#181718";
            readonly backgroundError: "#FEF1F1";
            readonly backgroundWarning: "#FFF4EB";
            readonly backgroundSuccess: "#EDFCF2";
            readonly backgroundMuted: "#F6F6F7";
            readonly backgroundInfo: "#EBF8FE";
            readonly white: "#FFFFFF";
            readonly black: "#000000";
            readonly rose50: "#fff1f2";
            readonly rose100: "#ffe4e6";
            readonly rose200: "#fecdd3";
            readonly rose300: "#fda4af";
            readonly rose400: "#fb7185";
            readonly rose500: "#f43f5e";
            readonly rose600: "#e11d48";
            readonly rose700: "#be123c";
            readonly rose800: "#9f1239";
            readonly rose900: "#881337";
            readonly pink50: "#fdf2f8";
            readonly pink100: "#fce7f3";
            readonly pink200: "#fbcfe8";
            readonly pink300: "#f9a8d4";
            readonly pink400: "#f472b6";
            readonly pink500: "#ec4899";
            readonly pink600: "#db2777";
            readonly pink700: "#be185d";
            readonly pink800: "#9d174d";
            readonly pink900: "#831843";
            readonly fuchsia50: "#fdf4ff";
            readonly fuchsia100: "#fae8ff";
            readonly fuchsia200: "#f5d0fe";
            readonly fuchsia300: "#f0abfc";
            readonly fuchsia400: "#e879f9";
            readonly fuchsia500: "#d946ef";
            readonly fuchsia600: "#c026d3";
            readonly fuchsia700: "#a21caf";
            readonly fuchsia800: "#86198f";
            readonly fuchsia900: "#701a75";
            readonly purple50: "#faf5ff";
            readonly purple100: "#f3e8ff";
            readonly purple200: "#e9d5ff";
            readonly purple300: "#d8b4fe";
            readonly purple400: "#c084fc";
            readonly purple500: "#a855f7";
            readonly purple600: "#9333ea";
            readonly purple700: "#7e22ce";
            readonly purple800: "#6b21a8";
            readonly purple900: "#581c87";
            readonly violet50: "#f5f3ff";
            readonly violet100: "#ede9fe";
            readonly violet200: "#ddd6fe";
            readonly violet300: "#c4b5fd";
            readonly violet400: "#a78bfa";
            readonly violet500: "#8b5cf6";
            readonly violet600: "#7c3aed";
            readonly violet700: "#6d28d9";
            readonly violet800: "#5b21b6";
            readonly violet900: "#4c1d95";
            readonly indigo50: "#eef2ff";
            readonly indigo100: "#e0e7ff";
            readonly indigo200: "#c7d2fe";
            readonly indigo300: "#a5b4fc";
            readonly indigo400: "#818cf8";
            readonly indigo500: "#6366f1";
            readonly indigo600: "#4f46e5";
            readonly indigo700: "#4338ca";
            readonly indigo800: "#3730a3";
            readonly indigo900: "#312e81";
            readonly blue50: "#eff6ff";
            readonly blue100: "#dbeafe";
            readonly blue200: "#bfdbfe";
            readonly blue300: "#93c5fd";
            readonly blue400: "#60a5fa";
            readonly blue500: "#3b82f6";
            readonly blue600: "#2563eb";
            readonly blue700: "#1d4ed8";
            readonly blue800: "#1e40af";
            readonly blue900: "#1e3a8a";
            readonly lightBlue50: "#f0f9ff";
            readonly lightBlue100: "#e0f2fe";
            readonly lightBlue200: "#bae6fd";
            readonly lightBlue300: "#7dd3fc";
            readonly lightBlue400: "#38bdf8";
            readonly lightBlue500: "#0ea5e9";
            readonly lightBlue600: "#0284c7";
            readonly lightBlue700: "#0369a1";
            readonly lightBlue800: "#075985";
            readonly lightBlue900: "#0c4a6e";
            readonly darkBlue50: "#dbf4ff";
            readonly darkBlue100: "#addbff";
            readonly darkBlue200: "#7cc2ff";
            readonly darkBlue300: "#4aa9ff";
            readonly darkBlue400: "#1a91ff";
            readonly darkBlue500: "#0077e6";
            readonly darkBlue600: "#005db4";
            readonly darkBlue700: "#004282";
            readonly darkBlue800: "#002851";
            readonly darkBlue900: "#000e21";
            readonly cyan50: "#ecfeff";
            readonly cyan100: "#cffafe";
            readonly cyan200: "#a5f3fc";
            readonly cyan300: "#67e8f9";
            readonly cyan400: "#22d3ee";
            readonly cyan500: "#06b6d4";
            readonly cyan600: "#0891b2";
            readonly cyan700: "#0e7490";
            readonly cyan800: "#155e75";
            readonly cyan900: "#164e63";
            readonly teal50: "#f0fdfa";
            readonly teal100: "#ccfbf1";
            readonly teal200: "#99f6e4";
            readonly teal300: "#5eead4";
            readonly teal400: "#2dd4bf";
            readonly teal500: "#14b8a6";
            readonly teal600: "#0d9488";
            readonly teal700: "#0f766e";
            readonly teal800: "#115e59";
            readonly teal900: "#134e4a";
            readonly emerald50: "#ecfdf5";
            readonly emerald100: "#d1fae5";
            readonly emerald200: "#a7f3d0";
            readonly emerald300: "#6ee7b7";
            readonly emerald400: "#34d399";
            readonly emerald500: "#10b981";
            readonly emerald600: "#059669";
            readonly emerald700: "#047857";
            readonly emerald800: "#065f46";
            readonly emerald900: "#064e3b";
            readonly green50: "#f0fdf4";
            readonly green100: "#dcfce7";
            readonly green200: "#bbf7d0";
            readonly green300: "#86efac";
            readonly green400: "#4ade80";
            readonly green500: "#22c55e";
            readonly green600: "#16a34a";
            readonly green700: "#15803d";
            readonly green800: "#166534";
            readonly green900: "#14532d";
            readonly lime50: "#f7fee7";
            readonly lime100: "#ecfccb";
            readonly lime200: "#d9f99d";
            readonly lime300: "#bef264";
            readonly lime400: "#a3e635";
            readonly lime500: "#84cc16";
            readonly lime600: "#65a30d";
            readonly lime700: "#4d7c0f";
            readonly lime800: "#3f6212";
            readonly lime900: "#365314";
            readonly yellow50: "#fefce8";
            readonly yellow100: "#fef9c3";
            readonly yellow200: "#fef08a";
            readonly yellow300: "#fde047";
            readonly yellow400: "#facc15";
            readonly yellow500: "#eab308";
            readonly yellow600: "#ca8a04";
            readonly yellow700: "#a16207";
            readonly yellow800: "#854d0e";
            readonly yellow900: "#713f12";
            readonly amber50: "#fffbeb";
            readonly amber100: "#fef3c7";
            readonly amber200: "#fde68a";
            readonly amber300: "#fcd34d";
            readonly amber400: "#fbbf24";
            readonly amber500: "#f59e0b";
            readonly amber600: "#d97706";
            readonly amber700: "#b45309";
            readonly amber800: "#92400e";
            readonly amber900: "#78350f";
            readonly orange50: "#fff7ed";
            readonly orange100: "#ffedd5";
            readonly orange200: "#fed7aa";
            readonly orange300: "#fdba74";
            readonly orange400: "#fb923c";
            readonly orange500: "#f97316";
            readonly orange600: "#ea580c";
            readonly orange700: "#c2410c";
            readonly orange800: "#9a3412";
            readonly orange900: "#7c2d12";
            readonly red50: "#fef2f2";
            readonly red100: "#fee2e2";
            readonly red200: "#fecaca";
            readonly red300: "#fca5a5";
            readonly red400: "#f87171";
            readonly red500: "#ef4444";
            readonly red600: "#dc2626";
            readonly red700: "#b91c1c";
            readonly red800: "#991b1b";
            readonly red900: "#7f1d1d";
            readonly warmGray50: "#fafaf9";
            readonly warmGray100: "#f5f5f4";
            readonly warmGray200: "#e7e5e4";
            readonly warmGray300: "#d6d3d1";
            readonly warmGray400: "#a8a29e";
            readonly warmGray500: "#78716c";
            readonly warmGray600: "#57534e";
            readonly warmGray700: "#44403c";
            readonly warmGray800: "#292524";
            readonly warmGray900: "#1c1917";
            readonly trueGray50: "#fafafa";
            readonly trueGray100: "#f5f5f5";
            readonly trueGray200: "#e5e5e5";
            readonly trueGray300: "#d4d4d4";
            readonly trueGray400: "#a3a3a3";
            readonly trueGray500: "#737373";
            readonly trueGray600: "#525252";
            readonly trueGray700: "#404040";
            readonly trueGray800: "#262626";
            readonly trueGray900: "#171717";
            readonly coolGray50: "#f9fafb";
            readonly coolGray100: "#f3f4f6";
            readonly coolGray200: "#e5e7eb";
            readonly coolGray300: "#d1d5db";
            readonly coolGray400: "#9ca3af";
            readonly coolGray500: "#6b7280";
            readonly coolGray600: "#4b5563";
            readonly coolGray700: "#374151";
            readonly coolGray800: "#1f2937";
            readonly coolGray900: "#111827";
            readonly blueGray50: "#f8fafc";
            readonly blueGray100: "#f1f5f9";
            readonly blueGray200: "#e2e8f0";
            readonly blueGray300: "#cbd5e1";
            readonly blueGray400: "#94a3b8";
            readonly blueGray500: "#64748b";
            readonly blueGray600: "#475569";
            readonly blueGray700: "#334155";
            readonly blueGray800: "#1e293b";
            readonly blueGray900: "#0f172a";
        };
        readonly space: {
            readonly px: "1px";
            readonly '0': 0;
            readonly '0.5': 2;
            readonly '1': 4;
            readonly '1.5': 6;
            readonly '2': 8;
            readonly '2.5': 10;
            readonly '3': 12;
            readonly '3.5': 14;
            readonly '4': 16;
            readonly '4.5': 18;
            readonly '5': 20;
            readonly '6': 24;
            readonly '7': 28;
            readonly '8': 32;
            readonly '9': 36;
            readonly '10': 40;
            readonly '11': 44;
            readonly '12': 48;
            readonly '16': 64;
            readonly '20': 80;
            readonly '24': 96;
            readonly '32': 128;
            readonly '40': 160;
            readonly '48': 192;
            readonly '56': 224;
            readonly '64': 256;
            readonly '72': 288;
            readonly '80': 320;
            readonly '96': 384;
            readonly '1/2': "50%";
            readonly '1/3': "33.333%";
            readonly '2/3': "66.666%";
            readonly '1/4': "25%";
            readonly '2/4': "50%";
            readonly '3/4': "75%";
            readonly '1/5': "20%";
            readonly '2/5': "40%";
            readonly '3/5': "60%";
            readonly '4/5': "80%";
            readonly '1/6': "16.666%";
            readonly '2/6': "33.333%";
            readonly '3/6': "50%";
            readonly '4/6': "66.666%";
            readonly '5/6': "83.333%";
            readonly full: "100%";
        };
        readonly borderWidths: {
            readonly '0': 0;
            readonly '1': 1;
            readonly '2': 2;
            readonly '4': 4;
            readonly '8': 8;
        };
        readonly radii: {
            readonly none: 0;
            readonly xs: 2;
            readonly sm: 4;
            readonly md: 6;
            readonly lg: 8;
            readonly xl: 12;
            readonly '2xl': 16;
            readonly '3xl': 24;
            readonly full: 9999;
        };
        readonly breakpoints: {
            readonly base: 0;
            readonly sm: 480;
            readonly md: 768;
            readonly lg: 992;
            readonly xl: 1280;
        };
        readonly mediaQueries: {
            readonly base: "@media screen and (min-width: 0)";
            readonly xs: "@media screen and (min-width: 400px)";
            readonly sm: "@media screen and (min-width: 480px)";
            readonly md: "@media screen and (min-width: 768px)";
            readonly lg: "@media screen and (min-width: 992px)";
            readonly xl: "@media screen and (min-width: 1280px)";
        };
        readonly letterSpacings: {
            readonly xs: -0.4;
            readonly sm: -0.2;
            readonly md: 0;
            readonly lg: 0.2;
            readonly xl: 0.4;
            readonly '2xl': 1.6;
        };
        readonly lineHeights: {
            readonly '2xs': 16;
            readonly xs: 18;
            readonly sm: 20;
            readonly md: 22;
            readonly lg: 24;
            readonly xl: 28;
            readonly '2xl': 32;
            readonly '3xl': 40;
            readonly '4xl': 48;
            readonly '5xl': 56;
            readonly '6xl': 72;
            readonly '7xl': 90;
        };
        readonly fontWeights: {
            readonly hairline: "100";
            readonly thin: "200";
            readonly light: "300";
            readonly normal: "400";
            readonly medium: "500";
            readonly semibold: "600";
            readonly bold: "700";
            readonly extrabold: "800";
            readonly black: "900";
            readonly extraBlack: "950";
        };
        readonly fonts: {
            readonly heading: undefined;
            readonly body: undefined;
            readonly mono: undefined;
        };
        readonly fontSizes: {
            readonly '2xs': 10;
            readonly xs: 12;
            readonly sm: 14;
            readonly md: 16;
            readonly lg: 18;
            readonly xl: 20;
            readonly '2xl': 24;
            readonly '3xl': 30;
            readonly '4xl': 36;
            readonly '5xl': 48;
            readonly '6xl': 60;
            readonly '7xl': 72;
            readonly '8xl': 96;
            readonly '9xl': 128;
        };
        readonly opacity: {
            readonly 0: 0;
            readonly 5: 0.05;
            readonly 10: 0.1;
            readonly 20: 0.2;
            readonly 25: 0.25;
            readonly 30: 0.3;
            readonly 40: 0.4;
            readonly 50: 0.5;
            readonly 60: 0.6;
            readonly 70: 0.7;
            readonly 75: 0.75;
            readonly 80: 0.8;
            readonly 90: 0.9;
            readonly 95: 0.95;
            readonly 100: 1;
        };
    };
    themes: {
        dark: {
            colors: {
                primary0: "#828282";
                primary50: "#949494";
                primary100: "#9E9E9E";
                primary200: "#B3B3B3";
                primary300: "#C7C7C7";
                primary400: "#E6E6E6";
                primary500: "#F0F0F0";
                primary600: "#FAFAFA";
                primary700: "#FCFCFC";
                primary800: "#FDFDFD";
                primary900: "#FDFCFC";
                primary950: "#FDFCFC";
                secondary0: "#0B0C0C";
                secondary50: "#181717";
                secondary100: "#272626";
                secondary200: "#3F4040";
                secondary300: "#515252";
                secondary400: "#5E5F5F";
                secondary500: "#727373";
                secondary600: "#AFB0B0";
                secondary700: "#DBDBDB";
                secondary800: "#E7E8E8";
                secondary900: "#F1F2F2";
                secondary950: "#FEFFFF";
                tertiary0: "#543112";
                tertiary50: "#6C3D13";
                tertiary100: "#824917";
                tertiary200: "#B4621A";
                tertiary300: "#D7751F";
                tertiary400: "#E78128";
                tertiary500: "#FB9D4B";
                tertiary600: "#FDB474";
                tertiary700: "#FED1AA";
                tertiary800: "#FFE9D5";
                tertiary900: "#FFF2E5";
                tertiary950: "#FFFAF5";
                text0: "#171717";
                text50: "#262627";
                text100: "#404040";
                text200: "#525252";
                text300: "#737373";
                text400: "#8C8C8C";
                text500: "#A3A3A3";
                text600: "#D4D4D4";
                text700: "#DBDBDC";
                text800: "#E5E5E5";
                text900: "#F5F5F5";
                text950: "#FEFEFF";
                background0: "#121212";
                background50: "#272625";
                background100: "#414040";
                background200: "#535252";
                background300: "#747474";
                background400: "#8E8E8E";
                background500: "#A2A3A3";
                background600: "#D5D4D4";
                background700: "#DCDBDB";
                background800: "#F2F1F1";
                background900: "#F6F6F6";
                background950: "#252526";
                border0: "#1A1717";
                border50: "#272624";
                border100: "#414141";
                border200: "#535252";
                border300: "#737474";
                border400: "#8C8D8D";
                border500: "#A5A3A3";
                border600: "#D3D3D3";
                border700: "#DDDCDB";
                border800: "#E6E6E6";
                border900: "#F3F3F3";
                border950: "#FDFEFE";
                success0: "#1B3224";
                success50: "#14532D";
                success100: "#166534";
                success200: "#206F3E";
                success300: "#2A7948";
                success400: "#348352";
                success500: "#489766";
                success600: "#66B584";
                success700: "#84D3A2";
                success800: "#A2F1C0";
                success900: "#CAFFE8";
                success950: "#E4FFF4";
                error0: "#531313";
                error50: "#7F1D1D";
                error100: "#991B1B";
                error200: "#B91C1C";
                error300: "#DC2626";
                error400: "#E63535";
                error500: "#EF4444";
                error600: "#F87171";
                error700: "#E63534";
                error800: "#FECACA";
                error900: "#FEE2E2";
                error950: "#FEE9E9";
                warning0: "#542D12";
                warning50: "#6C3813";
                warning100: "#824417";
                warning200: "#B45A1A";
                warning300: "#D76C1F";
                warning400: "#E77828";
                warning500: "#FB954B";
                warning600: "#FDAD74";
                warning700: "#FECDAA";
                warning800: "#FFE7D5";
                warning900: "#FFF9F5";
                warning950: "#FFFDFB";
                info0: "#032638";
                info50: "#05405D";
                info100: "#075A83";
                info200: "#0973A8";
                info300: "#0B8DCD";
                info400: "#0DA6F2";
                info500: "#32B4F4";
                info600: "#57C2F6";
                info700: "#7CCFF8";
                info800: "#A2DDFA";
                info900: "#C7EBFC";
                info950: "#ECF8FE";
                backgroundError: "#422B2B";
                backgroundWarning: "#412F23";
                backgroundSuccess: "#1C2B21";
                backgroundMuted: "#252526";
                backgroundInfo: "#1A282E";
            };
        };
    };
    globalStyle: {
        variants: {
            hardShadow: {
                '1': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 8;
                    shadowOpacity: 0.5;
                    elevation: 10;
                };
                '2': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 8;
                    shadowOpacity: 0.5;
                    elevation: 10;
                };
                '3': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 8;
                    shadowOpacity: 0.5;
                    elevation: 10;
                };
                '4': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 8;
                    shadowOpacity: 0.5;
                    elevation: 10;
                };
                '5': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 8;
                    shadowOpacity: 0.2;
                    elevation: 10;
                };
            };
            softShadow: {
                '1': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 10;
                    shadowOpacity: 0.1;
                    _android: {
                        shadowColor: string;
                        elevation: number;
                        shadowOpacity: number;
                    };
                };
                '2': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 20;
                    elevation: 3;
                    shadowOpacity: 0.1;
                    _android: {
                        shadowColor: string;
                        elevation: number;
                        shadowOpacity: number;
                    };
                };
                '3': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 30;
                    shadowOpacity: 0.1;
                    elevation: 4;
                    _android: {
                        shadowColor: string;
                        elevation: number;
                        shadowOpacity: number;
                    };
                };
                '4': {
                    shadowColor: "$background900";
                    shadowOffset: {
                        width: number;
                        height: number;
                    };
                    shadowRadius: 40;
                    shadowOpacity: 0.1;
                    elevation: 10;
                    _android: {
                        shadowColor: string;
                        elevation: number;
                        shadowOpacity: number;
                    };
                };
            };
        };
    };
    plugins: AnimationResolver[];
};
export {};
//# sourceMappingURL=config.d.ts.map